1.2.8p16:
    Core & Setup:
    * 4281 FIX: Fixed piggyback hosts with spaces in names leading to crashes...

    Checks & Agents:
    * 3896 FIX: Agent RPMs: Fixing dependency issue with old check_mk-agent-oracle-*.rpm and check_mk-agent-logwatch-*.rpm
    * 4172 FIX: smart.temp: fixed discovery and check function...
    * 4173 FIX: if.include: ignore some more keys in 'Network interfaces and switch ports' rule which are only used for interface grouping
    * 4207 FIX: mk_jolokia: Use configured port as default instance name...
            NOTE: Please refer to the migration notes!
    * 4174 FIX: added missing perfometer for interface services
    * 4119 FIX: check_mk_agent.solaris: fixed run_cached function...
    * 4209 FIX: mk_jolokia: Setting a default product now works...
    * 4120 FIX: fixed checks mysql and mysql.sessions for multiple MySQL instances...
    * 4121 FIX: mk_mysql: fixed handling of multiple instances
    * 4122 FIX: ibm_svc_enclosure: added support for firmware >= 7.8...
    * 4182 FIX: mysql_slave: fixed crash if agent output is empty...
    * 4183 FIX: ibm_imm_fan: Fixed crash if fan speed is "unavailable"...
    * 4184 FIX: hivemanager_devices: Fixed bug if device is up for more than 1 year...
    * 4259 FIX: aix_sap_processlist: fixed ValueError; if process has stopped and does not report any start time
    * 4260 FIX: db2_logsizes: removed pprint statement
    * 4261 FIX: db2_logsizes: fixed wrong discovery condition
    * 4262 FIX: wmi_cpuload: fixed missing section handling...
    * 4263 FIX: oracle_crs_res: fixed UnboundLocalError; 'crs_nodename' referenced before assignment...
    * 4264 FIX: wmic_process: fixed invalid info handling
    * 4211 FIX: esx_vsphere_counters: No longer crash when counters are available for instances without a read value
    * 4265 FIX: netapp_api_cpu: fixed missing number of cpus
    * 4266 FIX: quantum_libsmall_status: fixed scan function
    * 4287 FIX: job: fixed incomplete data handling...
    * 4268 FIX: cisco_vpn_tunnel: Reporting zero traffic in case the tunnel is down...
    * 4288 FIX: sentry_pdu: fixed data handling if power value is missing
    * 4289 FIX: mysql.innodb_io: fixed incomplete data handling...
    * 4212 FIX: jolokia_info: Fix crash for certain product versions.
    * 4290 FIX: cisco_fru_power: fixed invalid admin state handling
    * 4278 FIX: check_mail_loop: Added missing Date header to sent mails
    * 4292 FIX: oracle_asm_diskgroup: fixed handling if disk status is DISMOUNTED

    Multisite:
    * 4145 FIX: Fixed exception when setting output_format in wrong case
    * 4226 FIX: Custom inventory painters are now correctly loaded when declared with inventory_displayhints

    Reporting & Availability:
    * 4267 FIX: PDF export of filtered alert statistics view was always empty


1.2.8p15:
    Core & Setup:
    * 4078 FIX: Fixed handling of hosts with non resolvable IP addresses during runtime...

    Checks & Agents:
    * 4159 smart: added compatibility for Intel SSDs...
    * 4069 FIX: cmciii.phase: Fixed broken check with some devices...
    * 4092 FIX: if.include: fixed wrong calculated number of interfaces which are up in case of interface groups
    * 4093 FIX: oracle_tablespaces: Werk 3907 broke the space calculation...
    * 4074 FIX: check_ftp: Fixed possible wrong service description caused by unintended use of global variable
    * 3943 FIX: ntp.time: fixed parameters in discovered checks...
    * 4081 FIX: dell_powerconnect_cpu: Fixed broken metrics
    * 4126 FIX: apache_status: Handle https requests lo localhost in case of certificate mismatch...
    * 3953 FIX: diskstat: extended fix for multipath devices with or without alias...
    * 4111 FIX: hp_proliant: fixed empty data handling
    * 4099 FIX: msexch_rpcclientaccess: Previously nonfunctional WATO rule and default parameters now work...
            NOTE: Please refer to the migration notes!
    * 4112 FIX: db2_logsizes: fixed invalid data handling
    * 4100 FIX: mk_mysql: Only perform queries if mysqladmin ping is successful#...
    * 4113 FIX: postgres_locks: fixed missing include file
    * 4114 FIX: innovaphone_licenses: fixed wrong percentage calculation
    * 4115 FIX: mem.linux: fixed missing stack bug in PNP template
    * 4157 FIX: netapp_api_cluster: fixed None item
    * 4138 FIX: statgrab: Fixed issue in FreeBSD agent when statgrab is not installed
    * 4158 FIX: fileinfo: fixed file handling containing spaces
    * 4101 FIX: citrix_sessions: Output error message in case of missing session information....
    * 4102 FIX: logwatch: Fixed crash due to non-existant logfile...
    * 4160 FIX: emcvnx_info: fixed data handling, now detects errors
    * 4161 FIX: emcvnx_sp_util: fixed empty data handling
    * 4162 FIX: esx_vsphere_vm.heartbeat: fixed KeyError
    * 4163 FIX: kernel: fixed empty data handling
    * 4164 FIX: livestatus_status: fixed ValueError for values in scientific notation
    * 4103 FIX: kaspersky_av_client: No longer crash when date of last full scan is unknown...
    * 4117 FIX: HPUX agent: fixed determination of cpu/core information...

    Multisite:
    * 4072 FIX: Fixed multiple issues in BI availability when groups or names contain umlauts
    * 4080 FIX: Fixed possible exception "unsupported operand type" in matrix views
    * 4085 FIX: Fixed bug when rendering table views that have joined columns
    * 4127 FIX: Fixed possible "maximum recursion depth exceeded" error when sorting tables with a lot of text in cells
    * 4128 FIX: Fixed exception in "Virtual host tree" snapin in case a user tries to access a not existing tree
    * 4139 FIX: Fixed exception on service detail page in case of invalid man pages
    * 4140 FIX: Views: Download agent output action was not displayed correctly on SNMP+Agent hosts

    WATO:
    * 4077 FIX: Fixed "Request URI too long" when cloning role after editing another one
    * 4079 FIX: Improved error handling in case a WATO folder can not be written
    * 4082 FIX: Icon selector: Fixed exception in case non images are saved in icon folder
    * 4130 FIX: Improved error handling when trying to edit not existant rules
    * 4131 FIX: Fixed broken WATO site login when using password containing special characters...

    Event Console:
    * 4097 FIX: Event console: Make writing of status file more robust...


1.2.8p14:
    Checks & Agents:
    * 3961 FIX: fixed error sections handling if parse function is available
    * 3962 FIX: oracle_sessions: fixed empty section handling
    * 3831 FIX: ucd_cpu_util: no longer reports an UNKNOWN error when the counter data wasn't updated...
    * 3985 FIX: mrpe: fixed broken long output when using the CMC...
    * 4035 FIX: df_zos: Fixed ignoring last filesystem after new discovery...
    * 3741 FIX: omd_status: Fix labelling and structure of several metric graphs
    * 3986 FIX: esx_vsphere_counters.uptime: fixed incorrect alert when receiving corrupted counter data...
    * 3952 FIX: diskstat: fixed bug if multipath devices having an alias...
    * 3939 FIX: f5_bigip_conns: readded performance data and graphs...
    * 3979 FIX: vbox_guest: Only try to fetch VBox state in case the vboxguest module is loaded
    * 3750 FIX: cmc_temp: Check now also works when using Nagios core
    * 4086 FIX: websphere_mq_queues: fixed unknown variable
    * 3940 FIX: aix_hacmp_services: fixed broken check in case of agent section showing extra information before the "Status(...)" line...
    * 3941 FIX: zypper: fixed broken check for sections since agent OS SLES12...
    * 4043 FIX: Add missing metric definition for 15 minute CPU load prediction'
    * 4088 FIX: ntp: fixed incomplete data handling
    * 4091 FIX: oracle_tablespace: Werk 3907 broke the detection of UNDO- and TEMP-Tablespaces

    Multisite:
    * 3970 SEC: Fixed possible URL injection on index page...
    * 4037 FIX: Fix graphs that have optional metrics...
    * 3974 FIX: Sorting comments in hover menu of comments icon by time now
    * 4040 FIX: Fix error in view about "No WATO folder ..." in case of host imported via cmcdump...
    * 3980 FIX: Fixed possible flickering GUI when using Chrome and zooming the page

    WATO:
    * 3982 FIX: Some MKPs created with WATO could not be uploaded to the Check_MK Exchange
    * 4068 FIX: Fixed possible exception in case of wrong automation secrets between multiple sites...

    BI:
    * 3991 FIX: BI Aggregations: no longer show duplicate aggregations when an aggregation has mulitple groups

    Event Console:
    * 4147 FIX: Always show rule analyser result on Generate, not only after previous Try out...


1.2.8p13:
    Checks & Agents:
    * 3822 FIX: MRPE commands longer than 256 characters got truncated...
    * 3958 FIX: netapp_qtree_quota: fixed graph scaling
    * 3937 FIX: check_mk_agent.aix: fixed hadling of mailq command
    * 3825 FIX: local check: no longer cuts away any trailing "9" digits in P mode
    * 3964 FIX: df_zos: Fixed not working filesystemcheck for IBM z/OS...
    * 3650 FIX: Fixed bash versionitis, unbreaking cached check results....
    * 3960 FIX: if.include: fixed wrong order if interface groups are configured
    * 3903 FIX: mssql.vbs: Fixed support for MSSQL server 2016
    * 3967 FIX: raritan_emx: Fixed broken check (wrong include temperature.includes)

    Multisite:
    * 3902 FIX: Graph search view: Changing painter options made page empty

    WATO:
    * 3821 FIX: WATO Network Scan: Fixed risk of loosing site tags when performing a network scan...

    Notifications:
    * 3968 FIX: Notifications / Alert handling: Fixed configuring nth notifications without state changes...


1.2.8p12:
    Core & Setup:
    * 3857 FIX: Creation of crash reports could lead to further bugs...
    * 3889 FIX: Fixed incompatiblity with Python 2.4 (CentOS 5.5) introduced with 1.2.8p11...
    * 3737 FIX: Fixed slow activation of changes due to loss of IP address cache...
    * 3893 FIX: Predictive levels: Improved handling of broken prediction files (empty files)...

    Checks & Agents:
    * 3934 mssql.vbs now detects MSSQL Server 2016 instances
    * 3837 FIX: Fixed empty check if lnx_if info contains additional line...
    * 3804 FIX: Datasource programs: fixed possible Check_MK Helper exception when creation of subprocess fails
    * 3808 FIX: df.include: fixed incorrect levels calculations on very small filesystems...
    * 3809 FIX: windows agent: no longer truncates plugin output, no longer freezes when plugin produces too much output...
    * 3813 FIX: check_mail: fixed missing base64 decoding on multipart mails
    * 3888 FIX: df checks: Fixed invalid displayed WARN / CRIT lines in graphs when using "bytes left" thresholds
    * 3840 FIX: cisco_qos: Fixed wrong units in graphs...
    * 3890 FIX: check_mk_agent.openbsd: Fixed broken MRPE checks
    * 3814 FIX: win_netstat: fixed unicode warning while parsing data
    * 3880 FIX: check_sql: fixed missing number in check details
    * 3907 FIX: oracle_tablespaces: simplyfied free space calculation depending on version...
    * 3818 FIX: windows agent: fixed 2 bugs related to mrpe...
    * 3748 FIX: vertias_vcs: Fix empty agent section for standard xinetd configuration...
    * 3935 FIX: FIX avaya_45xx_cpu: check got UNKNOWN using Nagios core
    * 3936 FIX: chrony: support new params dictionary and rule "State of NTP time synchronisation"
    * 3649 FIX: Added a workaround for an escaping-related bug in old bash versions...

    Multisite:
    * 3874 FIX: fixed graphs displaying wrong labels
    * 3858 FIX: Fixed crash report and snapshot creation when using Python <2.5 (e.g. with CentOS 5)
    * 3885 FIX: Fixed sorting of version in werk list (1.2.8p10 and 1.2.8p11 were not listed on top)

    WATO:
    * 3881 FIX: fixed automation call 'delete piggyback host'
    * 3738 FIX: Fixed sporadic pending changes due to (not) changed contact groups...
    * 3739 FIX: Fix exception in displaying check parameter of grouped interfaces...
    * 3820 FIX: Network scan: no longer fails completely if hostname already exists in configuration...

    Notifications:
    * 3860 FIX: EC condition: Fixed default value of rule id selection

    Event Console:
    * 3884 FIX: Notifications: Fixed wrong LASTSERVICESTATE and SERVICESTATE in EC notifications...

    Livestatus:
    * 3740 Moved livedump utility from treasures directly into bin directory...

    HW/SW-Inventory:
    * 3811 FIX: HW/SW Inventory: Fixed GUI display crash when querying data from older software versions...
    * 3882 FIX: mk_inventory.linux: fixed wrong graphic card section name


1.2.8p11:
    Checks & Agents:
    * 3797 Check_MK Check helpers: Decreased memory consumption in distributed setups...
    * 3798 FIX: Clusters: Fixed invalid timestamp of last cached agent data...
    * 3848 FIX: megaraid_pdisks: Handle "rebuild" state as WARNING instead of UNKNOWN
    * 3849 FIX: check_cpu_peaks: Fixed broken active check
    * 3870 FIX: elphase.include: more robust against none type params
    * 3801 FIX: Fixed race condition with persisted data...
    * 3802 FIX: Fixed excess Check Helper PIPEs when a datasource program runs into a timeout...

    Multisite:
    * 3850 FIX: Fixed JS error when quicksearch snapin not in sidebar
    * 3871 FIX: stale services view: excluded services in downtime per default

    WATO:
    * 3855 SEC: Fixed possible command injection by privileged WATO users...


1.2.8p10:
    Core & Setup:
    * 3843 FIX: Fixed reporting of crashes when using Nagios core
    * 3846 FIX: Nagios: define_contactgroups = False is handled correctly again

    Checks & Agents:
    * 3743 SEC: mk_jolokia: Use JSON library to parse JSON output in lieu of eval()...
            NOTE: Please refer to the migration notes!
    * 3772 FIX: ipmi_sensors: fixed missing states
    * 3562 FIX: agent_vsphere.pysphere: fixed problems related to ssl certificate validation on older distributions/python versions
    * 3782 FIX: agent_netapp: fixed exception with values containing umlauts
    * 3774 FIX: apc_symmetra: fixed wrong status and values handling
    * 3761 FIX: windows_tasks: Fixed possible exception in discovery in case of unexpected agent data
    * 3762 FIX: local: Fixed long output handling with Microcore...
    * 3764 FIX: netapp_api_vs_traffic: Fixed exception when no NFSv4 infos available
    * 3765 FIX: oracle_asm_diskgroup: Made check more robust against invalid data received from agent...
    * 3766 FIX: palo_alto_sessions: Fixed possible division by zero error
    * 3768 FIX: quantum_libsmall_door: Fixed possible exception in scan function
    * 3769 FIX: cisco_temperature: Fixed exception in case of empty SNMP data received from device
    * 3770 FIX: win_dhcp_pools: Fixed crash in case of empty DHCP pools
    * 3781 FIX: ipmi: made check more robust against incomplete datasets

    Multisite:
    * 3561 FIX: Removing a comment now also removes any linked acknowledgements...
    * 3779 FIX: availability: added validation of availability options
    * 3767 FIX: Fixed possible UnicodeDecodeError when having users with umlauts in the user ID

    WATO:
    * 3559 WATO API: now able to bake agents with the new action "bake_agents"

    Event Console:
    * 3771 FIX: Fixed exception on edit rule page in case of special URLs


1.2.8p9:
    Checks & Agents:
    * 3759 FIX: cpu.loads: Fixed possible crash on missing data
    * 3715 FIX: agent_ipmi_sensors: fixed error handling

    Multisite:
    * 3753 FIX: Fixed graph hover popup of services having special characters in their names
    * 3758 FIX: Fixed wrong sorting of events in main dashboard in distributed environments

    WATO:
    * 3752 FIX: Fixed loosing site configuration when editing hosts in WATO slave sites...
    * 3754 FIX: Cluster nodes are now correctly validated for invalid characters
    * 3756 FIX: Bulk import: Fixed exception when host name contained special characters
    * 3757 FIX: Bulk import: Ensuring non ASCII characters are not imported into regular attributes


1.2.8p8:
    Checks & Agents:
    * 3742 FIX: ps: Fixed broken averaging...
    * 3711 FIX: ipmi: fixed wrong status handling if sensor status is ok but failures detected
    * 3734 FIX: esx_vsphere_hostsystem.cpu_usage esx_vsphere_hostsystem.mem_usage esx_vsphere_hostsystem.maintenance: Fixed exception when needed data is missing

    WATO:
    * 3735 FIX: Fixed wrong host search link in case of deleting site with hosts assigned


1.2.8p7:
    HW/SW-Inventory:
    * 3710 FIX: dmidecode: fixed undefinded inv_tree_list function


1.2.8p6:
    Checks & Agents:
    * 3693 FIX: ups_eaton_enviroment: Fixed handling of dictionary-based parameters...
            NOTE: Please refer to the migration notes!
    * 3552 FIX: SNMPv3: Fixed login with security level noAuthNoPriv...
    * 3694 FIX: fortigate_sessions_base: Added missing WATO rule
    * 3153 FIX: windows agent: fixed two problems that could cause missing wmi results...
    * 3555 FIX: esx_vsphere_sensors: fixed incorrect default parameter during service discovery...
    * 3665 FIX: hitachi_hnas_*: Fixed service discovery on some devices (e.g. HM800)
    * 3666 FIX: ups_*: Fixed discovery for Vision UPS devices
    * 3692 FIX: f5_bigip_conns: fixed empty data handling
    * 3707 FIX: oracle_tablespaces: cleanup...
    * 3708 FIX: cisco_vpn_tunnel: fixed missing phase 2 data
    * 3556 FIX: agent_vsphere.pysphere: The ESX 4.1 compatible agent version no longer validates the ssl certificate
    * 3709 FIX: cisco_wlc, cisco_wlc_clients: fixed scan function and incomplete listing of interfaces
    * 3672 FIX: Agent sections cached by the agent could cause stale services...
    * 3727 FIX: fc_port: Fixed broken interpretation of counter values leading to wrong measurements

    Multisite:
    * 3662 FIX: Fixed creation/editing of dashboards (regression since 1.2.8p5)
    * 3668 FIX: Fixed slow loading of GUI pages when using a localized GUI
    * 3669 FIX: LDAP: Fixed very long running LDAP sync when using group based sync plugins
    * 3670 FIX: Fixed empty AV PDF report when exporting it from a quicksearch result view
    * 3622 FIX: Fix labelling of V-Achsis on graphs with very large numbers...
    * 3722 FIX: Mobile GUI: Prevent it from being opened with regular sidebar
    * 3723 FIX: Mobile GUI: Don't mix classic and mobile GUI when choosing classic on mobile device
    * 3645 FIX: Fixed filesystem growth/shrinkage graph by splitting it up into 2 graphs.

    WATO:
    * 3152 FIX: lvm_vgs: fixed exception in host-specific settings if rule for LVM groups is set
    * 3557 FIX: Web API: get_host/get_all_hosts action now also returns the nodes of cluster host
    * 3718 FIX: Changes not needing a core restart are not showing up pending changes anymore...
    * 3719 FIX: Fixed possible wrong encoding of audit log messages when editing global settings
    * 3726 FIX: Web API: Fixed default output format - using JSON as intended...

    Livestatus:
    * 3644 Fixed 'source' column in 'comments' table.

    HW/SW-Inventory:
    * 3663 FIX: Added missing system manufacturer filter/painter
    * 3664 FIX: Fixed not working hardware/system serial and model painters and filters...


1.2.8p5:
    Core & Setup:
    * 3149 FIX: fixed rare crash if alert handling tried to long non-latin characters

    Checks & Agents:
    * 3541 FIX: esx_vsphere_hostsystem.state: no longer crashes when data is missing...
    * 3590 FIX: mssql.vbs: Completely removed plugin timeout...
    * 3635 FIX: get_average: fixed overflow error
    * 3653 FIX: fileinfo.groups: Fixed UNKNOWN shown in WATO discovery when configured as manual check
    * 3636 FIX: juniper_fru: fixed present state handling
    * 3142 FIX: windows agent: fixed rare crash when wmi query for uptime fails...
    * 3637 FIX: ipmi_sensors: fixed sensor discovery if sensor is unknown and perfdata handling
    * 3545 FIX: netapp_api_vs_traffic: fixed crash when NFSv4.1 information was available
    * 3143 FIX: windows agent: fixed some minor memory and handle leaks
    * 3144 FIX: bugfix: replacing pipe symbol in plugin output was broken
    * 3638 FIX: cisco_qos: fixed wrong unit handling
    * 3548 FIX: agent_netapp: fixed agent exception for channels without shelfes. improved 7mode/clustermode differentation...
    * 3549 FIX: netapp_api_snapshots: now correctly processes offline volumes...
    * 3145 FIX: solaris agent: fileinfo patterns that match a directory will no longer output items for the files in that directory...
    * 3147 FIX: windows agent: fixed bug where all placeholders in messages were replaced with the same parameter
    * 3654 FIX: apc_symmetra: Improved output in case of unknown battery state / calibration result
    * 3655 FIX: if64adm: Can now be used with OID range limits
    * 3685 FIX: brocade_fcport: fixed unknown state texts
    * 3686 FIX: hp_proliant_temp: fixed wrong device thresholds handling. If no thresholds available the device reports -99
    * 3150 FIX: fixed helpers failing to start and high cpu load when an unparsable local check is installed...
    * 3151 FIX: windows agent: further fix to crashes on failures to query wmi

    Multisite:
    * 3148 FIX: fixed Edit View/Dashlet Dialogs offering non-sensical filter choices...
    * 3659 FIX: Fixed GUI exceptions for users having special characters in ther user names

    WATO:
    * 3542 FIX: WATO Web API: fixed exception when WATO Git is activated...
    * 3547 FIX: Deleting a subfolder now generates a correct audit message...
    * 3660 FIX: Contact groups: Fixed broken link to rules in localized GUI
    * 3661 FIX: Service discovery is now possible with only "modify services" permission...

    Notifications:
    * 3146 FIX: notification scripts will now also timeout when sending a bulk notification...

    BI:
    * 3546 Drastically sped up response time on querying single aggregations...
    * 3551 FIX: Now able to open BI aggregations containing a few hundred hosts...


1.2.8p4:
    Checks & Agents:
    * 3587 FIX: SNMP: Fixed possible random IO issues when using classic SNMP...
    * 3619 FIX: esx_vsphere_vm.mem_usage: add missing declaration for metrics, use correct unit
    * 2238 FIX: postfix_mailq: Fixed incorrect creation of RRDs, Fixed graphs of size and length of queues...
    * 3633 FIX: check_sql: minor cleanup in active check_sql, fixed performance data handling
    * 3540 FIX: Fixed exception on reading cachefiles...

    Multisite:
    * 3586 FIX: Fixed file locking issues (rare and random errors that settings file could not be loaded)
    * 2239 FIX: Fixed exception in WATO snapins Folders, Tree of folders and Virtual Host Tree...

    WATO:
    * 3588 FIX: BI aggregation: Fixed folding of tag groups in aggregation rules using host/service searches
    * 3620 FIX: Do not longer put SNMP MIB files into WATO snapshots...

    Notifications:
    * 3139 FIX: fixed a couple of minor issues in call to notification scripts...

    Event Console:
    * 3589 FIX: Fixed processing of RFC 5424 syslog messages


1.2.8p3:
    Core & Setup:
    * 3616 FIX: Fix cmk -I ignoring the option --cache...
    * 3617 FIX: cmk -I without host specification now (again) always uses cache files...

    Checks & Agents:
    * 3624 FIX: oracle_asm_diskgroup: fixed dismounted disk handling
    * 3625 FIX: zfs_arc_cache: fixed data handling if hits and misses are missing
    * 3626 FIX: dell_eql_storage: fixed scan function if sysDescr is empty
    * 3582 FIX: check_mail: Fixed issue with processing multipart mails...
    * 3630 FIX: docsis_channels_upstream: fixed channel discovery
    * 3584 FIX: check_mkevents: Fixed "failed to parse perfdata" errors in web.log caused by "Events" checks...

    Multisite:
    * 3627 FIX: fixed double graphs of database size

    WATO:
    * 3618 Better layout for role & permission matrix, also allow sorting and searching
    * 3583 FIX: Fixed loosing some services after saving services in WATO...


1.2.8p2:
    Checks & Agents:
    * 3603 FIX: wut_webtherm: fixed empty data handling
    * 3535 FIX: docsis_cm_status: fixed missing performance data
    * 3536 FIX: alcatel_timetra_chassis: fixed exception when check is not OK
    * 3604 FIX: ups_capacity.include: fixed displaying wrong levels and cleanup
    * 3605 FIX: kemp_loadmaster_ha, kemp_loadmaster_realserver, kemp_loadmaster_services: fixed discovery if data is wrong or incomplete
    * 3607 FIX: wut_webtherm: fixed missing sensor data if only decimal comma marked values are available
    * 3613 FIX: Fix vertical scaling of graph for disk utilization from 0...1% to 0...100%
    * 3577 FIX: Solaris agent: Fixed performance issue introduced with #3389
    * 3623 FIX: ipmi: fixed discrete sensor discovery if sensor is disabled
    * 3578 FIX: df: Fixed exception when monitoring filesystems without inode infos

    Multisite:
    * 3537 FIX: PNP/Graph Templates: fixed incorrect scaling of check-mk-ping, check_mk-active-icmp  and check-mk-host-ping...
    * 3576 FIX: LDAP: Fixed "Internal error" when using the "Filter Group" option in an LDAP connection...

    WATO:
    * 3534 FIX: Fixed exception with upload of interlaced PNG files...
    * 3242 FIX: Fixed hostname translation for empty optional groups
    * 3579 FIX: Fixed visibility of SNMP community attribute when SNMP tag is inherited

    Reporting & Availability:
    * 3614 FIX: Outage statistics for hosts now also work in PDF reports...


1.2.8p1:
    Core & Setup:
    * 3471 FIX: Repair ignoring discovery errors when bogus %s is contained in service description...

    Checks & Agents:
    * 3528 FIX: netapp_api_protocol: fixed service discovery problem with older 7mode versions
    * 3529 FIX: agent_netapp: fixed problem with older netapp versions (7Mode - Version 8.0)...
    * 3573 FIX: ps: Fixed possible wrong matching of ps and ucb ps commands
    * 3470 FIX: mounts: Fix exception when displaying check parameters in WATO services list...
    * 3530 FIX: agent_vsphere: improved performance, too much perfcounters were queried
    * 3134 FIX: windows agent: fixed bug where the last message of an eventlog was always re-read

    Multisite:
    * 3468 FIX: Fix changing a user's language back to English if the default is German...
    * 3567 FIX: Werk list: Fixed link to not existing check man pages in some cases
    * 3569 FIX: Dashboard: Fixed wrong links to views in statistics dashlets when using state filters in dashlet
    * 3570 FIX: Dashboard: Fixed different issues with filtering using WATO folders
    * 3571 FIX: Fixed missing downtime author filter

    WATO:
    * 3469 Show type of rule match of a rule (first, per-parameter, all) in WATO...
    * 3472 Service list of a host: Move section of vanished services to top of the page...

    BI:
    * 3574 FIX: Fixed broken aggregations snapin when using aggregations based on hard states...

    Event Console:
    * 3566 FIX: Fixed exception on SNMP MIB management page when MIB directory is missing
    * 3568 FIX: Fixed broken link in "Access to event status via TCP" help text


1.2.8:
    Checks & Agents:
    * 3456 FIX: bluecoat_diskcpu: Fixed visualization of graph
    * 3460 FIX: ps: Using command line fix (#3389) only when /usr/ucb/ps exists on solaris systems
    * 3467 FIX: logwatch: fix exception in case the logfile name contains non-ascii characters
    * 3563 FIX: fortigate_sslvpn: Fixed broken manpage
    * 3564 FIX: logwatch_ec: Fixed discovery when Logwatch Event Console Forwarding rule is set to "No forwarding"
    * 3565 FIX: wmi checks: Fixed deprecation warning when WMI keys can not be found in agent output

    Multisite:
    * 3452 FIX: Fixed vertical label of Bytes/day graphs (like filesystem growth)
    * 3453 FIX: apache_status: Fixed wrong graph labels and improved wordings
    * 3454 FIX: Fixed scaling of numbers in graphs (e.g. inodes of filesystems)
    * 3462 FIX: Fixed ineffective localizations on werk page after language change

    WATO:
    * 3450 FIX: Site properties: It was not possible to switch a site back to "local site" connection
    * 3451 FIX: Fixed exception in host list when no local site configured
    * 3457 FIX: Bulk edit: Prevent browser auto completion of stored credentials
    * 3458 FIX: Bulk edit: Fixed broken unchecking of attributes after complain
    * 3459 FIX: Bulk edit: Fixed mixup of attributes during consecutive bulk edits
    * 3461 FIX: Fixed exception in case manpage for non existant check is accessed
    * 3527 FIX: WATO service discovery: fixed warning with locked hosts...

    HW/SW-Inventory:
    * 3455 FIX: Fixed broken switch port filtering/sorting view


1.2.8b13:
    Core & Setup:
    * 3437 FIX: Improved performance of "activate changes", especially in distributed environments

    Checks & Agents:
    * 3128 mem.win: graphs now display the available memory
    * 3523 FIX: esx_vsphere_hostsystem: fixed exception when no multipath state info is available
    * 3425 FIX: Fixed extra section handling if no related check plugin exists
    * 3465 FIX: df: Fix displayed vertical range of graph of all filesystem checks...
    * 3427 FIX: mssql_counters.sqlstats: fixed rate calculation
    * 3438 FIX: mk_mongodb: Fixed agent plugin handling when pymongo can not be imported
    * 3441 FIX: ps: Added missing graph for number of processes
    * 3429 FIX: ps, mem.linux, mem.include: fixed missing parse_proc_meminfo_bytes during precompiling
    * 3126 FIX: fixed crash in some wmi-based checks when items disappear from the agent output
    * 3443 FIX: mk_logwatch: Fixed exception in agent plugin configuration parsing error handling
    * 3525 FIX: Nagios Core: fixed bug, incomplete cleanup of process tree on service check timeout...
    * 3241 FIX: Fixed broken apt plugin
    * 3430 FIX: apc_inrow_temp: fixed wrong data handling if data is not available or incomplete

    Multisite:
    * 3125 FIX: fixed grouping of werk list by version...
    * 3442 FIX: Fixed double escaping of single quotes in comment texts

    WATO:
    * 3448 FIX: Fixed styling of duallist choice fields (e.g. used in notifcation contact list)

    Notifications:
    * 3426 FIX: sms: fixed wrong message handling after message was quoted and therefore too long

    BI:
    * 3439 FIX: Fixed processing of BI aggregations containing umlauts
    * 3440 FIX: Fixed possible BI exception "Unknown BI aggregation group ..."...


1.2.8b12:
    Core & Setup:
    * 3385 FIX: Fixed not updated discovery service after grouped auto discovery...
    * 3416 FIX: Avoid warning in cmc.log when rescheduling non-existing discovery check...

    Checks & Agents:
    * 3414 New declarator BINARY(...) for OIDs - returning a list of byte values...
    * 3384 FIX: eltek_battery: Fixed broken check due to wrong spelled include file
    * 3400 FIX: local: do not crash in P mode if performance data contains a unit of measurement
    * 3387 FIX: ps: Fixed crash during service discovery on AIX hosts having defunct processes
    * 3417 FIX: wmi_cpuload: fix exception in case of missing NumberOfLogicalProcessors on some OS versions
    * 3424 FIX: ipmi: fixed missing compact/discrete sensor data...
    * 3124 FIX: workaround for overrunnig counters in a couple of wmi checks...
    * 3030 FIX: brocade_info: fixed problem in snmp scan function during service discovery...
    * 3389 FIX: ps: Fixed stripped command lines for process checking on solaris systems
    * 3391 FIX: CPU checks: Fixed graph per core when cores names don't have a tailing number
    * 3392 FIX: avaya_45xx_temp: Fixed broken check
    * 3433 FIX: cmc_temp: Fixed broken check
    * 3419 FIX: solaris_mem: avoid crash in case of empty agent section, treat section as missing...
    * 3420 FIX: check_ftp, check_tcp, check_smtp: add missing CRIT levels for certificate live time...
    * 3421 FIX: cisco_asa_failover: Do not discover interfaces where failover is not enabled...
    * 3422 FIX: printer_pages, canon_pages: Detect pages on Canon 8350 with generic check...
    * 3463 FIX: ups_modulys_alarms: avoid crash on some SOCOMEC UPS where some alarm OIDs are empty
    * 3464 FIX: netstat.linux: fix monitoring of UDP listeners...

    Multisite:
    * 3118 FIX: Availability view now takes daylight saving time into account
    * 3401 FIX: Fix sorting and grouping hosts by their IPv4 address
    * 3402 FIX: Using information from inventory in column tooltips now longer crashes
    * 3413 FIX: Correctly display non-Ascii-characters in host tag values in host tag filter
    * 3029 FIX: rule editor icon: fixed query of invalid livestatus column...

    Notifications:
    * 3418 FIX: Do not send host notifications if a service group is required...
            NOTE: Please refer to the migration notes!

    Reporting & Availability:
    * 3415 FIX: Availability option "Visual levels for the availability" not longer enables itself...


1.2.8b11:
    Core & Setup:
    * 3123 FIX: fix for temperature services discovered pre-1.2.8 that caused errors on writing configuration

    Checks & Agents:
    * 3022 FIX: mk_logwatch (linux): now able to handle queries from multiple servers (no longer loosing data)...
    * 3406 FIX: hp_proliant_temp: fixed wrong params data type
    * 3408 FIX: temperature.include: now does not ignore levels with value 0 any more
    * 3122 FIX: netapp_fcpio: the rules for this check are now actually used...
    * 3409 FIX: apt: fixed 'UNKNOWN - Item not found in agent output' error if there are no pending updates
    * 3399 FIX: statgrab_mem, hr_mem: Fix display of total installed memory in graph

    Multisite:
    * 3397 Show IP addresses of a host when hovering over its name...
    * 3395 FIX: Fix performance issue when many BI aggregations are active...
    * 3398 FIX: Fix exception in Matrix layout if it contains certain complex columns

    WATO:
    * 3377 FIX: Network scan: The scan was broken when having no regex exclude patterns since 1.2.8b9
    * 3378 FIX: Fixed too long contact group names overflowing WATO folders
    * 3379 FIX: Fixed error resotring WATO snapshot without Check_MK configuration
    * 3381 FIX: Folder property editing: Redirect back to folder when coming from folder
    * 3382 FIX: Fixed exception when moving multiple folder levels to another folder
    * 3383 FIX: Host search: Don't preselect any optional field (Searched for empty values)

    Notifications:
    * 3380 FIX: Fixed graphs in service notifications having spaces in service descriptions

    BI:
    * 3396 Change default setting of Precompile aggregations on demand to ON now...

    Event Console:
    * 3026 FIX: Event console: The "Add comment" option of a rule is now able to add the original text (\0)

    HW/SW-Inventory:
    * 3025 FIX: solaris_pkginfo: the last element of the reported software package list was always missing


1.2.8b10:
    Core & Setup:
    * 3023 FIX: Fixed possible wrong tag matching caching due to wrong cache id computation

    Checks & Agents:
    * 3017 FIX: Fixed missing host/vms inventory information when having multiple datacenters...
    * 3018 FIX: netapp_api_disks: ignore disks with raid-state remote (metrocluster setups)...
    * 3019 FIX: netapp_api_volumes: fixed incorrect metrics (wrong scaling in graphs)
    * 3111 FIX: citrix_status: fixed incorrect assignment of piggyback data to host running the plugin...
    * 3020 FIX: netapp_api_volumes: ignore volumes of cluster partner...
    * 3112 FIX: esx_vsphere_counters: made levels configurable
    * 3113 FIX: windows agent: fixed process handle weren't freed when using wmi-based ps check
    * 3323 FIX: kernel.util: fix graph template in case steal is present but guest not
    * 3367 FIX: nginx_status: Fixed local instance detection for IPv6 loopback address
    * 3368 FIX: Fixed regression since 1.2.8b9 which broke all SNMP checks with Nagios core
    * 3370 FIX: check_mail: Fixed mail parsing bug when using POP3
    * 3372 FIX: check_mailboxes: Improved error handling
    * 3117 FIX: windows agent: fixed installer may fail to re-start service on update...

    Multisite:
    * 3328 Default cloned views to be not public...
    * 3355 FIX: Fixed possible broken HW-/SW-Inventory history view
    * 3021 FIX: interface metrics: fixed broken interface metrics when using nagios core...
    * 3360 FIX: Fixed different exceptions in predictive monitoring GUI
    * 3320 FIX: Fix bogus interfering snapins Tree of folders and Folders...
    * 3321 FIX: Globes in dashboards now correctly reflect selected WATO folder...
    * 3364 FIX: Fixed exception when creating a view of a single log entry...
    * 3326 FIX: Fixed white text on white background in mobile GUI
    * 3327 FIX: Disallow scheduling downtimes with an end date that is before the start date
    * 3373 FIX: Fixed exception when handling syntax errors while loading pagetype files
    * 3374 FIX: Fixed broken Logwatch page when a host has no log directory (yet)
    * 3375 FIX: Fixed exception when adding a bookmark while having a list not named my_bookmarks

    WATO:
    * 3239 The delay and the period of notifications can be fractions of a minute now.
    * 3359 FIX: Fixed exception when trying to edit non existant host...
    * 3361 FIX: Event Console files not synced to remote site nor backed up with WATO snapshot
    * 3362 FIX: Fixed reload of Event Console in distributed monitoring slave site
    * 3363 FIX: Exceptions in WATO Web-API are now rendered as plain text messages
    * 3324 FIX: Do not crash whole catalog of check plugins if one man page is broken
    * 3325 FIX: WATO CSV import: fix missing first line in preview after user error
    * 3365 FIX: Cleaned up wrong counting of parents when renaming a host
    * 3366 FIX: Fixed renaming of hosts not updating parents configured in folders
    * 3369 FIX: Printing configuration warning when host references itself as parent
    * 3371 FIX: Be compatible to old site=None setting read from hosts.mk...
    * 3329 FIX: Function discover_services now allows the URL parameter mode...
    * 3330 FIX: WATO Web-API now allows to specify root folder with / instead of empty string again
    * 3024 FIX: Fixed WATO GIT version control for older (<2.0) GIT versions

    Reporting & Availability:
    * 3331 FIX: Availability: avoid duplication of annotation when changing time while editing
    * 3332 FIX: Avoid falling back to annotation edit form when reloading page directly after editing
    * 3393 FIX: Availability annotations: also show annotations for hosts when showing services

    Event Console:
    * 3240 FIX: Fixed various quotation issues in GUI parts related to the EC

    HW/SW-Inventory:
    * 3319 HW/SW-Inventory service can now be OK in case of unreachable host...


1.2.8b9:
    Core & Setup:
    * 3349 FIX: Added rule to disable Inline-SNMP per host...

    Checks & Agents:
    * 3109 dotnet_clrmemory: levels are now configurable
    * 3307 FIX: dell_poweredge_netdev: does not discover disconnected network devices any more
    * 3309 FIX: zpool_status: fixed wrong error handling...
    * 3014 FIX: windows_tasks.ps1: fixed incorrect text encoding for tasks with umlauts
    * 3015 FIX: Dump host (cmk -D): fixed exception with service descriptions containing umlauts
    * 3110 FIX: ewon: Various improvements to snmp proxy functionality...
            NOTE: Please refer to the migration notes!
    * 3016 FIX: mk-job: scheduled jobs are now always executed despite of any status file permission problems...

    Multisite:
    * 2237 Unique name for columns of Host Groups and Service Groups...
    * 3347 FIX: Improved performance when having a lot of users...
    * 3355 FIX: Fixed possible broken HW-/SW-Inventory history view

    WATO:
    * 3351 FIX: Network scan: Fixed number in hosts not being updated during network scan
    * 3352 FIX: Network scan: Added hostname translation to translate detected DNS names of scanned hosts
    * 3353 FIX: Displaying disabled/offline host state in WATO host list now
    * 3354 FIX: Added missing option to exclude IP addresses by regex
    * 3357 FIX: Fixed service conditions of Disk IO related rulesets

    Notifications:
    * 3346 FIX: Re-added envelope sender to asciimail/mail notification plugins

    BI:
    * 3358 FIX: Fixed BI Boxes views when "Enable BI compilation diagnostics" enabled

    Event Console:
    * 3348 FIX: Improved error handling when trying to edit not existing rules/rule packs


1.2.8b8:
    Core & Setup:
    * 3342 MKP: local/lib and local/bin of sites can now be packed...
    * 3105 FIX: fixed crash in cmk --dump for services containing non-ascii characters
    * 3343 FIX: MKP: Verifying minimal version of packages during installation...

    Checks & Agents:
    * 3298 FIX: winperf_processor.util: Fixed exception when CPU counters were not matched
    * 3299 FIX: mssql_backup: Fixed exception in case of invalid agent output
    * 3300 FIX: zfsget: Fixed excluding snapshots from zfsget section
    * 3301 FIX: mrpe: Fixed exception "urllib not defined" when using Nagios as core
    * 3333 FIX: Predictive levels: Improved error handling in case no RRDs have been created yet
    * 3317 FIX: lnx_bonding: handle bogus output of 1.2.6 agents where >/dev/null is missing after popd
    * 3305 FIX: cmciii.phase: fixed wrong datatype handling
    * 3107 FIX: heartbeat_crm: fixed incorrect timezone handling...
    * 3341 FIX: df: Ignoring mounted lib*.so.1 volumes (seen on Solaris 10)
    * 3306 FIX: docsis_channels_upstream: fixed missing channel handling

    Multisite:
    * 3297 SEC: Fixes possible XSS in views sidebar snapin...
    * 3313 FIX: Set correct mime type when exporting CSV and other non-HTML formats
    * 3315 FIX: Builtin icon visibility now can be correctly reset...
    * 3336 FIX: Fixed possible crash on werk list page...
    * 3337 FIX: Improved error handling of invalid perfdata in the GUI
    * 3339 FIX: Fixed exception on "Aggregations Affected by Service" page when no host/service given
    * 3344 FIX: Removed host inventory painters and sorters from non host based views
    * 3345 FIX: Fixed exception when inventory painter was used as group painter

    WATO:
    * 3295 FIX: Fixed exception in WATO git integration when modifying .gitingore file
    * 3296 FIX: Hiding pending changes related buttons after discarding changes
    * 3314 FIX: Correctly add custom user attribute values after change in attribute declaration...
    * 3316 FIX: Fix validation of empty or missing file uploads (such as in Bulk host import)
    * 3302 FIX: Improved error handling when trying to edit a not existing rule
    * 3338 FIX: Improved error handling when host to be edited does not exist
    * 3318 FIX: CSV bulk import of hosts: fix handling of CSV column headers...

    Event Console:
    * 3335 FIX: Improved error handling when requested rule pack does not exist

    HW/SW-Inventory:
    * 3340 FIX: Fixed exception when searching for software package sizes


1.2.8b7:
    Core & Setup:
    * 3008 FIX: Fixed exception in logwatch config generation when using Nagios...

    Checks & Agents:
    * 3012 jolokia_metrics.threads: Improved check output, now showing the actual problem and levels
    * 3292 livestatus_status: Added Microcore relevant metrics like helper usage and latency...
    * 3098 FIX: isc_dhcpd: fixed handling of leases that never expire
    * 3099 FIX: mk_mysql: worked around problems where running instances can't be discovered
    * 3009 FIX: ESX agent: fixed exception with utf-8 encoded strings...
    * 3010 FIX: Fixed vanished snmp subchecks for snmp hosts...
    * 3237 FIX: brocade_vdx_status: Fixed broken discovery
    * 3238 FIX: if.include: Fixed handling of old-skool traffic limits
    * 3104 FIX: ipmi: fixed crash when using summarized output with nagios backend

    Multisite:
    * 3290 FIX: Fixed broken event quick delete icon when used in dashlets
    * 3236 FIX: Fixed host page of pnp4nagios...
    * 3293 FIX: Fixed graphs in IE with enabled compatibility mode (for IE < 8)
    * 3294 FIX: Fixed mixed languages when some users have localized GUI and some not...

    WATO:
    * 3100 FIX: fixed exception when trying to create a wato folder when that folder already exists
    * 3011 FIX: WATO host diagnostic page: prevent incorrectly filled input fields...

    BI:
    * 3291 FIX: Improved error handling when searching for BI aggregations with invalid regex

    Event Console:
    * 3097 FIX: mkeventd: fixed crash with non-descriptive error message if mibs couldn't be loaded

    HW/SW-Inventory:
    * 3013 FIX: Inventory: snmp inventory plugins never use cached data...


1.2.8b6:
    Multisite:
    * 3287 FIX: Fixed broken crash reporting (Submission of crashes did not work)

    HW/SW-Inventory:
    * 3289 FIX: Fixed missing filters in HW-/SW-Inventory views after editing the view...


1.2.8b5:
    Core & Setup:
    * 3275 FIX: Piggyback based services were skipped on "No agent hosts"...
    * 3286 FIX: Fixing possible logging issues when using datasource programs for monitoring...

    Checks & Agents:
    * 3001 fileinfo: now able to configure the checks status if the file is missing
    * 3093 isc_dhcpd: now interprets include statements when parsing the configuration file
    * 3096 check_mailboxes: new active check to monitor age and count of mails in imap mailboxes
    * 3258 FIX: dell_idrac_disks: fixed disk and component status handling
    * 3266 FIX: check_smtp: when set to IPv6 it used the IPv4 address nevertheless
    * 3274 FIX: ibm_svc_disks: Fixed wrong listing of man page
    * 3089 FIX: cmciii.temp: added handling for more device states
    * 3276 FIX: esx_vsphere_vm.snapshot: Graphs now scale the age of the scnapshots correctly
    * 3277 FIX: veeam_jobs: Handling missing state "Postprocessing" now
    * 3278 FIX: fritz_wan_if: Fixed incorrect unit Bit used in check
    * 3092 FIX: isc_dhcpd: fixed incorrect handling of timezones
    * 3259 FIX: ad_replication: fixed wrong timestamp handling
    * 3094 FIX: cisco_temperature: fixed duplicated sensors on some devices...
    * 3006 FIX: agent_vsphere: fixed exception when providing the wrong login credentials
    * 3261 FIX: cisco_temperature: fixed wrong datatype handling
    * 3007 FIX: Interface groups: fixed exception when port type or interface items were not set in the WATO rule...

    Multisite:
    * 3264 FIX: Fix display of values in graphs that are < 1.0
    * 3273 FIX: Dashboard: The dashboard is now preserving edit/view state during page reloads
    * 3090 FIX: fixed perf-o-meter link leading to old graph page even when new graphs are being used
    * 3260 FIX: Availability: ignores completely unmonitored objects in summary calculation
    * 3279 FIX: LDAP: Fixed default values of attribute selections...
    * 3285 FIX: Fixed exception when editing large bookmark lists

    WATO:
    * 3091 FIX: fixed failure to rename hosts in raw edition...
    * 3280 FIX: Fixed too often executed network scans...
    * 3281 FIX: Fixed network scan overwriting folder modifications made during the scan
    * 3282 FIX: Fixed missing validation of network scan properties...
    * 3005 FIX: webapi: now able to add new hosts to main folder (bug was introduced recently)
    * 3283 FIX: Bulk import of hosts: It is now possible again to import a simple list of hosts...
    * 3284 FIX: Bulk import of hosts: Fixed disabling of reading first line as header...
    * 3270 FIX: Fix button [Deprecated Rulesets] within deprecated manual checks rulesets

    Reporting & Availability:
    * 3267 New availability option for reclassifying host state "unreachable"...
    * 3268 FIX: Availability options were invalid after resetting them...
    * 3269 FIX: Fix rendering of floating point values < 1 in graphs (e.g. CPU load)

    HW/SW-Inventory:
    * 3265 FIX: mk_inventory.solaris: fix problem on Solaris 10, do prtdiag and prtpicl only in global zone


1.2.8b4:
    Checks & Agents:
    * 3250 FIX: cisco_mem: remove bogus memory check for "Driver text"...
    * 3084 FIX: windows agent: fixed crash when specifying an invalid performance counter
    * 3252 FIX: ntp.time: better handling of temporary synchronization loss...
    * 3254 FIX: haproxy: fixed wrong type handling
    * 3255 FIX: apc_inrow_temp: fixed wrong discovery handling of available sensors
    * 3256 FIX: blade_bx_powerfan: fixed wrong levels handling and minor cleanup
    * 3087 FIX: fixed very rare crash in active checks...

    Multisite:
    * 3228 The BI Treestate painter now exports the aggregation tree as real json structure
    * 3251 FIX: Fix sorting of entries in Views sidebar element
    * 3230 FIX: Slightly improved popup menu positioning...

    WATO:
    * 3000 FIX: Host check command: "Use a custom check plugin" was not working with CMC...
    * 3231 FIX: Not showing network scan properties in host search form anymore
    * 3086 FIX: fixed incorrect host list when one wato folder was a substring of another...

    Notifications:
    * 3263 Notifications: allow users to restrict by their contact groups...
    * 3253 FIX: sms: notification script sms now handles single quotes in the message in the right way

    BI:
    * 3232 FIX: BI: Only querying site of host for specific host status info...

    Event Console:
    * 2999 The contact name is now included in Event Console notifications...

    HW/SW-Inventory:
    * 3229 FIX: lnx_distro: SLES based systems have now an OS name inventorized\


1.2.8b3:
    Core & Setup:
    * 3234 FIX: Make unixcat more robust...

    Checks & Agents:
    * 2996 websphere_mq_queues: now able to configure levels for used percentage of total queues
    * 3227 FIX: Automatic service adding: Fixed exception when using time range to skip automatic configuration...
    * 3178 FIX: docsis_channels_upstream: Fixed crash in graphs
    * 3082 FIX: windows agent: with realtime updates active, shutting down the agent could take very long
    * 2997 FIX: Fixed broken SNMP subchecks...
    * 3243 FIX: Fix missing custom graphs in sidebar snapin Views if explicit topic is set
    * 3245 FIX: Fix interpretation of check levels 0.0 as "no levels"...

    Multisite:
    * 3076 FIX: fixed broken views in check_mk raw edition
    * 3181 FIX: Omit icon for downloading agent output on shadow hosts (cmcdump)...
    * 3248 FIX: Avoid broken list of context filters and case of a BI error

    WATO:
    * 3244 WATO BI Module: swap order of aggregation function and child node selection...
    * 3179 FIX: Fix labelling of heartbeat interval for liveproxyd settings...
    * 3180 FIX: Fix broken site specific globals and disabling of WATO in slave sites
    * 3182 FIX: Fix bulk operations based on search result folder...
    * 2998 FIX: Fixed broken WATO rules where content is dynamically loaded...
    * 3246 FIX: Fix link for editing a BI aggregation after coming back from the details of another aggregation...

    BI:
    * 3247 FIX: Do not allow multiple BI aggregates with the same title...

    Reporting & Availability:
    * 3249 FIX: Fix missing filter for non-OK services when report is called via context button

    Livestatus:
    * 3235 FIX: Unbreak COMMAND handling...


1.2.8b2:
    Core & Setup:
    * 3193 FIX: Fixed fake check results for hosts...
    * 3204 FIX: Fixed broken nagios config in case of aggregated hosts are configured
    * 3214 FIX: Removing SNMP checks for non SNMP hosts and agent based checks for non agent hosts...
    * 3220 FIX: Check_MK HW/SW Inventory is now always disabled for "No Agent" hosts
    * 3221 FIX: Fixed broken nagios config because of missing contact group check-mk-notify with rule based notifications enabled...

    Checks & Agents:
    * 2994 brocade.temp: increased temperature default levels from 35/40 to 55/60
    * 2995 esx_vsphere_licenses: now compatible with esx 6.0...
    * 3073 FIX: windows agent: relative paths to mrpe scripts are now treated as relative to the agent installation directory...
    * 3061 FIX: mk_jolokia: Fixed debugging of the agent plugin
    * 3074 FIX: windows agent: fixed incorrect values for 32-bit performance counters
    * 3075 FIX: windows agent: fixed data encryption of realtime updates were incompatible...
    * 3205 FIX: raritan_pdu_inlet: Fixed exception in case phases report a non OK state
    * 3206 FIX: esx_vsphere_hostsystem.mem_usage_cluster: Fixed broken check
    * 3207 FIX: msexch_dag.copyqueue: Fixed broken check in case of non OK state
    * 3208 FIX: cmctc_lcp: Fixed broken check in case of non OK state
    * 3209 FIX: esx_vsphere_datastores: Added missing uncommitted and overprovisioned graphs
    * 3210 FIX: oracle_asm_diskgroup: Fixed exception when using required mirror free space parameter
    * 3211 FIX: logwatch: Fixed broken error messages in case of failed filesystem operations
    * 3212 FIX: cmciii.phase: Fixed totally broken check
    * 3213 FIX: ibm_svc_disks netapp_api_disk: Fixed exception when disks are failed
    * 3185 FIX: ucd_cpu_load: this service will be discovered although we prefer HOST-RESOURCES MIB
            NOTE: Please refer to the migration notes!
    * 3176 FIX: Fix invalid scaling of some obscure metrics by factor 100...
    * 3177 FIX: mem.linux: added all missing metric definitions
    * 3217 FIX: fortigate_sessions: Fixed exception in case of empty data provided by the device
    * 3218 FIX: fortigate_node: Fixed wrong discovered services on non cluster devices
    * 3186 FIX: fortigate_node: fixed empty item
            NOTE: Please refer to the migration notes!
    * 2993 FIX: zfs_arc_cache: fixed crash, no longer reports unknown if not all data is available...
    * 3188 FIX: ps.include: fixed typo
    * 3226 FIX: isc_dhcpd: Fixed exception during discovery when pools can not be gathered by agent
    * 3189 FIX: mem.vmalloc: newer kernel versions (64bit) report wrong data, i.d. both VmallocUsed and Chunk equal zero, thus this check is obsolete
    * 3079 FIX: win_printers: fixed typo that kept default parameters from being used...
    * 3080 FIX: windows_updates: non-ascii characters are now handled correctly

    Multisite:
    * 3059 FIX: Fixed highlighting of availability timeline time slices
    * 3175 FIX: Fix timeranges of graphs that are embedded in a dashboard...
    * 3077 FIX: CSV export is now available for host/service availability and now includes summary line

    WATO:
    * 3060 FIX: Folder properties: Fixed exception when a user has no alias set...
    * 3062 FIX: Git integration: Fixed not adding files in WATO folders to git control
    * 3203 FIX: Distributed WATO: Fixed exception in remote host service discovery...
    * 3215 FIX: WATO git ignore files are now updated on each commit
    * 3216 FIX: Fixed exception when trying to edit an already deleted user
    * 3222 FIX: Fixed broken duplicate user id validation when creating new users
    * 3223 FIX: Fixed exception in network scan when hosts can not be resolved
    * 3224 FIX: Fixed broken "WATO legacy eval"
    * 3225 FIX: Fixed exception when renaming a host which is configured as parent on a folder

    Event Console:
    * 3058 FIX: Event Console is now allowing non loadable MIB modules on startup...

    Livestatus:
    * 3233 FIX: Fixed shutdown of Nagios core with Livestatus module...

    HW/SW-Inventory:
    * 3219 FIX: lnx_distro: Now detecting Oracle VM Server correctly


1.2.8b1:
    Core & Setup:
    * 2771 Errors in Check_MK configuration do not prevent the core from being restarted anymore...
    * 2881 Automatically restart core instead of reload after changes in local check plugins...
    * 3039 Added more useful debugging infos to crash reports...
    * 2682 FIX: Fixed exception Error creating configuration: global name 'extra_host_attributes' is not defined
    * 2443 FIX: Fixed quoting of ! in classical nagios checks configured via WATO...
    * 2718 FIX: Fixed agent timeouts not resulting in a crash report anympore...
    * 2724 FIX: Discovery check: Fixed exception in simulation mode when no cache file present
    * 2756 FIX: SNMP: Generalized error handling of emtpy info for SNMP checks...
    * 2759 FIX: Allowing Emails to contain special characters like umlauts...
    * 2764 FIX: Fixed broken SNMP checks in case SNMP check interval is configured for clusters...
    * 2770 FIX: Check_MK is now warning the user about deprecated but configured checkgroup parameters...
    * 2848 FIX: Fixed cleanup of old autocheck files of cluster hosts...
    * 2894 FIX: Fixed broken cluster checks when using Nagios core...
    * 2926 FIX: Fix exception in WATO when a check man page has not catalog entry
    * 2944 FIX: Fixed exception during config activation having clusters with unresolvable node IP addresses
    * 3037 FIX: Terminate datasource programs when check timeout occurs...
    * 2932 FIX: Removal of duplicate services now also works for hosts that are no longer SNMP+TCP
    * 3168 FIX: Fix duplicate loading of check that have a copy in local/share/check_mk/checks.

    Checks & Agents:
    * 2434 NetApp monitoring: Cluster-Mode is now supported, changes in existing 7Mode checks...
            NOTE: Please refer to the migration notes!
    * 2695 hp_msa_disk, hp_msa_volume: these checks now report more information about disks and volumes of a HP MSA 2040 Storage System
    * 2663 knuerr_rms_temp: switch to new generic temperature logic, allow e.g. lower levels...
            NOTE: Please refer to the migration notes!
    * 2688 mssql agent plugin can now handle clustered MSSQL instances
    * 2703 logwatch.ec: now transfers the service level to the event console...
    * 2705 winperf_if: added option to warn if an interface is using dhcp...
    * 2699 windows_tasks: new task success constant 'an instance of the task is already running'
    * 2671 df: avoid duplicate items for btrfs that is mounted several times...
            NOTE: Please refer to the migration notes!
    * 2441 NetApp 7Mode: Now able to monitor reserved snapshot space for volumes
    * 2444 lnx_if: now able to detect interfaces which "break" during runtime...
    * 2720 nullmailer_mailq: New check for monitoring the outgoing mail queue of Nullmailer...
    * 2707 winperf_processor: can now be configured to warn if a single cpu core exceeds a utilization threshold for a while...
    * 2708 sap, sap_state: new sap_state service reports connection problems to sap hosts...
    * 2740 local: better warning output in case of invalid agent output
    * 2763 apache_status: Can now be configured to use the protocols default port...
    * 2787 netapp_api_snapvaults: Clustermode supported, netapp_api_disks: fixed invalid total disk space...
    * 2788 ESX Monitoring, esx_vsphere_vm subchecks: VM templates are now excluded...
    * 2833 isc_dhcpd, win_dhcp_pools: lower levels for used dhcp leases are now configurable...
    * 2789 netapp_api_snapvault: No longer monitors uninitialized volumes...
    * 2710 arbor_peakflow_sp, arbor_peakflow_sp.cpu_load, arbor_peakflow_sp.disk_usage, arbor_peakflow_sp.flows, arbor_peakflow_tms, arbor_peakflow_tms.cpu_load, arbor_peakflow_tms.disk_usage, arbor_peakflow_tms.host_fault, arbor_peakflow_tms.updates, arbor_pravail, arbor_pravail.cpu_load, arbor_pravail.disk_usage, arbor_pravail.host_fault: new checks for various arbor devices
    * 2711 janitza_umg: added support for umg508...
    * 2792 check_mk_agent.aix: now able to use wildcards in the fileinfo.cfg
    * 1303 multipath, solaris_multipath: Level for needed paths can now be specified in percent
    * 1304 mk_mysql: Agent plugin can now detect multiple instances running unter the same user...
    * 2797 netscaler_vserver: now also shows tftp servers and health state of loadbalacing entities
    * 2863 wagner_titanus_topsens: added support for more devices...
    * 2801 snmp text encoding: now able to decode cp437 encoded snmp strings...
    * 2802 esx_vsphere_hostsystem.multipath: now supports ESX 6.0 multipath names
    * 2864 fortigate_ipsecvpn, fortigate_sslvpn: Added monitoring for vpn tunnels in fortigate firewalls
    * 2838 raritan_px_outlets: monitors the voltage, current, power, apparent power and energy of Raritan PX Devices
    * 2839 raritan_px_sensors, raritan_px_sensors.binary, raritan_px_sensors.humidity: monitors the temperature, contact and humidity of Raritan PX Devices
    * 2840 barracuda_mail_latency, barracuda_mailqueues, barracuda_system_cpu_util: new checks for Barracuda SPAM Firewall Appliance...
    * 2865 fortigate_memory_base: added check for fortigate firewall memory usage...
    * 2841 emcvnx_writecache: the check monitors the write cache state of the storage processors of an EMC VNX Storage System
    * 2803 netapp_api_volumes: clustered volumes now longer show the current node name in the service description...
            NOTE: Please refer to the migration notes!
    * 2780 cisco_vss: detect this check on newer (15.1) devices
    * 2874 netstat_an.bat: Restrict output of connections to TCP, safes performance
    * 2866 ewon: Added support for monitoring Wagner OxyReduct devices with their data exposed through an ewon router...
    * 2884 mssql_blocked_sessions: the state of the blocked sessions is now configurable
    * 1313 apc_sts_inputs: New Check for APC Static Transfer Switches: Input Phases
    * 1314 apc_sts_source: New Check to monitor if the input source changes on APC STS devices
    * 1315 check_mk_agent.linux: The ps section of the agent now supports long usernames...
    * 2869 ibm_storage_ts, ibm_storage_ts.drive, ibm_storage_ts_library, ibm_storage_ts.status: new checks for IBM TS3100 Tape Library
    * 1316 mysql_slave: Levels can now be configured with WATO
    * 2809 netscaler_vserver: now reports health_perc as performance data
    * 2885 cisco_hsrp: now reports the HSRP state...
    * 2812 Avaya Series 88xx / 45xx: New temperature, fan and CPU utilization checks...
    * 2870 dotnet_clrmemory, wmi_cpuload, wmi_webservices, msexch_activesync, msexch_autodiscovery, msexch_availability, msexch_isstore, msexch_owa, msexch_rpcclientaccess: a whole slew of new checks relating to monitoring MS Exchange...
    * 2816 check_mail_loop: now supports STARTTLS for IMAP authentification
    * 2817 cmc_temp: New temperature check for Rittal devices using the CMC MIB
    * 1600 check_mk_agent.linux: Diskstat Sektion now supports s390 DASDs (zLinux on IBM Mainframes)
    * 1318 cisco_asa_svcsessions: New Check to monitor VPN Connections on Cisco ASA devices
    * 2886 solaris_fmadm: new check monitors the severity and name of the fault class on Solaris systems using the 'fmadm faulty' command
    * 2871 msexch_database: New check to monitor access latencies to MS Exchange Databases
    * 2872 supermicro, supermicro.sensors: New check to monitor health on snmp-enabled devices by supermicro
    * 2913 fortigate_node, fortigate_node.cpu, fortigate_node.memory, fortigate_node.sessions: New checks to monitor HA nodes of fortigate firewalls
    * 1319 blade_bx_powerfan: Check can now be configured using Wato
    * 2915 supermicro.smart: new check to monitor harddisk health on snmp-enabled supermicro devices
    * 1321 sap.dialog: It is now possible to configure levels for FrontEndNetTime, ResponseTime and UsersLoggedIn
    * 2916 checkpoint_fan, checkpoint_firewall, checkpoint_ha_problems, checkpoint_ha_status, checkpoint_powersupply, checkpoint_svn_status, checkpoint_temp, checkpoint_voltage: New checks for various aspects of checkpoint firewalls
    * 2890 cisco_nexus_cpu, cisco_oldcpu: new checks for Cisco devices which do not support CPU utilization information from CISCO PROCESS MIB
    * 2918 agent_jolokia: jolokia can now be monitored using a special agent
    * 2919 hp_webmgmt_status: New check for health status of various Hewlett-Packard devices...
    * 2920 hr_cpu: this check can now also supports per-core features...
    * 1322 solaris_prtdiag_status: New Check for Solaris Hardware State based on prtdiag
    * 2921 printer_supply_ricoh: check now tries to handle negative readings properly...
    * 2922 check_mk_agent.linux, check_mk_agent.solaris: mrpe sections can now be cached...
    * 2933 openhardwaremonitor, check_mk_agent.windows: added agent support and check for monitoring hardware sensors through OpenHardwareMonitor...
    * 2829 filesystem checks: introduced default levels for inodes used (10%/5% free)...
    * 2934 all temperature checks rewritten to use the shared temperature api...
            NOTE: Please refer to the migration notes!
    * 1323 win_printers: Warning and Critical levels can now be set...
    * 1324 New Check for Dell Equallogic SAN Devices
    * 2892 qlogic_fcport: now supports QLogic FC Switch SANBox 5802 series
    * 2937 mrpe: check now supports service descriptions using percent-encoded characters...
            NOTE: Please refer to the migration notes!
    * 2938 websphere_mq_channels: check outcome based on channel state is now configurable...
    * 2832 netscaler_vserver: improved check output for unknown protocols...
    * 3033 check_http: Now supporting extended perfdata parameter of the check
    * 2456 palo_alto, palo_alto_sessions: Two new checks for Palo Alto firewalls.
    * 2985 MongoDB: Introduced agent plugin and some checks...
    * 2457 mssql_counters.sqlstats: New check to monitor several rates from the SQL statistics object
    * 2941 tinkerforge, tinkerforge.ambient, tinkerforge.humidity, tinkerforge.motion, tinkerforge.temperature: new checks to monitor tinkerforge sensors...
    * 2988 check_mk_agent.aix: now provides infos for postfix mailq check
    * 3067 openhardwaremonitor.smart: initial support for S.M.A.R.T. harddisk health monitoring via OpenHardwareMonitor...
    * 2975 mk_jolokia: now supports HTTPS
    * 2976 eltek_battery, eltek_battery.temp, eltek_battery.supply, eltek_fans, eltek_outdoor_temp, eltek_systemstatus: new checks for a Eltek Valere USV
    * 2989 netapp_api_snapshots: increased performance while querying data. levels configurable...
    * 2977 aruba_wlc_clients: new check which monitors the WLC clients of a Aruba Networks WLAN Controller
    * 3173 datapower_cpu datapower_fan datapower_fs datapower_ldrive datapower_mem datapower_pdrive datapower_raid_bat datapower_tcp datapower_temp: Detect XI52 Model
    * 2979 aruba_wlc_aps: new inventory plugin for Aruba Networks WLAN Controller which displays name, group name, model, serial number and system location of all access points of this WLC
    * 2980 agent_ipmi_sensors: new special agent to monitor IPMI data via ipmi-sensors (of freeipmi)...
    * 2981 isc_dhcpd: added leases path /var/lib/dhcpd/dhcpd.leases for CentOS
    * 2982 solaris_services.summary: new check which gives a summary of services provided by SMF on Solaris
    * 2660 FIX: fixed windows agent using the wrong working directory...
    * 2664 FIX: ps: Speedup in situation with many matching processes...
    * 2661 FIX: windows agent: fixed incomplete process list...
    * 2665 FIX: ps: fix crash in case of quota violation on Windows
    * 2437 FIX: joloka_metrics.perm_gen: fixed broken check...
    * 2683 FIX: Fixed exceptions occuring in some ps checks...
    * 2662 FIX: windows agent: fixed inventory running every time when ipv6 was activated...
    * 2697 FIX: hp_msa_controller.io, hp_msa_disk.io, hp_msa_volume.io: fixed broken I/O calculation
    * 1296 FIX: aix_memory: Check can now handle systems without swap partition
    * 2690 FIX: ps: Fixed processing of old inventory_processes rules in discovery function...
    * 2236 FIX: cups_queues: Correct not working discovery after werk #2504...
    * 2668 FIX: jar_signature: Handle case correctly where certificate is already expired
    * 2669 FIX: mcdata_fcport: fix computation of in and out traffic...
    * 2692 FIX: check_http: Fixed broken check when using Nagios (introduced with 1.2.7i3)
    * 2706 FIX: winperf_if: fixed rare crashes of windows_if.ps1 plugin...
    * 1297 FIX: emcvnx_hba: Prevent old emc versions from inventory...
    * 2698 FIX: ups_capacity: fixed missing battery time and fuel information
    * 2672 FIX: mounts: ignore options that are allowed to change on btrfs filesystems...
    * 2445 FIX: ibm_svc_disks: fixed crash in case special agent reports too much data columns per line
    * 2734 FIX: cmctc.temp: fix exception of type UnicodeDecodeError
    * 2446 FIX: Active checks check_mail, check_mail_loop: did not work with POP3 protocol...
    * 1300 FIX: ovs_bonding: Fixed discovery exception in case of not active bond
    * 1301 FIX: cmciii: Some rewrites of the cmciii Temperature and Power Phase Checks...
            NOTE: Please refer to the migration notes!
    * 2735 FIX: esx_vsphere_datastores: fix labelling, help and performance data of provisioned space...
    * 2737 FIX: bluecoat_sensors: fix crash when using Nagios as core (missing include)...
    * 2738 FIX: Check_MK Caching agent on Linux: introduce timeout for lock...
    * 2725 FIX: Dynamic levels: Enforce config of levels for filesystems larger than 0 bytes...
    * 2726 FIX: veeam_backup_status: Fixed missing agent section error in case of aborted tasks
    * 2727 FIX: ibm_imm_health: Fixed unhandled exception when SNMP info is missing
    * 2730 FIX: if64: Grouping of interfaces resulted in an exception...
    * 2741 FIX: isc_dhcpd: Fix problem where outdated leases where counted as active
    * 2731 FIX: smart.temp: Handles case of missing temperature values correctly
    * 2753 FIX: ad_replication: Made check more robust agains garbled agent output
    * 2773 FIX: omd_staomd_status: handle case where site's software installation is broken
    * 2754 FIX: ipmitool: Killing asynchronous ipmitool call after 300 seconds...
    * 2755 FIX: apc_symmetra: Check is handling missing data more robust now
    * 2783 FIX: esx_vsphere_datastores: fixed crash when no provisioning levels were set
    * 2700 FIX: ibm_svc_node: fixed handling with agent output after firmware update
    * 2701 FIX: zfsget: fixed handling in case of zero total size based on buggy 'df -h' command on some solaris systems...
    * 2702 FIX: oracle_diva_csm: fixed handling of empty sublists
    * 2761 FIX: check_http: Fixed handling of multiple strings given as "Strings to expect in server response"
    * 2786 FIX: agent_netapp: now able to monitor more than 20 instances of a given type, e.g. volumes or interfaces...
    * 2765 FIX: heartbeat_crm: Fixed issue detecting outdated data with daylight saving time
    * 2775 FIX: omd_status: handle case where status information is incomplete due to missing cmk version
    * 2835 FIX: netextreme_psu_in: fixed wrong voltage usage handling...
    * 2776 FIX: apache_status: fix crash for Apache versions with yet unhandled status fields
    * 2836 FIX: pandacom_psu: fixed handling of not available power supplies
    * 2766 FIX: juniper_fru: Don't discover devices reported as "empty"...
    * 2790 FIX: check_dns: now able to configure milliseconds as expected response time...
    * 2794 FIX: The encoding parameter set in the agent sections was not working...
    * 2712 FIX: winperf_processor: this check no longer requires multiple check cycles before counters are initialized
    * 2796 FIX: apc_symetra_ext_temp: now supports temperatures measured in fahrenheit
    * 2837 FIX: hitachi_hnas_temp: fixed ascii decode error, handles degree celsius now correct
    * 2844 FIX: heartbeat_crm: Fixed problem processing the state of clone set resources
    * 2798 FIX: netapp_api_cpu: fixed incorrect scaling of CPU data in NetApp Clustermode...
    * 2799 FIX: check_mail_loop: "Use TLS over SMTP" option did not work
    * 2777 FIX: check_mk_agent.linux: avoid execution of .deb temporary files as plugins
    * 2800 FIX: mk_mysql: fixed some issues with incorrect assembled command line...
    * 2744 FIX: waitmax now kills the whole process group and is a bit more robust.
    * 2842 FIX: jolokia_metrics.perm_gen: fixed wrong calculation of perf variables warn and crit
    * 2782 FIX: cups_queues: fix crash in case user name contains spaces
    * 2849 FIX: winperf_processor.util: Fixed crash in case no CPU infos are sent
    * 2850 FIX: juniper_cpu: Better error handling of empty data reported by device
    * 2873 FIX: megaraid_pdisks: handle case "Copyback" correctly...
    * 2852 FIX: check_http: SSL can now be configured to use specific SSL version
    * 2853 FIX: cisco_asa_failover: Added support for CISCO PIX security devices
    * 2854 FIX: winperf_if: Assuming interfaces without status to be up
    * 2855 FIX: ibm_svc_mdiskgrp: Fixed crash when capacity of pool is 0
    * 1308 FIX: check_mk_agent.linux: Not longer list prl_fs filesystems...
    * 2856 FIX: winperf_phydisk: Not discovering on clusters where disk perfcounters are missing...
    * 2875 FIX: citrix_farm.ps1: Add missing end marker of piggy data - fixes problem in subsequent plugins
    * 2857 FIX: fritz.conn: Handling missing connection state infos as UNKNOWN
    * 2805 FIX: ps: Now able to monitor processes which contain + characters...
    * 2858 FIX: hp_proliant_da_phydrv: Adding disk controller to check items...
            NOTE: Please refer to the migration notes!
    * 2876 FIX: mk_logwatch: Avoid parsing lines that are currently being written by application...
    * 2806 FIX: oracle_rman: introduced missing WATO, allows configuration of backup age
    * 2883 FIX: default.php template: fixed id_string while creating default template, e.g. for custom checks
    * 2859 FIX: Check_MK Discovery/Inventory and HW/SW Inventory services are now always using caches (if available)...
    * 2860 FIX: mssql.vbs: Now really used the configuration file from the agent config directory
    * 1309 FIX: multipath: Fixed name handling of multipaths...
            NOTE: Please refer to the migration notes!
    * 1310 FIX: blade_bx_powerfan: Check now uses better default leves...
    * 2807 FIX: check_mail_loop: POP3 protocol wasn't working at all
    * 2808 FIX: db2_connections: added missing connections performance data
    * 2861 FIX: hivemanager_devices: Fixed configuration of states to treat as WARN
    * 1312 FIX: carel_uniflair_cooling: Check is now disabled...
    * 2868 FIX: cpu_util.include: fixed crash on some systems if per-core statistics were enabled...
    * 1317 FIX: fileinfo.groups: Fixed handling of $DATE pattern...
    * 2813 FIX: agent_netapp: fixed missing environmental sensor information and exception with snapshot volumes...
    * 2818 FIX: check_mail_loop: now only deletes expected mails and not all mails matching a specific pattern...
    * 2819 FIX: netapp_api_if: now able to detect even more interfaces...
    * 2820 FIX: winperf_phydisk: fixed invalid performance data for read/write ios
    * 2887 FIX: docsis_channels_downstream: now handles correct the downstream power in dBmV
    * 2914 FIX: hr_cpu: fixed check not being applied on some systems...
    * 1320 FIX: fjdarye60_sum: Fixed bug in discovery function
    * 2898 FIX: smart: Using normalized value for determining reallocated events state...
    * 2888 FIX: citrix_controller.licensing: ignoring double data from piggy backs
    * 2899 FIX: ps: Finally improved performance impact of perfdata when having a lot of processes...
    * 2917 FIX: cisco_asa_failover: Will no longer discover on devices where failover is disabled...
    * 2927 FIX: Fix links to logwatch logfiles in case of several special characters in the name...
    * 2891 FIX: mcafee_av_client: fixed wrong params handling after WATO configuration
    * 2907 FIX: chrony: Fixed exception in discovery function when daemon is not running
    * 2908 FIX: oracle_locks: Fixed handling of ORA- errors as sent from e.g. older AIX agents
    * 2909 FIX: postfix_mailq: Fixed crash when postfix mailq size can not be read
    * 2910 FIX: heartbeat_crm: Fixed crash in case of "number of resources" paramters have been configured
    * 2911 FIX: mysql.innodb_io: Fixed crash in case averaging is set to 0 minutes
    * 2912 FIX: mk_oracle mk_oracle.aix: Fixed handling of DBs which names end with "_[NUMBER]"...
    * 2948 FIX: oracle_tablespaces: Fixed exception when section contained empty line
    * 2949 FIX: oracle_logswitches oracle_sessions oracle_version: Improved handling of legacy oracle plugin error cases
    * 2950 FIX: citrix_controller.sessions: Fixed crash in case active/inactive infos are missing
    * 2951 FIX: ibm_svc_disks: Fixed exception with disks having a TB capacity
    * 2952 FIX: netextreme_psu_out: Fixed crash in case of phase can not be found anymore
    * 2953 FIX: netextreme_psu_in: Fixed discovery of Power Supply Input checks
    * 2954 FIX: netextreme_temp: Fixed temperature checking
    * 2955 FIX: cpu.loads: Fixed monitoring on some AIX systems
    * 2939 FIX: winperf_phydisk: fixed permanent stall state if windows reports several disks with the same drive letter...
    * 2957 FIX: Renamed Lotus Domino Task Inventory rule to Lotus Domino Task Discovery
    * 2958 FIX: domino_tasks: Fixed broken discovery and check
    * 2959 FIX: apt: Made check more robust against invalid agent data
    * 2960 FIX: tsm_stagingpools: Fixed exception in case of garbled agent output
    * 2961 FIX: tsm_sessions: Fixed crash in cae of client name contains spaces
    * 2962 FIX: esx_vsphere_vm.guest_tools: Fixed exception in case no version info is available
    * 2963 FIX: esx_vsphere_datastores: Deal with empty url attribute of datastores
    * 2983 FIX: netapp_api_disk: fixed exception when disks were not included in the raid...
    * 2971 FIX: heartbeat_crm: Is now compatible with more forms of crm_mon output formats
    * 2972 FIX: df: Filesystem trends: Outputting less senseless time left in case of nearly 0 growth
    * 3034 FIX: cups_queues: Fixed bug when no user name available for a print job
    * 2940 FIX: dell_om_disks: non-raid state is no longer treated as a critical problem...
    * 2942 FIX: juniper_cpu_util: new check replaces juniper_cpu which was reporting incorrect values...
            NOTE: Please refer to the migration notes!
    * 3063 FIX: mcaffee_av_client: plugin didn't work with 32-bit av software installed on 64-bit system
    * 3064 FIX: netscaler_health: no longer discovers non-running fans (i.e. in virtual appliances)
    * 2987 FIX: esx_vsphere_counters: Improved accuracy of all counter values...
    * 3065 FIX: mem.win: renamed "Pagefile" to "Commit Charge" to clarify what the number actually expresses...
    * 3043 FIX: agent_emcvnx: Fixed error handling in case of missing naviseccli command
    * 3045 FIX: veeam_backup_status: Fixed wrong date format reported by agent...
    * 3066 FIX: windows agent: 32-bit performance counters were not returned correctly
    * 3068 FIX: ps: added performance graphs for process handle count (windows only)
    * 3069 FIX: unitrend_backup: fixed broken plugin output
    * 2930 FIX: juniper_cpu_util: Better detection, find more devices...
    * 3163 FIX: Treat interface name '1' and '01' as identical when grouping interfaces...
    * 3167 FIX: apc_inrow_airflow: fix exception in displaying parameters in WATO services list...
    * 3070 FIX: windows agent: replaced a very costy section regarding installed software...
    * 3071 FIX: cisco_mem, cisco_sys_mem, cisco_mem_asa: fixed incorrect unit being displayed...
    * 2990 FIX: netapp_api_vs_traffic: fixed incorrect CIFS latency...
    * 2978 FIX: agent_appdynamics: fixed missing closing brackets for piggyback data
    * 3172 FIX: fjdarye100_rluns  fjdarye101_rluns  fjdarye60_rluns: Correctly detect RAID 0 state...
    * 3174 FIX: Fix exception in Check_MK agent version check if version number does not contain three parts
    * 3049 FIX: esx_vsphere_hostsystem.mem_usage_cluster: Fixed exception when no thresholds configured
    * 3052 FIX: domino_mailqueues: Fixed exception when receiving empty data from SNMP
    * 3054 FIX: ups_modulys_battery: Fixed wrong remaining minutes in some cases
    * 3055 FIX: ibm_svc_mdiskgrp: Fixed exception in case of configured thresholds...
    * 3056 FIX: vms_cpu: Fixed exception when having thresholds configured
    * 3072 FIX: windows agent: agent can now handle utf-16 encoded output from plugins...
    * 3057 FIX: arc_raid_status: Fixed exception when number of disks changed

    Multisite:
    * 2684 Added icons for downloading agent data / walks of hosts...
    * 2713 New bookmark lists, strucutrable and shareable between users...
    * 2768 SHowing number of unacknowledged incompatible changes in sidebar header
    * 2769 Verifying that the Check_MK GUI is not used with Apache threaded MPM (e.g. worker)
    * 2880 Automatically detect changes in local web/plugins, no Apache restart needed anymore...
    * 2929 Show all metrics of a service in a nicely formatted table in the service details
    * 2992 New visual filter: "Hostname or Alias"...
    * 2680 FIX: LDAP: Fixed exception when syncing groups using configurations from previous versions...
    * 2435 FIX: New graphing system: fixed broken graphs for iSCSI checks...
    * 2696 FIX: Fixed broken perfometer for update checks
    * 2685 FIX: LDAP: Fixed failing synchronization when migrating some old configs...
    * 2686 FIX: Fixed showing graphs for cluster ping services
    * 2687 FIX: Quicksearch: Improved error handling
    * 2689 FIX: LDAP: Fixed broken sync when using "Filter Group" in the user sync settings
    * 2438 FIX: Manpage icons: fixed manpage links for active checks
    * 2691 FIX: Fixed exception in host address painter when displaying hosts/services of older sites
    * 2670 FIX: Fix problem that no site is configured when user has deleted only site...
    * 2717 FIX: Fixed broken webserver level authentication integration (e.g. basic, kerberos)...
    * 2722 FIX: Fixed some icon links from views opening in dashlet frames instead of the whole page...
    * 2729 FIX: Hosts/Hostproblems snapin: Fixed wrong livestatus query when filtering lists
    * 2709 FIX: fixed exception when opening the action menu...
    * 2447 FIX: Fixed sorting of performancedata values with units...
    * 2758 FIX: Fixed processing of metrics containing varnames with quotes and/or spaces
    * 2762 FIX: Fixed formating of check_http when using "clickable URL" option
    * 2772 FIX: Fixed possible exception in icon column when showing some actions in the column...
    * 2846 FIX: View refresh could reset checkboxes on views where "always show checkboxes" is enabled
    * 2778 FIX: Fixed correct scaling of sidebar on newer versions of Chrome browser
    * 2781 FIX: Fix role handling of "Custom Links" snapin in case of adapted roles...
    * 2804 FIX: Avoid redeclaration errors in graphs when using pnp basket...
    * 2877 FIX: Do not reopen search form when doing actions via Host/Service search
    * 2810 FIX: esx_vsphere_counters, winperf_phydisk: fixed exception on pnpgraph overview page...
    * 2895 FIX: Fixed broken "back to view" links after checkbox actions in views...
    * 2896 FIX: Improved handling of wrong encoded input strings...
    * 2822 FIX: Availabiltiy: Fixed exception while rendering the timeline...
    * 2901 FIX: Fixed issue editing availability annotations...
    * 2904 FIX: Improved error handling when custom url dashlets raise an exception...
    * 2830 FIX: Improved sorting in view column "Services colored according to state"...
    * 2945 FIX: LDAP: Fixed broken sync for LDAP connections named "ldap"...
    * 2946 FIX: LDAP: User created during login does not trigger full user synchronisation anymore...
    * 2947 FIX: LDAP: Simplified automatic sync logic...
    * 2956 FIX: Fixed exception on "Availability of Single-Host Aggregations view
    * 2965 FIX: Fixed HTML code shown in filter selection of favorite hosts filter
    * 2966 FIX: Quicksearch: Fixed sorting of results when not only searching for hosts
    * 2967 FIX: Hosts/Services: Hiding action menu trigger for empty menus
    * 2968 FIX: Closing quicksearch results when moving mouse out of sidebar area
    * 2969 FIX: Fixed folding of sidebar in Google Chrome
    * 2970 FIX: Users now allowed to modify the sidebar (e.g. guests) can now not fold snapins anymore
    * 3035 FIX: Fixed broken graph preview when hovering graph icon in Check_MK Raw Edition
    * 3040 FIX: Removed all summary_hosts related filters from shipped views...
    * 3041 FIX: Fixed deselecting view checkbox options like "Always show checkboxes" in dashboard embedded views
    * 3046 FIX: Acknowledging all incompatible werks when creating new sites
    * 2931 FIX: Do not load bookmarks, reports, view, etc. of non-existing users anymore
    * 3171 FIX: Logout in one site will log out of all sites sharing the same auth.secret...
    * 3048 FIX: It is now possible to add a context filter right after removing it from a view again...
    * 3050 FIX: Fixed broken "Host state (first character)" painter
    * 3053 FIX: Fixed broken login with Python 2.4 (e.g. on CentOS 5.x systems)

    WATO:
    * 2442 WATO remove host: improved cleanup of obsolete host files...
    * 2785 WATO Web-API: i18n of error messages and intitial validation of incoming request...
    * 1302 Added new WATO permission to deactivate the function rename of hosts...
    * 1311 netapp_api_volumes: Added option to configure inode levels in wato
    * 2878 Rework of host search in WATO - allow all bulk operations on search results...
    * 2879 WATO-Replication of MKPs and files in the local/ hierarchy...
    * 2897 Changed move host action to be an action icon using a popup menu...
    * 2900 Bulk Host import can now handle CSV files including several host attributes...
    * 2923 SNMP community in WATO is now always displayed with ******...
    * 2924 WATO can now add contact groups from hosts also to services...
    * 2902 Hosts can now be added by regular network scans of configured IP ranges...
    * 2991 Snapshot restore: Improved robustness and logging...
    * 2666 FIX: Fix search for global configuration variables: ignore case now
    * 2715 FIX: Fixed visibility of BI aggregations in editor
    * 2716 FIX: Fixed error reporting on disabled checks page in case of broken man pages
    * 1298 FIX: Fixed broken WebAPI...
    * 1299 FIX: BI: Fixed recently introduced bug when editing BI Rules...
    * 2721 FIX: Fixed user profile sync in distributed environments after profile change
    * 2723 FIX: Hiding "discard changes button" after successful activation of changes
    * 2742 FIX: Make selection of folders and host group tag filter use nicer drawing characters
    * 2774 FIX: Fix exception when deleting certain types of MIBs
    * 2760 FIX: Fixed case where "activate changes" was not commiting the pending changes entries correctly...
    * 2767 FIX: Fixed broken user list when non unicode mail addresses are loaded
    * 2791 FIX: Service parameter overview: Fixed problem displaying incorrect rule for classical checks...
    * 2793 FIX: Parameter Overview: Prevent python unicode warnings for services with umlauts...
    * 2845 FIX: LDAP: Fixed exception in connection test on complain issue during connection creation
    * 2779 FIX: Fix moving of folders...
    * 2825 FIX: Parameter overview page no longer raises an exception in certain scenarios...
    * 2925 FIX: Editing a notification rule for a missing user selected random other user...
    * 2905 FIX: Check plugins: Non existant man pages now result in helpful error messages
    * 2943 FIX: Preventing issues with password completion of browsers on user and profile edit pages
    * 2831 FIX: Removing a previously set custom attribute for a contact did not work as intented...
    * 2973 FIX: showing subfolder info in WATO if there are more than four groups
    * 2964 FIX: Deleting site having hosts assigned links to list of hosts now
    * 2928 FIX: Fix display of rule set Do hardware/software Inventory...
    * 3036 FIX: Bulk discovery steps are now timing out short before HTTP request timeout...
    * 3038 FIX: Fixed invalid error message when creating service group assignment rule without having service groups
    * 3044 FIX: Fixed garbled notifications page on page reload after an action has been performed
    * 3047 FIX: Git integration: Using the users mail address for commit messages
    * 3169 FIX: Permission/Contact group settings for new hosts did show folder options...

    Notifications:
    * 2811 Mail notifications: Now able to add Host/Service Notes Url...
    * 2935 a notification can now match multiple event console rules
    * 2728 FIX: Removed debug notification script (was not executable)...
    * 2843 FIX: Hanging notification scripts could prevent all other notifications...
    * 2815 FIX: Notification scripts: Fixed missing environment variables...
    * 2821 FIX: WATO rule based notifications: Validate regular expression for service conditions...
    * 3042 FIX: Fixed configuring the sender of mails (Text and HTML mails)...

    BI:
    * 2882 Reorganize BI configuration into packs, add contacts and permissions...
    * 2826 FIX: Disabled BI Aggregations no longer causing crashes when using "Precompile aggregations on demand"...

    Reporting & Availability:
    * 2823 FIX: Availability: Fixed division by zero error on rendering the availability table
    * 3166 FIX: Fixed problem where scheduled report did not honor host or service group filter

    Event Console:
    * 2733 Visibility of Event Console events more flexible now...
    * 1306 mkeventd: The Recent event history can you be filtered by extended regexes
    * 2903 Added "Service Level" to event simulation...
    * 2974 Added short cut icon 'archive this event' to event console events view
    * 2719 FIX: Events Check: Links to EC were broken when using regular expressions as application...
    * 2757 FIX: Events Check: Fixed check finding too many events (host search was infix search instead of full match)...
    * 2795 FIX: mkeventd: send email action did not work if message text contains umlauts...
    * 2862 FIX: Fixed handling of umlauts in mails send by the EC
    * 2893 FIX: Improved error handling of sending mails via Event Console
    * 2986 FIX: Event Console: Text elements of events are now correctly quoted in shell scripts...
    * 3164 FIX: No longer crash on action or email if trap contains a null byte

    Livestatus:
    * 2743 FIX: Fixed handling of column types in "GET columns"...

    Livestatus-Proxy:
    * 3165 FIX: Make columns in view "Services by group" same as in other service views

    HW/SW-Inventory:
    * 2436 NetApp monitoring: Now able to gather data for inventory...
    * 2440 VMware ESX inventory: Now able to display ESX hostsystems and virtualmachines of clusters
    * 2889 snmp_extended_info: new inventory function which discovers the model name and serial number...
    * 2984 mk_inventory.solaris: improved detection of serial number for solaris_prtdiag plugin...
    * 2667 FIX: solaris_mem: fix exception in inventory plugin
    * 2714 FIX: Fixed visibility of folding arrows by making them dark
    * 2439 FIX: solaris_prtdiag: Can now handle Oracle Corporation SUN FIRE X4170 M2 SERVER...
    * 2827 FIX: win_disks, win_video: now able to detect multiple instances
    * 2828 FIX: win_disks: now able to handle disks with missing size or media type information
    * 2906 FIX: Fixed crash in views containing special chars in HW/SW-Inventory based columns
    * 3170 FIX: Fix spurious exception while creating the inventory directory for the first time
    * 3051 FIX: lnx_distro: Correctly detecting Check_MK Appliance Operating System now


1.2.7i3:
    Core & Setup:
    * 2595 Discovery check can now automatically add missing services and also activate changes...
    * 2674 Added native support for monitoring via IPv6...
    * 2465 FIX: Fixed broken Check_MK Discovery checks (check reports "(null)")
    * 2502 FIX: Fixed removing autochecks when a host is configured to be ping only...
    * 2526 FIX: Fixed crash in filesystem checks in case mountpoint contains non-ascii characters
    * 2540 FIX: Process piggy backed data even if host is set to "No Agent"...
    * 2543 FIX: Fixed usage of icons/actions configured directly with process rules
    * 2630 FIX: fixed incorrect check interval of Check_MK Discovery...
    * 2430 FIX: Fixed crash with availability queries when using nagios as core...
    * 2643 FIX: Fix spurious CRIT status on check on mknotifyd...
    * 2617 FIX: Improved error handling in case of agent error but piggyback data available
    * 2647 FIX: Fix crash of CMC in case of duplicate host...

    Checks & Agents:
    * 2312 New checks for EMC VPLEX: emc_vplex_cpu, emc_vplex_director_stats, emc_vplex_if, emc_vplex_volumes...
    * 1260 jolokia_metrics.perm_gen: New Check to monitor used Perm Space on a JVM
    * 2317 agent_ruckus_spot: new special agent for querying access point statistics via web interface...
    * 2371 appdynamics_memory, appdynamics_sessions, appdynamics_web_container: New checks for AppDynamic...
    * 2398 agent_vsphere: now able to opt-out of servers ssl certifcate check...
    * 2448 Various Checks for Citrix XenApp 7.x Farms...
    * 2399 agent_vsphere/esx_vsphere_counters.if: now also reports interface state, bandwidth and mac address...
    * 1262 check_dns, check_ldap, check_smtp: It is now possible to customize the service descriptions of this checks....
    * 2127 haproxy.frontend, haproxy.server: new checks and agent plugin for HAProxy
    * 2285 Modified checks for printer pages: canon_pages, printer_pages, printer_pages_ricoh, printer_pages.include...
            NOTE: Please refer to the migration notes!
    * 2129 db_ checks: new mk_db2.linux agent supporting the existing db2_ checks
    * 1269 esx_vsphere_counters.diskio: Check now uses the default diskstat implementation...
            NOTE: Please refer to the migration notes!
    * 1272 alcatel_power, alcatel_temp Support for stacked environments...
            NOTE: Please refer to the migration notes!
    * 1273 bvip_cams, bvip_fans, bvip_info, bvip_link, bvip_poe, bvip_temp, bvip_util, bvip_video_alerts: New Checks for Bosch Video over IP Cameras
    * 2405 ucs_bladecenter_topsystem, ucs_bladecenter_faulinst: new checks for UCS bladecenter...
    * 2451 wut_webtherm.humidity, wut_webtherm.pressure: Two new checks for humidity and air pressure sensors for WuT devices...
            NOTE: Please refer to the migration notes!
    * 2472 MSSQL Agent Plugin: Can now be configured to auth as database user...
    * 2286 hp_procurve_cpu, hp_procurve_mem, hp_procurve_sensors: now can monitor HP 2920 Switch Stack...
    * 2287 fjdarye500_cadaps fjdarye500_cmods fjdarye500_cmods_flash fjdarye500_cmods_mem fjdarye500_conencs fjdarye500_cpsus fjdarye500_devencs fjdarye500_disks fjdarye500_expanders fjdarye500_inletthmls fjdarye500_sum fjdarye500_syscaps fjdarye500_thmls: New checks for Fujitsu Eternus DX500 S3
    * 2409 AIX DB2 monitoring: the agent plugin now processes all db2 instances in parallel...
    * 2288 check_mk_agent.aix: New sections for HACMP cluster manager...
    * 2289 aix_hacmp_resources, aix_hacmp_services, aix_hacmp_nodes: new checks for HACMP Cluster Manager...
    * 2410 ESX / agent_vsphere: Now able to re-use session cookies...
    * 2290 hp_procurve_temp: new check which monitors the system temperature of HP Switches which support the HP-ICF-CHASSIS-Mib
    * 2291 check juniper_trpz_aps: now monitors the number of access points of all juniper trapeze devices which support the TRAPEZE-NETWORKS-REGISTRATION-MIB
    * 2292 kentix_amp_sensors: New check for the Kentix Alarmmanager Pro...
    * 2413 esx_vsphere_counters: new check to monitor the disk throughput and latency for ESX datastores
    * 2513 sentry_pdu_outlets sentry_pdu_systempower: new checks which monitor the system power consumption and outlet states of sentry pdu devices which support the Sentry3-MIB
    * 2514 check oracle_jobs: configurable service status in case of disabled jobs...
    * 2515 juniper_trpz_aps: check is now cluster-aware...
    * 2417 winperf_phydisk: can now work in a cluster environment
    * 2523 ipmi: new wato rule to set ignored sensors and activate/deactivate summarizing
    * 1277 check_ldap: It is now possible to specify a alternative Hostname...
    * 1278 mssql_blocked_sessions: New Check to show blocked MSSQL Sessions
    * 1279 check_curl (treasures): Added NTLM support
    * 2516 check juniper_trpz_aps: now lists also the sessions on the access points...
    * 2535 if64adm: new variant of 64 that allows to take the admin status of the interface into account
    * 2536 emc_isilon_fans, emc_isilon_temp, emc_isilon_temp.cpu: New checks for fans and temperatures of EMC Isilon
    * 2527 emc_isilon_power, emc_isilon_quota: New checks for power supply and fs quotas on EMC Isilon data storage devices
    * 2528 emc_isilon_cpu, emc_isilon_ifs: New checks for cpu utilization and the combined cluster storage on EMC Isilon data storage devices
    * 2529 kernel.util can now be configured to warn if a single cpu core exceeds a utilization threshold for a while
    * 2419 windows agent: is now downward compatible to win2k
    * 2517 mem.linux: Now able to handle hardware corrupted error via WATO rule...
    * 1281 Microsoft Azure special agent (treasures)...
    * 2420 mk_db2.aix: now able to monitor partitioned databases...
    * 2530 ups_modulys_alarms ups_modulys_battery ups_modulys_battery_temp ups_modulys_inphase ups_modulys_outphase: New checks for the Socomec Modulys UPS
    * 2518 veritas_vcs: New check which monitors the Veritas Cluster Service...
    * 2519 check_mk_agent.linux: New section for a Veritas Cluster Service...
    * 1283 hyperv_checkpoints,hyperv_vmstatus: Checkpoints and Integration Services Check for HyperV VMs...
    * 2520 genua_vpn: new check which monitors the VPN state of a genuscreen VPN appliance...
    * 2521 juniper_trpz_aps_sessions: new check shows the radio data and sessions per online access point...
    * 2511 siemens_plc: Special agent can now be configured to fetch other memory areas than DB...
    * 2421 winperf_phydisk: now able to monitor the average read/write duration for each disk...
    * 2422 winperf_mem: new check to monitor memory pages per second...
    * 2423 interface checks: now able to configure absolute levels for error packets...
    * 1286 blade_bx_powerfan: Discovery ignores not present fans now
    * 2424 esx_vsphere_counters: improved handling when data is missing...
    * 1288 cisco_vpn_tunnel: Added Metrics for trafic, please beware:...
    * 2425 agent_hp_msa: New special agent to monitor "HP MSA Storage" devices...
    * 2563 ipr400_temp, ipr400_in_voltage: New checks for the Omnitronics IPR400
    * 2583 datapower_tcp: new check which monitors the number of TCP connections in the various possible states
    * 2565 dell_om_disks now warns if SMART predicts disk failure
    * 2572 dell_om_vdisks: New check for virtual disks on Dell OpenManage supported devices
    * 2586 ibm_imm_fan: lower and upper levels are now configurable
    * 2587 juniper_temp, juniper_fru, juniper_mem, juniper_alarm: new checks for a Juniper Ethernet Switch
    * 2588 emcvnx_sp_util: new check which monitors the storage processor utilization of an EMC VNX Storage System...
    * 2623 janitza_umg_inphase, janitza_umg_freq, janitza_umg_temp: new checks for Janitza Power Analyzers
    * 2589 check raritan_emx: splitted into three subchecks...
            NOTE: Please refer to the migration notes!
    * 2590 raritan_px2_sensors: new check which monitors the temperature, humidity, air flow and pressure sensors connected to a Raritan PX2 Device
    * 2591 raritan_emx_sensors: new check which monitors contact, temperature, humidity, air flow and pressure sensors connected to a Raritan EMX Device
    * 2592 netextreme_fan, netextreme_psu, netextreme_psu_in, netextreme_psu_out, netextreme_temp: new checks for Extreme Networks Switches...
    * 2625 kernel.util, winperf_processor.util: now support an optional graph showing utilization of individual cores...
    * 2626 ps check configurable to list state of individual processes in long output...
    * 2633 cisco_stackpower: new check which monitors the link status of stack ports of Cisco Switches 3750-E Series
    * 2634 artec_documents, artec_temp: new checks for ARTEC Mail Archive Appliance...
    * 2632 oracle_diva_csm, oracle_diva_csm.actor, oracle_diva_csm.archive, oracle_diva_csm.drive: new checks for DIVA CSM devices
    * 2635 pandacom_psu, pandacom_fan, pandacom_sys_temp, pandacom_10gm_temp, pandacom_fc_temp: new checks for Pandacom SpeedCarrier Chassis 5u...
    * 2433 interface checks: now able to configure the infotext shown in the check output...
    * 2636 ucd_mem, ucd_processes, ucd_disk: new checks for systems using UCD SNMP Daemon...
    * 2655 Windows Agent can now read additional settings from an optional check_mk_local.ini file...
    * 2656 windows agent can now optionally output the full command line in the ps section...
    * 2637 etherbox2_temp: new check for the etherbox 2 (from firmware version 1.21 on) / MessPC...
    * 2621 check_http: Can now be configured to check via IPv6
    * 2694 cmctc_lcp: this check monitors now the device levels
    * 2659 Added IPv6 support to the windows agent...
    * 2315 FIX: windows agent: BOM replacement, fixed incorrect byte offset...
    * 2316 FIX: windows agent: fix garbled output of cached agent plugins...
    * 2358 FIX: check_mk_agent.solaris: more correct computation of zfs used space...
    * 2350 FIX: FreeBSD Agent: Changed bash path to /usr/local/bin/bash...
            NOTE: Please refer to the migration notes!
    * 2351 FIX: FreeBSD Agent: Made plugin/local paths standard conform...
            NOTE: Please refer to the migration notes!
    * 2352 FIX: FreeBSD Agent: Removed statgrab cpu section because there is a dedicated cpu section...
    * 2359 FIX: adva_fsp_if: Use more reliable SNMP table, avoids sporadic problems...
    * 2360 FIX: esx_vsphere_vm.snapshot: Fix output of snapshot age in performance data and graph...
    * 2378 FIX: if: Now fixing encoding in interface descriptions according to rule...
    * 2362 FIX: mk_logwatch: fix cases where one logfile is listsed more than once in logwatch.cfg...
    * 2363 FIX: jolokia_metrics.uptime: Do not inventory instances where Uptime is missing - avoid crashed check
    * 2381 FIX: emc_datadomain_fans: Made check more robust against broken SNMP output
    * 2366 FIX: carel_sensors: fix crash in case of missing temperature sensor
    * 2382 FIX: mssql_backup: Formating age output more human friendly
    * 2383 FIX: FreeBSD Agent: Fixed handling <<<ps>>> section when jailed
    * 2368 FIX: ucd_cpu_load: fix exception in case of dump SNMP agent sending 12,540000 instead of 12.540000
    * 2318 FIX: windows agent: no longer crashes when a cached plugin has several hundred sections...
    * 2319 FIX: winperf_if: fixed exception when using windows_if.ps1 in an old windows version...
    * 1261 FIX: apc_symmetra_power: Ignore unused phases during discovery
    * 2320 FIX: winperf_msx_queues: no longer crashes in service discovery if there are no msx queues available
    * 2321 FIX: process discovery: fixed exception during service discovery when no explicit process matching was set...
    * 2394 FIX: megaraid_ldisks: Is now supporting LSI CacheCade drives
    * 2449 FIX: db2_mem: Fixed scaling of perfdata...
    * 1264 FIX: ad_replication: Fixed handling of agent output without Destination DC entry
    * 1265 FIX: check_mk_agent.aix: Filesystem Section now ignores cdrfs filesystems
    * 1266 FIX: cisco_mem_asa: Special memory check for cisco asa devices....
            NOTE: Please refer to the migration notes!
    * 2400 FIX: windows_if.ps1: fixed exception in plugin when an interface team had no members
    * 2374 FIX: md: Fix exception for certain outputs of certain special MD configurations...
    * 2458 FIX: FreeBSD-Agent: Fixed uptime calculation
    * 1271 FIX: omd_apache: Fixed handling of urls with whitespace
    * 2402 FIX: netapp_api_disk: fixed broken WATO and check configuration...
    * 2403 FIX: ibm_imm_fan: fixed exception with invalid formatted fan speed information...
    * 2404 FIX: apache_status: now able to handle BusyServers and IdleServers...
    * 2406 FIX: fileinfo: fixed missing size performance data for very large (e.g 2TB) files and fileinfo groups...
    * 2450 FIX: citrix_serverload: Changed representation of load to percent in rule and graphs, added perfometer
    * 2408 FIX: ibm_imm_fan: fixed exception while parsing fan percentage values
    * 2469 FIX: Fixed service discovery on SNMP host having no system description OID
    * 2480 FIX: Fixed exception when configuring predictive levels for network interfaces
    * 2376 FIX: Fix parsing of performance data from MRPE based checks
    * 2377 FIX: cpu.loads: Fix output of reference for predition (was scaled wrongly by number of cores)
    * 2473 FIX: cisco_asa_failover: Reworked check to reflect expected primary/secondary states of devices...
    * 2476 FIX: check_bi_aggr: Fixed exception when authentication is enabled
    * 2477 FIX: SNMP: Fixed exception when processing specific SNMP data with missing columns...
    * 1274 FIX: heartbeat_crm: Handle case of error messages from CRM
    * 2488 FIX: veem_jobs: fix problems with spaces or single quotes in the names of jobs...
    * 2494 FIX: Clasic SNMP mode now uses normal snmpwalk when bulkwalks are disabled with SNMPv3
    * 2495 FIX: printer_supply: Fixed exception when unit type is not available via SNMP
    * 2496 FIX: Fixed CPU load checks when monitoring raspbian/babanian systems
    * 2497 FIX: veeam_client: Fixed exception when client is missing in agent output
    * 2498 FIX: livestatus_status: Records the number of hosts/services now
    * 2489 FIX: cmciii_lcp_water: New check replacing cmciii_lcp_waterin/out, support for newer devices...
            NOTE: Please refer to the migration notes!
    * 1275 FIX: Fileinfo: Fixed handling of output from AIX Agent
    * 2500 FIX: qlogic_fcport: Can now deal with missing port status information...
    * 1276 FIX: brocade_mlx_temperature: Fixed the shown Temperature Values
    * 2490 FIX: synology_disks: treat SSDs with state "not initialized" as OK if state does not change later
    * 2414 FIX: logwatch: now really ignores ignored logwatch lines...
    * 2415 FIX: check_mail, check_mail_loop: fixed incorrect POP3 ssl setting (thanks to Bernhard Schmidt)...
    * 2452 FIX: cisco_temperature: Fixed handling of scaling...
    * 2416 FIX: agent_netapp: fixed rare problem where environmental sensor info (fan, psus, temp) were not shown...
    * 2418 FIX: agent_vsphere.pysphere: legacy agent no longer aborts when evaluating unknown ssl option...
    * 2503 FIX: diskstat: Only excluding multipath members when infos for multipath devices are available...
    * 2504 FIX: cups_queues: Fixed wrong queue discovery on hosts running apcupsd
    * 2506 FIX: Diskstat summary: Ignoring stats from LVM devices
    * 2455 FIX: raritan_pdu_inlet: Fixed scaling...
    * 2492 FIX: check_mk_agent.linux: avoid problems with crashing waitmax after Ubuntu update...
    * 2507 FIX: mysql_slave: fixed exception caused by wrong parsing of agent data
    * 1280 FIX: check_mail_loop: It was not possible to use POP3 as protocol to fetch mails
    * 1282 FIX: win_printers: Not longer discover offline printers
    * 1284 FIX: symantec_av_progstate: Now Supports the current version of Symantec AV
    * 1285 FIX: blade_bx_powerfan: Fixed exception in case of fan failure
    * 2522 FIX: check_mk_agent.aix: now handles different output formats of the uptime function
    * 1287 FIX: akcp_temperature: Fixed interpretation of device levels...
    * 2545 FIX: akcp_daisy_temp: sensorProbe8-X20 not trying to discover services on these devices
    * 2546 FIX: brocade_mlx_power: Only discover power supplies in state normal/failure, skip other states...
    * 2547 FIX: mysql mysql_capacity mysql_ping mysql_slave: Fixed broken service discovery when instance id is empty...
    * 2564 FIX: logins: missing manpage
    * 2575 FIX: cpu.loads: Fix exception in displaying parameters for CPU load check...
    * 2574 FIX: postfix_mailq: speed up agent part on FreeBSD
    * 2566 FIX: ups_modulys_battery.temp: fixed missing manpage
    * 2585 FIX: include file for elecritcal phases handles warn/crit levels correct
    * 2576 FIX: symantec_av_updates: fix crash due to missing datetime module, also handle DD.MM.YYYY date format
    * 2567 FIX: jolokia_metrics: fixed crash if agent output is missing memory metrics
    * 2577 FIX: printer_input, printer_output: Fix exception on Brother NC-340h
    * 2554 FIX: oracle_recovery_status: Fixed exception when files have no checkpoints
    * 2568 FIX: apache_status: fixed computation of bytes and requests per second...
    * 2557 FIX: cmciii_lcp_airin cmciii_lcp_airout cmciii_lcp_waterin cmciii_lcp_waterout: Fixed exception parsing data from some devices
    * 2558 FIX: cmciii.temp: Do not discover air temperature sensors anymore...
    * 1290 FIX: brocade_mlx_fan: Fix: Not longer add fans who not are present while discovery
    * 2569 FIX: fixed crash in aix lvm check after volume disappears...
    * 2559 FIX: job: Trying to read job result files as non root when agent is not executed as root
    * 2570 FIX: winperf_msx_queues: fixed crash when winperf data is missing...
    * 2593 FIX: cisco_wlc, cisco_wlc_clients: Fix discovery so that Cisco Virtual Wireless Controller are detected...
    * 2571 FIX: local: improved reporting of bad local check output
    * 1291 FIX: alcatel_fans: The internal name of the Check changed...
            NOTE: Please refer to the migration notes!
    * 1292 FIX: hitachi_hus_status: Internal Name of Check changed...
            NOTE: Please refer to the migration notes!
    * 2561 FIX: check-mk-agent rpm is now also replacing check_mk_agent named rpms...
    * 2594 FIX: mem.linux: Remove several bogus exceeding time graphs
    * 2605 FIX: mbg_lantime_ng_fan: Fixed exception in check / added missing man page
    * 2606 FIX: cisco_temperature: Reduced SNMP overhead for large devices...
    * 2428 FIX: "Clustered services for overlapping cluster": Improved rule matching...
    * 2608 FIX: kemp_loadmaster_ha: Fixed wrong discovery on snmp monitored linux systems
    * 2609 FIX: mysql_capacity: Can now handle sizes reported being NULL...
    * 2627 FIX: knuerr_sensors: no longer creates a service for unnamed sensor...
    * 2631 FIX: janitza_umg_freq: fixed crash when no frequency measurements were reported by the device
    * 2653 FIX: winperf_msx_queues: fixed incorrect cancelation of check claiming no counters were available...
    * 2619 FIX: services_summary: Fixed exception on WATO services summary page
    * 2654 FIX: logwatch: fixed high memory and cpu usage caused by too many unacknowledged messages...
    * 2622 FIX: postfix_mailq: Fixed exception when postfix is installed but not configured properly
    * 2675 FIX: checkpoint_connections checkpoint_packets: Fixed wrong discovered services on non checkpoint devices
    * 2657 FIX: windows agent: fixed failure to resolve named performance counters...
    * 2676 FIX: cisco_asa_failover: Failover state is not treated as warning state anymore...
    * 2658 FIX: logwatch: unacknowledged messages exceeding the max size are now dropped, even if they were already stored due to a previous bug...
    * 2679 FIX: hp_proliant_power: Not discoverying when host is reporting "absent" state...
    * 2652 FIX: jolokia_metrics: better handling of situation where agent does not respond...

    Multisite:
    * 2385 SEC: Fixed possible reflected XSS on all GUI pages where users can produce unhandled exceptions...
    * 2387 SEC: Fixed XSS problem on all pages using confirm dialogs outputting user provided parameters...
    * 2388 SEC: Fixed reflected XSS on the index page using the start_url parameter
    * 2389 SEC: Fixed XSS using the _body_class parameter of views...
    * 2390 SEC: Fixed possible XSS issue on views...
    * 2391 SEC: Auth cookie is using "secure" flag when HTTPS request detected...
    * 2392 SEC: Auth cookie is always using "httponly" flag...
    * 1268 The Snapins "Folders" and "Tree of Folders" can now be used by users without wato permission
    * 1270 Multsite site Hostfilters for views can now be negated
    * 2471 User IDs are now allowed to contain special characters (like German umlauts)...
    * 2484 Virtual Host Tree now allows adding levels of WATO folders...
    * 2501 Implemented new crash report handling...
    * 2491 Allow clickable URLs in comments and downtime texts...
    * 2512 Custom Icons/Actions: URLs target frames can now be configured...
    * 2612 SEC: Fixed possible XSS on service detail page using the long service output...
    * 2613 SEC: Additional fix for refleced XSS on index page using start_url...
    * 2600 Allow service regular expression filter to be negated...
    * 2601 Access to Werks (change log) directly in the user interface...
    * 2602 Tracking of incompatible Werks...
    * 2681 LDAP: Added support for synchronizing with multiple LDAPs
    * 2616 LDAP: Improved handling of multiple connections (Name conflicts, cross directory sync)...
    * 2646 New system for displaying time graphs of metrics...
    * 2678 LDAP: New sync plugin: Groups to custom user attributes...
    * 2314 FIX: Availability: fixed exception when grouping by host or service group
    * 2361 FIX: Fix exception for missing key 'title' in certain cases of older customized views
    * 2379 FIX: Plugin-Output: Fixed handling of URLs within output of check_http...
    * 2380 FIX: Custom Host Notes painter was showing service notes when used in service based views
    * 2393 FIX: Fixed exception "user_confdir" not set in case of exceptions during login
    * 1263 FIX: Fixed handling of urls in views...
    * 2396 FIX: LDAP: Fixed handling of LDAP trees having special chars in the path (e.g. in OU names)...
    * 2459 FIX: Preventing caching of all HTTP requests to dynamic pages (*.py)...
    * 2468 FIX: Fixed actions for duplicate host names on different sites...
    * 2470 FIX: Fixed exception in logwatch log list in rare cases...
    * 2375 FIX: prediction preview: automatically select valid prediction period
    * 2509 FIX: Logwatch: Fixed exception when deleting a specific logfile on multiple hosts
    * 2538 FIX: Fix exception in PNP graph template where metric name contains colon (e.g. omd_apache)...
    * 2510 FIX: Fixed sidebar frame scaling in chrome when using browser zoom
    * 2544 FIX: Fixed links to availability timeline using the context buttons
    * 2548 FIX: Fixed exceptions in different places in case of user errors...
    * 2549 FIX: Silently ignore not existing painters and sorters in views...
    * 2531 FIX: Fixed graph hover for services containing backslashes...
    * 2532 FIX: Fixed undefined variable exception in prediction in rare cases...
    * 1289 FIX: Fixed missing table headers in hostgroup view
    * 2551 FIX: Fixed locking issues when editing dashboards...
    * 2426 FIX: pnptemplate: fixed template for netapp_api_volumes
    * 2578 FIX: Fix exception in case a user has a non-existant role...
    * 2556 FIX: Availability: Fixed exception when trying to group BI aggregations by host/service-groups
    * 2580 FIX: Remove bogus ;0 in comment of problem acknowledgements...
    * 2604 FIX: Dashboards: Improved error handling in case of broken dashlet
    * 2597 FIX: Fix settings downtimes on BI aggregates in distributed environment...
    * 2598 FIX: Remove button for removing downtimes an BI aggregates because it cannot work...
    * 2607 FIX: Fixed broken links from BI views to aggregation group views
    * 2615 FIX: Fixed bug in legacy dashboard conversion when having users not permitted to access embedded views...
    * 2429 FIX: check_mk-netapp_api_disk.summary.php: fixed broken php-template
    * 2618 FIX: Fixed "move folder" popup being positioned out of screen on the right
    * 2620 FIX: Fixed issue loading correct graph templates when HTTP is disabled on system apache level

    WATO:
    * 2365 Removed old deprecated notification global options for plain emails...
    * 2384 SEC: Prevent user passwords from being visible in webserver log on user creation...
    * 2386 SEC: Fixed possible XSS on WATO rule edit page...
    * 2373 Skip unmonitored hosts during bulk discovery...
    * 2462 Users with access to host/services can now edit the disabled services rule for their hosts/folders...
    * 2463 Hiding not permitted actions from service discovery page when only permitted on host...
    * 2479 Allowing dots in host-, service- and contact groups now
    * 2486 Remove special handling for non-distributed-setups in WATO...
    * 2487 Remove dangerous <i>Factory Reset</i> button...
    * 2649 Bulk renaming of hosts in WATO...
    * 2651 Do not allow adding of duplicate hosts anymore...
    * 2344 FIX: Improved validation of selected rules when editing BI aggregations...
    * 2346 FIX: Notifications: Fixed garbled page when switching on/off bulks/backlog/user rules
    * 2372 FIX: Avoid freezing WATO during bulk discovery if hosts do not respond in a timely manner
    * 1267 FIX: Fixed confirm activating foreign changes dialog...
    * 2397 FIX: Fixed wrong confirm text in distributed setup when activating foreign changes
    * 2461 FIX: Service Discovery: Hiding action buttons to rules when user is not permitted to rulesets
    * 2464 FIX: UDP ports for SNMP communication can now be configured via WATO
    * 2466 FIX: Fixed exception when searching for rulesets / global settings using special characters like umlauts
    * 2467 FIX: Fixed encoding exception occuring in localized GUI when a WATO action triggers an error message...
    * 2407 FIX: WATO master/slave replication: fixed problem where the configuration from the master site was not activate on slave site...
    * 2474 FIX: Fixed possible corruption of user datasets (contact, mail, rbn config)...
    * 2499 FIX: Git: Fixed message "Please tell me who you are. Run git config ..." on making changes...
    * 2539 FIX: Fix impossibility of removing a status host from an existing site configuration
    * 2550 FIX: Catching exception when having name conflicts while moving a folder
    * 2552 FIX: API: Service Discovery action is now creating missing pending log entry and marks the site dirty
    * 2560 FIX: Fixed rare exception when using bulk host move...
    * 2603 FIX: Git integration: Preventing issues with *.mk.new files...
    * 2610 FIX: Fixed host search showing results of not permitted folder
    * 2611 FIX: Fixed host view permission checks on host related pages...
    * 2599 FIX: Fix newly introduced fatal bug preventing creation of new hosts in WATO...
    * 2431 FIX: WATO Snapshots: Fixed broken performancedata backup...

    Notifications:
    * 2478 Integrated notification plugin for mobile phone push messages via Pushover...
    * 1295 RBN Rules can now also match service event type OK to OK...
    * 2432 Forwarded notifications are now visible within the rule based notifications analysis...
    * 2313 FIX: notification bulking: fixed exception for plugins which are not configured with checkboxes, e.g. sms
    * 2347 FIX: Improved error message in notify.log when sendmail is missing
    * 2348 FIX: HTML-Mails: Added missing link to service descriptions
    * 2349 FIX: HTML-Mails: Fixed state colors in Outlook
    * 2645 FIX: Fix garbled notification context when \n appears in service description...

    BI:
    * 2537 BI Editor: restructured, now show tree structure of aggregations, show unused rules...
    * 2628 check_bi_aggr service now also goes into downtime if the monitored BI aggregation is in downtime...
    * 2629 BI Aggregations now adopt downtime from hosts...
    * 2369 FIX: Fix exception in BI availability via table "Hostname Aggregations"
    * 2370 FIX: Fix computation of "in downtime" and "acknownledged" of hosts in BI aggregations...
    * 2485 FIX: Fix Icon "BI Aggregations containing this service", also avoid BI compilation without need...
    * 2573 FIX: Fix influance of service period to the availability of BI aggregates...

    Reporting & Availability:
    * 2596 FIX: Fix exception in availabiliy table if average number of events and summary are both being displayed...

    Event Console:
    * 2411 Check check_mkevents: Now able to look for events matching the host alias...
    * 2533 Allow inverted match in Event Console rules
    * 2508 It is now possible to upload multiple zipped MIB files at once...
    * 2562 SNMP trap translation can now be configured to put trap description into event text...
    * 2322 FIX: mkeventd: MIBs are now only loaded if SNMP Traps translation is activated...
    * 2460 FIX: Slightly more robust SNMP trap translation...
    * 2534 FIX: Fixed implementation of skipping rule packs
    * 2614 FIX: Fixed exception when processing events with umlaut in names from history
    * 2644 FIX: Fix exception in executing actions or notifications when match groups contain non-ASCII characters
    * 2673 FIX: SNMP-Traps: Fixed translation of OIDs which are parts of trap values...
            NOTE: Please refer to the migration notes!
    * 2677 FIX: Fixed duplicate Event Console reload in distributed setups...

    Livestatus:
    * 2493 FIX: Fixed wrong JSON format when using stats queries together with header columns...
    * 2542 FIX: Fix segmentation fault when filtering for service columns in log table...
    * 2581 FIX: Fix crashing Nagios core in rare case when excessive commands are being executed...
    * 2648 FIX: Fix crash of core in case of case of certain garbled log lines...

    HW/SW-Inventory:
    * 2128 mk_inventory.vbs: inventory plugin for Windows now available as vbs script...
    * 2367 FIX: win_system: Fixed exception when non-UTF-8 sequences are contained agent output
    * 2483 FIX: win_exefiles: more gracefully handle incomplete lines, avoid execption
    * 2454 FIX: lnx_distro: Fixed inventory for SuSE installations with patchlevel 0
    * 2541 FIX: Round last state change of network interfaces to one day, avoid history spam...
    * 2553 FIX: solaris_prtdiag: Can now handle Supermicro servers using Solaris 10
    * 2624 FIX: fixed vbscript based inventory script (windows) only sending updated data every 39 years
    * 1293 FIX: dmidecode: Sanitized CPU Vendor field for some Intel CPUs...
    * 1294 FIX: esx_vsphere_hostsystem: Inventory plugin is now graceful if not all information are available


1.2.7i2:
    Core & Setup:
    * 2339 FIX: Discovery service: Fixed handling of agent / SNMP communication errors...
    * 2307 FIX: Windows Agent MSI installer: removed version information from product name...

    Checks & Agents:
    * 2117 postfix_mailq: agent and check now retrieve and monitor active queue data as well
    * 2325 oracle_tablespaces: correctly handle case where check runs in clustered mode...
    * 2216 raritan_pdu_ocprot: New check to monitor overcurrent protectors of Raritan PDUs...
    * 2119 omd_status: check can now work in a cluster environment
    * 2219 hr_cpu: Reworked check to use WATO rule allowing averaging and predictive levels...
            NOTE: Please refer to the migration notes!
    * 1255 AIX Agent now supports fileinfo. Thanks to Falk Grunert (IBM)
    * 2284 kaspersky_av_client, mcafee_av_client: New Checks, Monitoring Signature and Fullscan Age...
    * 2308 agent_vsphere, esx_vsphere_sensors: now reports additional sensor information (cpu, storage controller, memory)...
    * 2327 mbg_lantime_ng_state, mbg_lantime_state: change default parameters to 2/3 for stratum, 10/20us for offset
    * 2220 pfsense_counter: New check to monitor several global packet rates on pfSense firewalls
    * 2120 datapower_cpu, datapower_mem: new checks to monitor CPU and memory and IBMs Datapower Gateways
    * 2121 datapower_temp: new check to monitor temperature sensors of IBMs Datapower Gateways
    * 2122 datapower_fan: new check to monitor fan status of IBM Datapower Gateways
    * 2123 datapower_fs: new check to monitor filesystems on IBMs Datapower Gateways
    * 2124 datapower_pdrive, datapower_ldrive: new checks to monitor disk states of IBM Datapower Gateways
    * 2125 datapower_raid_bat: new check to monitor the battery of RAID controllers of IBM Datapower Gateways
    * 2330 ovs_bonding: Linux agent now supports OVS version 6.2...
    * 2126 cisco_ace_rserver: new check to monitor real servers of Cisco ACE servers
    * 2235 lnx_quota: Extended linux quota check with group quota check...
    * 2222 citrix_serverload: Load now formatted in percent, correctly treat license error...
    * 1259 wut_webtherm: Check now uses the Check_MK defaults for temperature checks...
            NOTE: Please refer to the migration notes!
    * 2323 FIX: df: Fix new graphs for all filesystem checks in case of existing inode information
    * 2305 FIX: agent_vsphere, esx_vsphere_sensors: now able to handle sensor names with semicolon...
    * 2118 FIX: aix_sap_processlist: agent plugin now is more general to deal with various AIX versions...
    * 1253 FIX: printer_io,printer_supply: prevent discovery on not supported devices
    * 2217 FIX: md: Fix handling of found and expected disks
    * 2309 FIX: cpu_util checks: removed superfluous space in check output
    * 1257 FIX: oracle_jobs: Fix: Discovery now supports the old oracle plugin again
    * 1258 FIX: fileinfo solaris: Fixed configuration crash...
    * 2221 FIX: cisco_temperature: Fixed order of device levels for some devices...
    * 2329 FIX: windows_intel_bonding: Fix exception in case of no existing bonding device
    * 2355 FIX: docsis_channels_upstream: Fix graph definitions
    * 1906 FIX: oracle_recovery_status: added support for missing files...
    * 2311 FIX: windows agent: now replaces BOM (byte order marks) from local and plugin scripts...
    * 2357 FIX: livestatus_status: no not alarm switched off host freshness nor event handlers on CMC <= 1.2.6...

    Multisite:
    * 2260 Improved load time of Check_MK GUI...
    * 2332 New icon for hosts/services that are out of their service period...
    * 2341 LDAP Sync: Automatically syncing credential changes to slave sites in distributed setups...
    * 2324 FIX: Add icon for those checks that cannot be rescheduled...
    * 2261 FIX: Fixed wrong pnp template cache path in non OMD environments...
    * 2262 FIX: Fixed deletion of foreign views/dashboards...
    * 2335 FIX: Fixed PNP default template for active checks with arguments...
    * 2337 FIX: Fixed problem with long hanging pnp graph rendering calls
    * 2338 FIX: Logging internal GUI exceptions to web.log instead of apache error_log...
    * 2340 FIX: Email validation: Top level domains can now have a maximum length of 24 characters
    * 2353 FIX: Fix showing options for availability in BI mode, where above header
    * 2356 FIX: Fixed exception in Multisite JSON output
    * 2310 FIX: multisite view data export: fixed exception when using joined columns...

    WATO:
    * 1254 The target address for crash reports can now be configured in wato global settings
    * 1256 lvm_vgs: Check now has his own configuration in wato...
            NOTE: Please refer to the migration notes!

    Notifications:
    * 2343 FIX: Rule Based Notifications GUI can now deal with latin-1 encoded plugin output in backlog...

    BI:
    * 2354 BI aggregations now also consider the service period...
    * 2336 FIX: BI compilation diagnostics are now logged to the generic web.log...

    Event Console:
    * 2333 The Event Console log level can now be configured via GUI...
    * 2334 Logging details about loaded SNMP MIB modules during startup
    * 2326 Allow relating Event Console hosts to monitoring hosts now also by alias...
    * 2328 FIX: Fix sporadic error "Connection reset by peer" when reloading Event Console...
    * 2342 FIX: SNMP-Traps: Also deleting compiled files when removing a MIB file


1.2.7i1:
    Core & Setup:
    * 1759 Packed RPM and DEB agent packages are now shipped with normal Check_MK package...
    * 1228 Linux Agent: Now supports systemd...
    * 2167 SNMPv3: Added support for using SNMP contextes in requests...
    * 2231 More transparently show errors during service discovery...
    * 1791 FIX: Fix problem where many bogus RRD files for Check_MK service would be created...
    * 1792 FIX: Fix path to special agents in case of manual installation
    * 1797 FIX: Fix incomplete configuration during checking when using CMC...
    * 1832 FIX: Fix "global name 'splitted' is not defined" in bulk inventory...
    * 1808 FIX: Fixed broken nagios config when using RBN without a host defined...
    * 1842 FIX: Rewrote implementation of service discovery (formerly inventory)...
    * 1869 FIX: Deleting outdated persisted agent sections now
    * 1919 FIX: cmk --snmpwalk: continue if one of the OIDs to walk fails
    * 1880 FIX: inventory_processes rules can now be configured without setting levels...
    * 1882 FIX: Fixed exception "filesystem_levels" not defined when compiling config for nagios
    * 1977 FIX: Dramatically reduced size of Check_MK check helper processes...
    * 1982 FIX: Fixed exception during checking regular checking when having checks without discovery function
    * 2012 FIX: Piggyback hostname translation can now deal correctly with umlauts
    * 2014 FIX: Fixed different issues running Check_MK on CentOS 5.x
    * 2037 FIX: Inventorize piggy back data even if access to normal agent fails
    * 2016 FIX: Fixed service discovery / monitoring on hosts which have only piggyback data (e.g. ESX VMs)...
    * 2089 FIX: Debug mode shows details about errors in autochecks as expected now
    * 2093 FIX: Fixed handling of check_mk commandline parameter "-c"
    * 2187 FIX: Avoid CLOSE_WAIT sockets for agent connection in case of timeouts...
    * 2194 FIX: Avoid new discovered checks from being used without config reload
    * 2180 FIX: cmk -D showed always "bulkwalk: no" for SNMPv3 hosts (which is wrong)...
    * 2182 FIX: Fixed services randomly becoming stale when using CMC...

    Checks & Agents:
    * 1665 agent_netapp: New special agent for NetApp monitoring via Web-API...
    * 1782 msexch_replhealth: new check for monitoring health of MS Exchange DAG
    * 1458 msexch_dag.contentindex, msexch_dag.copyqueue, msexch_dag.dbcopy: new checks for MS Exchange Mailbox Servers in a DAG...
    * 1207 services: Check can now be configured with additional names for matching...
    * 1786 casa_cpu_mem, casa_cpu_temp, casa_cpu_util, casa_fan, casa_power: support more devices, also C100G
    * 1787 docsis_channels_upstream, docsis_channels_downstream: now also support CASA 100G
    * 1519 etherbox.temp: Now supports lower levels, output configurable to Celsius, Fahrenheit or Kelvin...
            NOTE: Please refer to the migration notes!
    * 1520 hwg_temp: Now uses new temperature ruleset, allows lower levels and alternate output units....
            NOTE: Please refer to the migration notes!
    * 1521 carel_sensors: Now uses new Temperature WATO-Rule...
            NOTE: Please refer to the migration notes!
    * 1459 netscaler_cpu: new check to monitor the CPUs of Citrix Netscaler Appliances
    * 1460 df_netscaler: new check to monitor filesystem usage on Citrix Netscaler devices
    * 1820 mem.linux: new dedicated check for Linux memory management...
            NOTE: Please refer to the migration notes!
    * 1831 diskstat: detect multipath devices and handle them instead of the physical paths...
    * 1462 netscaler_ha: new check to monitor the HA state of Citrix Netscaler appliances
    * 1838 emc_datadomain_mtree: New check for EMC Datadomain MTrees...
    * 1464 netscaler_mem: new check to monitor the memory usage of Citrix Netscaler Appliances
    * 1822 oracle_undostat: rule for non space error count...
    * 1823 mk_oracle_crs: compatibility against CRS 10.2 + 11.1...
    * 1825 oracle_recovery_status: backupcheck for user managed backups...
    * 1826 oracle_dataguard_stats: New rule for apply_lag_min, removed default rule...
    * 1807 check_mail: Added new check to check IMAP/POP3 login (incl. forwarding of mails to event console)...
    * 1841 fileinfo, fileinfo.groups: new parameter for selecting ranges of the time of the day...
    * 1668 Interface groups: Can create groups out of interface item names...
    * 1669 mrpe program check_16bit_program.cc: Monitors 16 bit programs on windows...
    * 1849 netscaler_dnsrates: new check for DNS statistics of Citrix Netscaler Loadbalancers
    * 1850 netscaler_health.fan, netscaler_health.psus, netscaler_health.temp: new checks to monitor the health of Citrix Netscaler Loadbalancers
    * 1214 ups_bat_temp,ups_capacity,ups_in_freq,ups_in_voltage,ups_out_load,ups_out_voltage: Checks now detect more UPS Devices...
    * 1523 lnx_thermal: Now supports setting levels...
            NOTE: Please refer to the migration notes!
    * 1670 winperf_processor: fixed invalid check values on counter wrap...
    * 1524 kentix_temp: Now supports setting levels...
            NOTE: Please refer to the migration notes!
    * 1525 viprinet_temp: Now uses new Temperature WATO rule...
            NOTE: Please refer to the migration notes!
    * 1673 netapp_volumes: now able to configure levels by magic factor
    * 1854 netscaler_tcp_conns: new check to monitor tcp connections on Citrix Netscaler Loadbalancer Appliances
    * 1857 ibm_svc_portsas: new check and extended special agent for IBM SVC / Storwize V3700 / V7000 devices
    * 1918 ps: new option for checking the age of a process (on Linux)...
    * 1920 df: Linux filesystem check now supports displaying data reserved for root...
    * 1675 esx_vsphere_hostsystem.cpu_util_cluster: Averaged CPU utilization of all cluster nodes...
    * 1216 hp_procurve_cpu: Can now be configured with Wato
    * 1676 if.include: now able to detect grouped interfaces...
    * 1928 netapp_api_if: Improved handling and check output of virtual interfaces...
    * 1827 oracle_tablespace: WATO rule for default increment...
            NOTE: Please refer to the migration notes!
    * 1217 dell_om_sensors: Check now uses generic temperature features...
            NOTE: Please refer to the migration notes!
    * 1929 netapp_api_if: improved inventory and check output of virtual interfaces...
    * 1218 Inital Agent Version for zOS (IBM Mainframes)...
    * 1948 Livedump: Host names can now be prefixed with an individual string...
    * 1958 akcp_daisy_smoke: added new check for smoke sensors on expansion boards which are daisy chained to an AKCP securityProbe 5E...
    * 1219 synology_disks, synology_fans, synology_info, synology_raid, synology_status, synology_update: Multiple Synology NAS Checks
    * 1968 qlogic_fcport, qlogic_sanbox, qlogic_sanbox_fabric_element: Supporting SAN Switch Module for IBM BladeCenter(R) now
    * 1220 if,if64: Discovery can now be based on port description...
    * 1930 Windows agent: now able to unpack plugins.cap file (created by Check_MK agent bakery)...
    * 1933 esx_vsphere_objects: now able to set a different alert level when the host/vm reports 'unknown'...
    * 1860 df and other filesystem checks: process total fs size as perfdata...
    * 1222 mbg_lantime_ng_state: Support for the new Meinberg Lantime MIB (MBG-LANTIME-NG-MIB)...
    * 1961 akcp_exp_humidity, akcp_exp_smoke, akcp_exp_temp, akcp_exp_water: New checks to monitor AKCP securityProbe and expansion boards...
    * 1991 emc_datadomain_temps: make configurable via WATO, add Perf-O-Meter...
            NOTE: Please refer to the migration notes!
    * 1939 check_ftp: changed service description if the ftp port differs from 21...
            NOTE: Please refer to the migration notes!
    * 1992 df: Show usages near to zero with a higher precision - not simply as 0.00
    * 1996 kernel.util: Also output values for steal and guest (no PNP template yet)
    * 1998 statgrab_net: New implementation of network interface monitoring via statgrab...
            NOTE: Please refer to the migration notes!
    * 1889 cmciii.phase: New check to monitor input phases for Raritan PDUs
    * 2005 services: change service description from service_ to Service or new installations
    * 1862 netscaler_vserver: new check to monitor VServers on Citrix Netscaler Appliance
    * 2036 docsis_channels_upstream: Add handling for codewords (WATO rule, rate computation, Perf-O-Meter)
    * 1947 agent_ucs_bladecenter: Monitors UCS Bladecenter via Web-API...
    * 2039 mk_logwatch: new per-logfile-options maxfilesize and maxlinesize...
    * 1891 apc_symmetra: Now supports setting levels on remaining battery time...
    * 1892 hp_procurve_mem: Now supports setting levels in WATO...
            NOTE: Please refer to the migration notes!
    * 1952 check_mk_agent.linux: integrated runas plugin into check_mk_agent.linux...
    * 2083 Added Siemens PLC (SPS) monitoring...
    * 1893 cisco_power: Now discovers all power supplies, not only redundant ones...
    * 2052 winperf_if: Now able to automatically group teamed interfaces and more...
            NOTE: Please refer to the migration notes!
    * 2053 New windows plugin: windows_if.ps1, renders wmic_if.ps1 obsolete...
    * 1864 akcp_exp_drycontact, akcp_exp_temp : change to service output and levels...
    * 2043 ibm_svc_mdiskgrp: Fix computation of capacity, show and check provisioning...
            NOTE: Please refer to the migration notes!
    * 2044 IBM SVC checks: renamed services, remove bogus IBM SVC...
    * 1894 hwg_humidity: New check to monitor humidity sensors attached to HWg-STE...
    * 1866 ibm_imm_fan, ibm_imm_temp: new checks to monitor fans and temp sensors on IBM Servers via the IMM
    * 1867 ibm_imm_voltage: new check to monitor power supply and CMS battery voltages on servers via IBMs IMM
    * 1225 sansymphony_alerts,sansymphony_pool,sansymphony_ports,sansymphony_serverstatus,sansymphony_virtualdiskstatus: New Checks for Datacore Sansymphony...
    * 2056 winperf_processor: additionally reports user and privileged(system) time...
    * 1226 mysql: New check to show the version of the mysql deamon
    * 2100 if64: check can now impose limits on the number of outgoing and incoming non-unicast packets per second
    * 1227 mysql_ping: New Check to detect misconfiguration of the mk_mysql plugin
    * 2134 winperf_phydisk: allow device to appear more than one time in agent output...
    * 2102 mbg_lantime_ng_fan, mbg_lantime_ng_state, mbg_lantime_state: new checks for Meinberg LANTIME Clocks supporting the new MBG-LANTIME-NG-MIB
    * 2057 New checks for postgreSQL monitoring...
    * 2137 diskstat: new implementation of Linux Disk IO check...
            NOTE: Please refer to the migration notes!
    * 1229 MySQL: The MySQL Plugin now supports multiple instances...
            NOTE: Please refer to the migration notes!
    * 2138 df: Filesystem check now outputs performance data for inodes (and shows a graph)
    * 1231 mssql_counters.file_sizes: It's now possible to set levels for Filesizes
    * 2104 aix_if: new agent section and check...
            NOTE: Please refer to the migration notes!
    * 2061 DB2 monitoring: Additional checks for AIX (and presumably linux)...
    * 2105 mbg_lantime_ng_refclock: new check for Meinberg LANTIME clocks supporting the new MBG-LANTIME-NG MIB
    * 2062 grouped interfaces: additional information in check output and new port state 'degraded'...
            NOTE: Please refer to the migration notes!
    * 2153 siemens_plc.duration siemens_plc.flag siemens_plc.info: New Checks for Siemens PLC devices
    * 2063 winperf_if: now also able to detect the interface port state 'lowerLayerDown'...
    * 2154 Interface-Checks: Separate traffic thresholds for in and out are now possible...
    * 2155 siemens_plc_counter: added new check for monitoring increasing counter values
    * 2106 aix_sap_processlist: new check and agent plugin to monitor the process list of SAP Application Server Instances on AIX systems
    * 2156 Interface-Checks: Can now be configured to use predictive traffic levels
    * 2165 aix_agent: Local checks can now also be executed in run cached mode...
    * 1830 oracle_rman: added detection of INCR0/1 backups...
            NOTE: Please refer to the migration notes!
    * 1900 mk_oracle: added oracle session environment...
    * 1901 mk_oracle: IGNORE_DB_NAME for special environments...
    * 1902 mk_oracle: Performance hint for RMAN checks...
    * 1903 mk_oracle: Remote Monitoring of Oracle Databases...
    * 2183 ps: allow levels of used RAM in percentage of total RAM of host...
    * 2184 statgrab_mem: converted to the same logic as the other memory checks...
            NOTE: Please refer to the migration notes!
    * 2185 canon_pages: added support for b/w A4 and color A4/A3 counters
    * 2186 check_mk_agent.aix: use GNU df in order to exclude NFS for filesystem monitoring...
    * 2112 hitachi_hnas_bossock: new check to monitor number of running Bossock Fibers
    * 2196 winperf_if: for Windows interfaces show original Windows state names
    * 2199 livestatus_status: now in addition check master settings of monitoring core...
    * 2113 hitachi_hnas_drives: new check to determine the overall status of all system drives of Hitachi NAS devices
    * 2201 apt: New check for checking pending APT updates on Debian and Ubuntu...
    * 2114 hitachi_hus_dkc, hitachi_hus_dku: new checks to monitor hardware states of Hitachi Unified Storage DKUs and DKCs
    * 2115 bluenet_meter: new check to monitor energy and power related parameters of Bachmann Bluenet PDUs
    * 2205 check_icmp: new option for pinging the host alias or an explicity address...
    * 2210 check_bi_aggr: new option for honoring downtimes and acknowledgements...
    * 2211 netapp_api_disk.summary: output physical size of broken disks as an additional information
    * 1242 enterasys_powersupply: It's now possible to choice which redundancy state treated as OK...
    * 2214 icom_repeater: New set of checks for Icom repeaters...
    * 2245 AIX-Agent: Added support for the uptime check
    * 2076 fortigate_cpu_base, fortigate_sessions_base: supports wider range of models...
    * 2227 isc_dhcpd: New agent plugin and check for checking IP address pools of ISC DHCP-Daemon
    * 2252 SEC: mk_logwatch: Fixed mostly uncritical command injection from config...
    * 2270 windows agent: now able to add cached information into section headers...
    * 2271 logwatch_ec: Now able to create a single check for each logfile forwarded to the event console...
    * 2283 cisco_srst_call_legs cisco_srst_phones cisco_srst_state: New checks for monitoring Cisco SRST routers
    * 1246 blade_bays, blade_blades, blade_blowers, blade_health, blade_mediatray: Checks now support IBM Flex Bladecenter
    * 2274 windows agent: "check_mk_agent.exe test" now also outputs stderr of plugins...
    * 2275 windows agent: new subfolders, improved folder cleanup during uninstall...
            NOTE: Please refer to the migration notes!
    * 2276 mk_inventory.ps1: now uses directory ./state for its statefiles
    * 2277 mk_oracle.ps1: changed location of config file...
            NOTE: Please refer to the migration notes!
    * 2232 printer_supply: move setting for "some remaining" status from global option to check parameters...
    * 2293 logwatch: Remove global setting logwatch_service_output from WATO...
    * 2294 if, if64: Move global option for padding port numbers with zeroes into rule...
    * 2296 win_dhcp_pools: Convert global option for discovery empty pools into rule set...
    * 1247 alcatel_timetra_chassis: New Check for Slots, Power Supplies, MDAs, cf cards and Fans of Alcatel Switches Supporting the TIMETRA-CHASSIS-MIB
    * 1248 acme_sbc, acme_sbc.settings: New Checks to monitor an ACME Session Border Controller...
    * 2256 mk_mysql: MySQL monitoring is now available for windows...
    * 1249 alcatel_cpu, alcatel_temp, alcatel_fans: New checks for Alcatel switches based on IND1 MIB
    * 1250 alcatel_timetra_cpu: New CPU Check for Alcatel Switches supporting the TIMETRA MIB
    * 2215 pfsense_status, pfsense_if: Two new checks to monitor the interfaces and status of pfSense firewalls...
    * 1251 lvm_vgs: New Checks for LVM volume groups...
    * 2280 agent_vsphere: now provides more information if the login attempt fails...
    * 2116 bluenet_sensor, bluenet_sensor.hum: new checks to monitor temperature and humidity of Bachmann Bluenet PDUs
    * 1252 hitachi_hus_status: New check to monitor global status on Hitachi Hus Systems
    * 1457 FIX: logins: new check renamed from "users" check...
            NOTE: Please refer to the migration notes!
    * 1762 FIX: lnx_thermal: Now ignoring trip points with level 0...
    * 1763 FIX: diskstat: Fixed error in config example of manpage
    * 1755 FIX: cisco_vpn_tunnel: fix exception in case tunnel is not OK
    * 1756 FIX: agent_ibmsvc: do not abort execution if one of the sections fail
    * 1778 FIX: cisco_secure: do not warn for port where port security cannot be enabled
    * 1764 FIX: mk_sap: Fixed exception when saving status file
    * 1663 FIX: winperf_if: fixed incorrect enumeration of interface index...
    * 1204 FIX: veeam_client: Not longer throwing an error in case of currenlty running backup
    * 1666 FIX: inventory check esx_vsphere_hostsystem: no longer crashes if information is missing...
    * 1767 FIX: fc_port: Re-enabled check discovery of this check
    * 1768 FIX: brocade_fcport/brocade_info: Only try to discover these services when device provides correct info...
    * 1769 FIX: megaraid_bbu: Fixed exception for some controllers reporting "full charge capacity"
    * 1770 FIX: megaraid_pdisks: Now handling unconfigured good/bad states...
    * 1771 FIX: domino_mailqueues: Fixed exception during inventory when no data usable data available
    * 1208 FIX: cifsmounts: Detects now unreachable CIFS mounts
    * 1772 FIX: lparstat_aix: Check handles already working agent output again
    * 1793 FIX: fritz: avoid Exception in inventory function of fritz checks if agent output is empty
    * 1795 FIX: Fix internal exception in WATO rule for filesystems...
    * 1522 FIX: quantum_libsmall_door, quantum libsmall_status: Fixed broken scan function
    * 1818 FIX: dell_poweredge_cpu: Fix exception where BrandName is missing
    * 1819 FIX: dell_poweredge_temp: Make output and service description consistent with other temperature checks...
            NOTE: Please refer to the migration notes!
    * 1388 FIX: oracle_asm_diskgroup: fixed wrong calculation of free space in NORMAL/HIGH redundancy Disk Groups...
    * 1389 FIX: oracle_rman: detect failed jobs...
    * 1390 FIX: mk_oracle: better detection of RMAN Archivelog Backups...
    * 1391 FIX: oracle_instance: New function for Primary Database not OPEN...
    * 1833 FIX: jolokia_metrics.gc: fix recently introduced exception for missing variable
    * 1463 FIX: juniper_screenos_mem, juniper_trpz_mem: pnp template fixed
    * 1806 FIX: services check was not recognizing configured state when no service was found
    * 1840 FIX: oracle_tablespaces: fix implementation of magic factor
    * 1848 FIX: df: title of pnp graphs for filesystem checks fixed...
    * 1821 FIX: mk_oracle: changed connection to dedicated server mode...
    * 1824 FIX: oracle_recovery_status: removed default values from Check...
    * 1209 FIX: livestatus_status: Check handles cluster using in cluster now
    * 1809 FIX: cisco_temp_perf: Fixed exception when no temperature threshold provided by device
    * 1812 FIX: juniper_screenos_mem: Fixed too large memory reported (byte <> kbyte mixup)
    * 1814 FIX: agent_ibmsvc: Fixed missing executable flag
    * 1817 FIX: The Check_MK service did not result in CRITICAL/WARNING states when using Nagios as core...
    * 1844 FIX: oracle_crs_res: fix computation of node a ressource is running on...
    * 1852 FIX: solaris_multipath: this check now works with inventory to remember the number of total paths...
            NOTE: Please refer to the migration notes!
    * 1828 FIX: oracle_dataguard_stats: Bugfix for 'params_value' referenced before assignment...
    * 1853 FIX: cisco_power, cisco_fan, cisco_temp_perf: fixed service description for some special cases...
            NOTE: Please refer to the migration notes!
    * 1671 FIX: windows agent: fixed gaps in eventlog monitoring after agent restart...
    * 1856 FIX: ibm_svc_array ibm_svc_mdisk ibm_svc_mdiskgrp ibm_svc_portfc: made checks more robust for varying number of parameters of IBM SVC agent plugin...
    * 1874 FIX: ps: Old process inventory configurations work now again...
    * 1875 FIX: Fixed possible exceptions of CMC Check_MK helpers when using some custom checks...
    * 1858 FIX: docsis_channels_downstream: allow for negative values of power in dBm
    * 1847 FIX: oracle_logswitches: Fixed description of WATO rule for levels...
    * 1877 FIX: printer_input/printer_output: Check can now handle non reported capacity unit
    * 1921 FIX: kemp_loadmaster_realserver: reimplementation, now use vendor specific information
    * 1859 FIX: cups_queues: linux agent now runs section cups_queues in cached mode...
    * 1881 FIX: omd_status: Check works now even when a site is reported as not OK...
    * 1923 FIX: cisco_qos: Fixed exception in discovery that might lead to missing services
    * 1924 FIX: cisco_power: Fixed missing power supplies in case where name is not unique
    * 1886 FIX: win_printers: Fixed exception in WATO when displaying default parameters
    * 1887 FIX: Logwatch event console forwarding: Better handling of logwatch states
    * 1969 FIX: apc_symmetra: Fix wrong critical state "0 batteries need replacement"
    * 1926 FIX: ps: reenable compatiblity with existing configurations...
    * 1970 FIX: lparstat_aix: Made the check compatible to different kinds of lparstat output...
    * 1971 FIX: printer_input/printer_output: Discovery is using name field when available no...
            NOTE: Please refer to the migration notes!
    * 1931 FIX: agent_vsphere: no longer crashes when host has no license information
    * 1932 FIX: check_http: Check SSL Certificate: did not work when SNI Option was set...
    * 1975 FIX: check_bi_aggr: Ignoring proxy settings from environment now
    * 1936 FIX: check_form_submit: fixed crash on certain form fields with unnamed input elements
    * 1960 FIX: akcp_sensor_drycontact: Service description prefix changed from "Device" to "Dry Contact"...
            NOTE: Please refer to the migration notes!
    * 1938 FIX: docsis_channels_upstream: fixed missing checks if channels had the same ChannelId...
    * 1940 FIX: ps: Fixed a rare crash on malformed agent output...
    * 1941 FIX: df.include: fixed exception on emtpy filesystems...
    * 1942 FIX: netapp_api_volumes: fixed exception when performance data generation was enabled
    * 1993 FIX: solaris_multipath: Fix detection of expected number of paths
    * 1944 FIX: hr_mem: no longer reports incorrect memory values when cached memory values are broken...
    * 1994 FIX: lparstat: Support new AIX version with two new columns nsp and utctc
    * 1997 FIX: checkpoint_connections, checkpoint_packets: Detect more recent devices
    * 1999 FIX: raritan_pdu_inlet_summary, raritan_pdu_inlet, ups_socomec_outphase: renamed services to be consistent...
            NOTE: Please refer to the migration notes!
    * 2000 FIX: check_mk_agent.freebsd: Add missing <<<local>>> section, plugins was twice instead...
    * 2004 FIX: windows_updates: fix exception in WATO when displaying default levels
    * 2006 FIX: services: Add WATO rule for configuring parameters of discovered checks...
    * 2007 FIX: md: Handle rebuild of RAID 5 correctly, handle sitatuation of replacement correctly...
    * 2028 FIX: hyperv_vms: new plugin that allows spaces in VM names...
    * 2013 FIX: stulz_pump: Fixed exception during checking for some devices
    * 2030 FIX: netapp_api_temp: add Perf-O-Meter, make configurable via WATO...
            NOTE: Please refer to the migration notes!
    * 2031 FIX: brocade_mlx_temp: make configurable via new WATO rule, add Perf-O-Meter, add default levels...
            NOTE: Please refer to the migration notes!
    * 2032 FIX: brocade.temp: use new generic WATO rule, add Perf-O-Meter...
            NOTE: Please refer to the migration notes!
    * 2033 FIX: check_mk-zfs_arc_cache: add Perf-O-Meter
    * 2034 FIX: netapp_api_volumes: added Perf-O-Meter
    * 2035 FIX: check_mk-netapp_api_if, check_mk-if_brocade: added missing Perf-O-Meters
    * 2017 FIX: Solaris-Agent: Prevent hanging agent in uptime section...
    * 1890 FIX: cisco_temperature: Replaces cisco_temp_perf and cisco_temp_sensor...
            NOTE: Please refer to the migration notes!
    * 2018 FIX: ibm_imm_health: Fixed exception when host does provides empty SNMP data
    * 2019 FIX: heartbeat_crm: Be compatible to yet unknown crm_mon output format
    * 2048 FIX: netapp_api_fan, netapp_api_psu, netapp_api_temp: fixed typo in service description Shelfes -> Shelves
            NOTE: Please refer to the migration notes!
    * 2021 FIX: if_lancom: Also used for checking ELSA/T-Systems branded devices
    * 2022 FIX: SNMP: Fixed handling of backslashes in SNMP data...
            NOTE: Please refer to the migration notes!
    * 1863 FIX: cisco_power: fix for cases with a slash in the device description of a power supply...
            NOTE: Please refer to the migration notes!
    * 2023 FIX: if_lancom: Handle point-2-point interfaces of newer firmwares correctly
    * 2027 FIX: fc_port: Fixed exception when wirespeed is reported as 0 by the device
    * 1224 FIX: Fixed rare Bug in case of clusterd network interfaces...
    * 2079 FIX: freebsd agent: Was unable to find ntpq command with FreeBSD10...
    * 2082 FIX: jolokia_metrics.mem: Fixed levels on total memory usage
    * 2049 FIX: window agents: prevent errors with invalid plugin output...
    * 2050 FIX: netapp_api_if: Fixed invalid speed warning for virtual interface groups...
    * 2086 FIX: apc_ats_status: Fixed exception when source different than selected source
    * 2087 FIX: netapp_api_temp: Fixed exception when dealing with old discovered checks...
    * 2051 FIX: windows agent: no longer outputs stderr of local and plugin scripts...
    * 2088 FIX: cisco_cpu: Dealing with non CPU utilization information correctly...
    * 2055 FIX: agent_vsphere, licenses check: now really configurable on / off...
    * 2091 FIX: The check-mk-agent RPM packages can now update the old check_mk-agent named RPMs...
    * 2046 FIX: Replace GBit with Gbit, MBit with Mbit, KBit with Kbit...
    * 2098 FIX: ibm_svc_mdiskgrp: fix rounding bug, decimal digits of size (GB, TB) were always lost
    * 2094 FIX: Fixed missing agent section when ntpq times out after 5 seconds
    * 2095 FIX: oracle_crs_voting: Also handling voting disks with id 0 (seen on old CRS 10.2.0.5.0)...
    * 2101 FIX: cisco_temperature: check can now handle cases when no description of the sensor is available
    * 2096 FIX: jolokia_metrics: Now deal with missing thread related infos (jboss might only send ThreadCount)
    * 1895 FIX: temperature.include: Fixed Fahrenheit handling...
    * 2097 FIX: apc_symmetra: Fixed false alert during self test...
    * 2143 FIX: Solaris-Agent: Fixed broken zfsget checks on solaris 10
    * 2144 FIX: Fixed exception in inventory GUI when trying to render dates of inventorized exe files...
    * 2058 FIX: ucs_bladecenter_fans.temp, ucs_bladecenter_psu.chassis_temp: fixed broken temperature checks (nagios only)...
    * 2059 FIX: ucs_bladecenter_if: fixed exception when fibrechannel interfaces were not configured...
    * 1233 FIX: Fixed fileinfo check for solaris in case of missing files
    * 1236 FIX: multipath: Now show correct error in case of removed multipaths instead of check crash
    * 2152 FIX: apache_status: Fixed plugin to work on CentOS/RedHat 5.x...
    * 1896 FIX: ups_socomec_capacity: Now no longer critical when device reports -1 minutes left on battery...
    * 1238 FIX: check_mk_agent.linux: Do not execute the multipath section if no /etc/multipath.conf exsist.
    * 1240 FIX: multipath: improved detection for not installed multipath
    * 2159 FIX: netapp_api_disk.summary: Changed default thresholds to WARN on the first broken disk, CRIT on 50%...
    * 2161 FIX: heartbeat_crm: Fixed UnboundLocalError exception on some systems
    * 2162 FIX: citrix_sessions: Handle not set thresholds on single values correctly...
    * 2163 FIX: printer_supply: Now auto detects whether or not a supply is consumable or filling up...
    * 2164 FIX: printer_supply: Fixed handling different capacities than percentage when used upturned levels
    * 2169 FIX: jolokia_metrics.threads: Fixed graph template...
    * 2170 FIX: jolokia_metrics_gc: Fixed exception when GC time not reported by server
    * 2109 FIX: netapp_api_volumes: now using the defined levels when using the Nagios core
    * 1241 FIX: hp_prolaint: Unkown state is not longer handled as OK...
    * 2171 FIX: netapp_api_vf_status: Handling "DR backup" as normal (OK) state now
    * 1898 FIX: mk_oracle: Bugfix for error while loading shared libraries: libsqlplus.so
    * 1899 FIX: mk_oracle: backport of werk 1564 from agent...
    * 2110 FIX: netapp_api_aggr: check did not take configured levels when using Nagios
    * 1954 FIX: fileinfo / fileinfo.groups: Fixed discovery function for fileinfo groups and equalize agent output of fileinfo agents...
    * 1904 FIX: mk_oracle: added processes check to ASM...
    * 1905 FIX: oracle_recovery_status: Bugfix for checkpoints in the future...
    * 2111 FIX: hitachi_hnas_volume: fix for cases when size information of volumes is not available
    * 2190 FIX: jolokia_metrics.gc: Fixed exception in check if no warn/crit levels are defined
    * 2192 FIX: check_notify_count": Fix exception in PNP template in case of explit email addresses...
    * 2172 FIX: Allowing OIDs in checks not starting with a dot again...
    * 2173 FIX: mk-job: Fixed quoting of command line arguments
    * 2198 FIX: windows_updates: Fix missing warning if reboot required in case forced reboot is in the past...
    * 1955 FIX: lnx_quota: Fixed status message to show the correct values of limits...
    * 2064 FIX: windows agent: crash.log now uses \r\n as newline
    * 2202 FIX: hr_fs: Remove Label:... from mount point, replace \ with /...
            NOTE: Please refer to the migration notes!
    * 2065 FIX: windows agent: now correctly installs service with elevated privileges...
    * 2179 FIX: apc_symmetra: Fixed regression introduced with last release when output state is empty
    * 2067 FIX: windows agent: product version is no longer set to 1.0.0...
    * 2068 FIX: Filesystem checks: Fix crash when legacy parameters (tuple) were used...
    * 2213 FIX: cisco_temperature: Fixed behaviour in cases where device reports status but no temperature...
    * 2069 FIX: netapp_api_disk.summary: fixed one missing disk in summary check...
    * 2070 FIX: agent_netapp: fixed exception when a channel has no shelf-list configured
    * 2212 FIX: oracle_tablespaces: Fix plugin output in case of detected problem in Autoextend settings...
    * 1243 FIX: mk_postgres: Prevent loading of .psqlrc...
    * 2234 FIX: AIX Agent: Forced load of environment and fixed call of trd (Libelle Business Shadow)...
    * 2247 FIX: ibm_svc_mdiskgrp: Made check working with different firmware versions outputs
    * 2071 FIX: windows agent: fileinfo check now correctly reports empty directories...
    * 2072 FIX: agent_netapp, netapp_api_volumes, netapp_api_disks: Improved check output...
    * 2075 FIX: check_mk_agent: fixed formatting error for windows eventlog entries > 2048 characters...
    * 2077 FIX: Windows MSI Installer: fixed automatical install of agent plugins...
    * 1244 FIX: windows_tasks: Fixed handling of tasks manually stopped by admin...
    * 1245 FIX: printer_output: Now correctly detect a bin with unknown as name
    * 2265 FIX: db2_version: improved check output when version information is missing...
    * 2266 FIX: windows agent: fixed invalid agent output if system memory exceeds 2TB RAM...
    * 2267 FIX: mk_db2.aix agent plugin: no longer throws an error when a db2 profile is not set up properly...
    * 2268 FIX: db2_tablespaces: no longer throws exception in checks when complete db2 instance vanishes
    * 2272 FIX: mrpe: made UNKNOWN message more clear in case of an invalid state char
    * 2255 FIX: checkpoint_*: Fixed exception in scan function when sysDescr has less than 2 spaces...
    * 2278 FIX: printer_supply: now able to toggle the point of view for used and remaining material...
            NOTE: Please refer to the migration notes!
    * 2258 FIX: windows_multipath: Fixed exception in case check reports more paths than expected

    Multisite:
    * 1758 Improved exception hander: Shows details without additional debug request, added mailto link for error report...
    * 1788 New personal setting for start page, right after login...
    * 1776 Dashboard: Allowing unicode characters in static text dashlet
    * 1210 New Downtime Filter for comments...
    * 1811 Added new filter for regex based filtering of contacts to log based views...
    * 1667 Sidebar snapin 'Tree of Folders' and 'WATO folder' filter now available on slave sites...
    * 1815 Dashboard: Sidebar snapins can now be added as dashlets to dashboards...
    * 1979 Relative timestamps display warnings when they should be in future but are in past
    * 1937 cpu.loads: performance graph now displays number of CPUs
    * 2040 Allow commands for setting downtimes and acknowledging on BI aggregates...
    * 2042 Services are now sorted in a natural way, this affects services containing numbers...
    * 2140 Remove PNP Timeranges from range selection, put these ranges directly into the list...
    * 2166 LDAP: Multiple LDAP groups can be configured for assigning single roles to users...
    * 2174 Added action popup to host & service views, supporting custom actions now...
    * 2175 Added icon uploader, unified icon selection...
    * 2200 New filter for (de-)selecting preliminary notifications to "check-mk-notify"...
    * 2209 New filter for selecting hosts/services in/out of their service period
    * 2181 Admins can now delete views/dashboards/reports created by other users
    * 2249 Builtin icon visibility can now be configured...
    * 2228 New matrix views for displaying performance data of service in a matrix table...
    * 2273 New multisite filter: Start of downtime...
    * 1781 FIX: Fix broken grouping by host/service group in availability
    * 1783 FIX: Finish the view "History of Scheduled Downtimes"...
    * 1206 FIX: Hostname not longer shown as column in host views
    * 1766 FIX: Fixed exceptions in Web GUI when host or service groups used non ascii characters in names...
    * 1773 FIX: Fixed different exceptions when using localized multisite
    * 1774 FIX: IE: Always use the latest available rendering enginge of the used browser...
    * 1777 FIX: Fixed js error making the "add to visual" link break on pages with context...
    * 1798 FIX: Filters are now retained when adding a view to a dashboard...
    * 1799 FIX: Dashboards: Existing views added to dashboards now get a correct title / title_url
    * 1800 FIX: Fixed umlauts and HTML tags in exception texts...
    * 1796 FIX: Fix filtering in Multisite View BI Boxes...
    * 1802 FIX: Links in messages like "successfully sent X commands" are now working again...
    * 1803 FIX: Fixed exception in Check_MK prediction page...
    * 1804 FIX: Fixed prechecked checkboxes in view actions after first action submit...
    * 1843 FIX: Fixed crash in display of crash report for precompiled host checks
    * 1870 FIX: Joined columns were empty in CSV, JSON or PYTHON exports of view...
    * 1871 FIX: Site filter is only shown as host related filter now...
    * 1872 FIX: View editor hides filter selection for object types which have no filter to choose...
    * 1876 FIX: User sorting of views can now be disabled again
    * 1884 FIX: Fixed exception in virtual host tree snapin
    * 1885 FIX: Fixed filtering by software versions in software package search
    * 1972 FIX: Prevent erasing of quicksearch field when sidebar is reloaded (e.g. during activate changes)...
    * 1221 FIX: veeam_client: Multisite perfometer is now more robust
    * 1989 FIX: Fix sorting of services in availability views
    * 1978 FIX: Fixed linking to other views using "joined columns"...
    * 1980 FIX: logwatch: Fixed exception when acknowledging errors of a single logfile on a single host
    * 1981 FIX: Not trying to render view in view editor when the view is not valid
    * 1983 FIX: Fixed special case in language configuration via user profile...
    * 1984 FIX: Fixed loosing sidebar after switching to/from edit mode in dashboard edior on page reload...
    * 1985 FIX: PNP graph dashlet handles graphs in distributed setups correctly...
    * 1945 FIX: doc/treasures/downtime: Fix setting and removing of downtimes...
    * 2008 FIX: Users created during basic auth login get the role assigned configured in "default user profile"...
    * 2011 FIX: "Service Group" view sorts/groups the services now correctly by host
    * 2024 FIX: Views: Fixed problem when filtering views by strings containing umlauts...
    * 2054 FIX: Sidebar snapin "Tree of folders": fixed exception when using localized default value...
    * 2090 FIX: Fixed errors when editing / rendering custom url dashlets in some cases...
    * 2092 FIX: Dashboards: Possible to configure an empty custom title
    * 2145 FIX: LDAP-Sync: Handling user ids with special characters more user friendly...
    * 2149 FIX: LDAP: The diagnostic log has been changed to use a fixed path...
    * 2150 FIX: Reworked internal logging mechanism...
    * 1953 FIX: Fixed processing of html processing in input fields...
    * 1239 FIX: Fixed doc/treasures/downtime script to work with current GUI version
    * 2157 FIX: LDAP: Fixed group-to-role/group-to-contactgroup sync with OpenLDAP (using posixGroup)
    * 2141 FIX: Fix computation of explicit time ranges with time of day...
    * 2142 FIX: Fix non-working option for disabling column headers in grouped boxed views...
    * 2168 FIX: Fixed automation actions with transid=-1 when using basic authentication
    * 2177 FIX: Host/Service statistics dashlets honor the site filter correctly now
    * 1957 FIX: Fixed default value for text input fields in notification plugins...
    * 2233 FIX: Fixed WATO folder view and Host Tags search with HTML Entity encoding...
    * 2074 FIX: pnptemplate netapp_api_volume: fixed title
    * 2251 FIX: Adding views to dashboards / reports is now respecing all set filters...
    * 2253 FIX: Availability context button is now visible again for host- and servicegroups
    * 2257 FIX: Improved handling of duplicate hostnames across different sites...
    * 2299 FIX: Fixed search filter for check command when command was active...

    WATO:
    * 1760 Added search form to manual checks page
    * 1785 Upload SNMP MIBs via WATO...
    * 1461 msexch_dag.copyqueue: added a WATO rule for this check
    * 1868 "Successfully created the host" message is also shown on host diagnose page now
    * 1674 ibm_svc_license / other license checks: now able to configure limits...
            NOTE: Please refer to the migration notes!
    * 1934 WATO Web-API: Documentation is finally available...
    * 1935 WATO Web-API: Reduced number configurable role permissions...
    * 1949 ibm_svc_host / other license checks: now able to configure limits...
    * 1950 ibm_svc_mdisk / disk checks: now able to configure the return state for state and mode of disk...
    * 1951 check_http: now able to configure warning and critical limit for certificate age...
    * 2136 Unify headers of Host/Service rules, EC rules and notification rules...
    * 2176 One custom icon or action can be configured per process/service...
    * 2250 Added download page for shipped agents and plugins...
    * 2264 WATO Web API: new function get_all_hosts (returns all host attributes)
    * 2297 Cleanup global settings, rename sections, remove obsolete settings...
    * 2300 New catalog of check plugins and manpages now available as a new WATO module...
    * 1761 FIX: Ruleset search is now consistent for host & serviceparameters and manual checks
    * 1765 FIX: Fixed bug when generating nagvis backends while having sites with livestatus proxy configured...
    * 1789 FIX: Fix preview of passive checks in WATO list of services
    * 1790 FIX: Fix WATO parameters page for passive checks...
    * 1794 FIX: Fix exception in WATO service list in case of vanished checks
    * 1805 FIX: Changing roles marks sites where users can login dirty for sync now...
    * 1211 FIX: Fixed g_git_messages error on activate changes...
    * 1212 FIX: Fixed default value in wato parameter page for timeperiods...
    * 1816 FIX: Fixed garbled output on "rename host" result page
    * 1879 FIX: Not showing "only show permitted hosts/services" option for users not having "see all" permissions...
    * 1922 FIX: Fix exception in saving of hosttags if hosttag has at least one auxiliary tag
    * 1883 FIX: Fixed lossing service context when cloning a rule
    * 1925 FIX: Fix missing auxilliary tags that have their own topic...
    * 1927 FIX: Fixed level description in WATO rules, change from if above into at
    * 1976 FIX: Sorting BI rule choice dropdown field entries now
    * 1986 FIX: Added nicer error message when calling the rename host page with a non existant host
    * 1987 FIX: Editing auxtags shows existing topics in dropdown instead of as "create new topic"
    * 2001 FIX: Fix exception of missing .site when editing a non-existing host
    * 2002 FIX: Mark slave sites as dirty if BI aggregates are changes and login is allowed...
    * 2009 FIX: Fixed styling of site login page for establishing a distributed monitoring WATO sync...
    * 2003 FIX: Fix saving of "Users are allowed to directly login into the Web GUI of this site"...
    * 2010 FIX: Improved error message when trying to add group assignment rule without having a group configured
    * 1946 FIX: WATO Web-API: edit host action does no longer unset all unspecified attributes...
    * 1223 FIX: Fixed manual configuration of ntp peer check...
    * 2025 FIX: Fixed exception when synchronising custom ldap attributes in distributed WATO setup
    * 2026 FIX: Fixed exception when using umlauts in notification plugin descriptions...
    * 2078 FIX: Fixed exception with some snapshots when using a localized GUI...
    * 2080 FIX: Fixed UnicodeDecodeError when using a localized GUI on notification configuration page
    * 2084 FIX: Disabled notification for a user is now shown on profile page even when not permitted to edit...
    * 2045 FIX: Avoid fetching SNMP data when showing service list in WATO - unless Full Scan is pressed
    * 2047 FIX: Allow overriding existing WATO rules by own files in local/ hierarchy...
    * 2146 FIX: In distributed environments user notification rules trigger a profile synchronisation now...
    * 2158 FIX: Condition column in WATO rule tables has now a flexible width...
    * 2160 FIX: Fixed rename of hosts where a host with this name did exist before
    * 2191 FIX: Fixed handling of URL variable 'mode' in web API for discovering services...
    * 1956 FIX: WATO Web-API: Fixed exception information for single sites...
    * 2178 FIX: Fixed handling of user erros in WATO when using Python < 2.5
    * 2203 FIX: Fix sorting of unselected elements in a list choice with two panes
    * 2244 FIX: Fixed sorting of host tag topics in dropdown selections
    * 2263 FIX: Bulk service discovery: Fixed error when doing bulk inventory on locked folders...
    * 2254 FIX: Fixed error message in parameter columns of discovered services...
    * 2230 FIX: Fix two exceptions in case of errors during bulk discovery
    * 2259 FIX: Raw Edition: Added missing agent download icons to WATO quickaccess snapin

    Notifications:
    * 1662 notification plugin spectrum: finalized script. now able to handle host notications
    * 1213 New Notification macros $SERVICEFORURL$ and $HOSTFORURL$...
    * 2041 Notification Spooler can now handle incoming and outgoing persistent TCP connections...
            NOTE: Please refer to the migration notes!
    * 2135 Allow to filter notification contacts based on values of custom macros...
    * 1235 Added notification plugin for Braintower SMS Gateways...
    * 2188 Rule based notification now allow match for notification comment...
    * 2195 New condition "Match Contacts" in rule based notifications...
    * 2304 notification bulking: now able to configure the notification sort order in emails...
    * 1661 FIX: mknotifyd: improved performance when receiving forwarded notifications
    * 1664 FIX: mknotifyd: further performance improvements for notification forwarding
    * 1205 FIX: RBN: Fixed match contactgroup condition...
    * 1810 FIX: Rule based notifications: Fixed output of non contact mail recipient address in analyze table...
    * 1988 FIX: Gracefully handle invalid empty bulk notification files from previous buggy versions
    * 2015 FIX: Fixed sending notifications for services with umlauts in names...
    * 2038 FIX: Log complete Email address into monitoring history when notifying explicity addresses
    * 2081 FIX: Improved logging of mkeventd in error cases
    * 2193 FIX: Remove duplicate performance data from host notifications...
    * 2207 FIX: Fix exception in rule based notifiations with Nagios core and event type filter...
    * 2243 FIX: Check_MK notifications don't fail anymore when duplicate hosts are configured

    BI:
    * 1784 FIX: Fix exception in BI Boxes when parents are being used
    * 2020 FIX: Fixed non working FOREACH_CHILD mechanism for BI rules
    * 2085 FIX: Host search for child nodes can now filter child nodes by tags or patterns...
    * 1897 FIX: Fixed exception in BI Availability view...
    * 2073 FIX: BI aggregation: fixed exception when showing clusters in BI boxes

    Reporting & Availability:
    * 2301 Availability now allows just showing rows with outage times above certain levels...
    * 2302 Availability: new option in "Labelling" for omitting legend for availability levels
    * 1990 FIX: Fix two exceptions in PDF exports of host group views
    * 2189 FIX: Allow changing graph number from 1 to "all" when editing PNP graph in report...
    * 2206 FIX: Add missing option "Show timeline of each object directly in table" for reports...
    * 2295 FIX: Fix exception in reporting for views that do not show a host name

    Event Console:
    * 1845 Keep record of original source IP address of a syslog message or SNMP trap...
    * 1873 SEC: Escaping event text of event console messages correctly in views...
    * 1672 Now able to reclassify logwatch messages before forwarding them to the event console...
    * 1878 SEC: Fixed possible shell injection when filtering the EC archive...
    * 2099 Allow replication of Event Console rule and settings...
    * 2107 mkeventd: can now handle syslog format of Sophos firewalls
    * 2223 Allow cancelling actions to be omitted of the cancelled event is not (yet) open...
    * 2248 The Event Console can now translate incoming SNMP traps...
    * 2225 Restructured Event Console rules into packs...
    * 1839 FIX: Fix exception when notifying EC alert into monitoring for traps (because PID is missing)
    * 1813 FIX: Fixed bug in event console rule editor when no contact groups configured
    * 1974 FIX: Event console views were randomly ignoring host filters...
    * 1861 FIX: exception in mkeventd when archiving certain event log lines
    * 1865 FIX: mkeventd: fixed exception when executing a shell script as action
    * 2133 FIX: Fix visualization of global EC setting for Rule Optimizer...
    * 2139 FIX: Fix exception in Event Console when archiving events with match groups and non ASCII characters
    * 2151 FIX: Fixed wrong time in events when forwarding logwatch to EC between timezones...
    * 2281 FIX: mkeventd: fix: now able to create notifications with events containing umlauts...
    * 2282 FIX: mkeventd: fixed exception in notification if the application field of the event was not set...

    Livestatus:
    * 2229 Do not fail on non-existing Livestatus columns any longer, output None or null instead...
    * 2208 FIX: Add missing Livestatus column service_period...

    HW/SW-Inventory:
    * 1846 Keep track of changes of software and hardware...
    * 1855 esx_systeminfo: new inventory plugin to retrieve info about the host operating system for ESX servers
    * 2204 Inventory of switch ports, allows searching for unused ports...
    * 2298 Inventory: add host name (Linux, AIX, Windows), add IP addresses and routes (Linux)
    * 1851 FIX: win_exefiles: inventory check can now handle time stamps in us english locale
    * 1943 FIX: inventory plugin win_os: no longer detects incorrect i386 architecture...
    * 1995 FIX: dmidecode: Fix parsing when memory devices are listed before controller
    * 2147 FIX: Fixed exception in HW-/SW-Inventory GUI with special characters in inventorized data...
    * 2148 FIX: win_os: Fixed inventory of OS with older powershell versions
    * 2108 FIX: win_bios win_disks win_system win_video: these inventory checks can now handle colons in the output
    * 2197 FIX: win_reg_uninstall: Fix exception in case of invalid output line...
    * 2224 FIX: Fixed sorting in inventory based views...
    * 2246 FIX: Linux CPU Inventory: Fixed wrong number of CPUs when first CPU is not in first slot
    * 2226 FIX: prtconf: Fix computation of CPU clock speed: 1MHz is 1000^2 Hz, not 1024^2


1.2.6b1:
    Core & Setup:
    * 1439 mk-job: now also available on solaris systems...
    * 1648 New installations have the service to check for unchecked services enabled by default...
    * 1723 New check API function get_average() as more intelligent replacement for get_counter()...
    * 1725 The get_average() function from now on only returns one argument: the average...
            NOTE: Please refer to the migration notes!
    * 1483 FIX: Savely replace illegal vertical bars in check plugin output...
    * 1431 FIX: windows_agent: fixed error on parsing unicode formatted logfiles...
    * 1545 FIX: Check_MK Inventory check is now resulting in correct state on duplicate host
    * 1555 FIX: Improved validation on timeperiod references of non existing periods...
    * 1574 FIX: Hosts named like used python modules do not break precompiled checks anymore...
    * 1624 FIX: Remove illegal characters from service descriptions of active checks...
    * 1628 FIX: Remove trailing backslashes from service descriptions...
    * 1649 FIX: Check_MK inventory service has been renamed to Check_MK Discovery...
    * 1706 FIX: Fix file permissions when installing MKPs to 0644 or 0755...
    * 1750 FIX: Handle rare cases where SNMP response string begins with a line feed...
    * 1740 FIX: Changed default service discovery check intervall to 12 hours

    Checks & Agents:
    * 1197 climaveneta_temp: New check for temperature sensors on Climaveneta clima devices
    * 1167 citrix_license/esx_license: Can now be configured to always show OK as state
    * 1198 climaveneta_fan: New check for fan speed on Climaveneta devices
    * 1199 climaveneta_alarm: New check to display the alarm states on Climaveneta devcies
    * 1484 dell_om_sensors: Use sensor name as item...
            NOTE: Please refer to the migration notes!
    * 1200 Docsis Checks: Now HW Rev2 of Arris Cable Modems are detected.
    * 1486 mk_oracle: completely overhauled ORACLE monitoring...
    * 1201 allnet_ip_sensoric: Detect Temperature Sensors now in more cases...
    * 1171 Added new check for monitoring mail delivery (SMTP -> IMAP/POP3 mailbox)...
    * 1444 f5_bigip_chassis_temp, f5_bigip_cpu_temp: Two new checks to replace the old f5_bigip_temp...
            NOTE: Please refer to the migration notes!
    * 1432 agent_vsphere: now able to monitor virtual machines snapshots...
    * 1507 New optional parse_function for check API...
    * 1445 quantum_libsmall_door, quantum_libsmall_status: Two new checks for monitoring small Quantum tape libraries
    * 1448 domino_info: check is extended to also show and monitor the lnNotesServerState
    * 1509 if, if64: New option for make inventory based on port alias...
    * 1440 livedump: now able to add hosts icon_image on config generation...
    * 1517 carel_sensors: New check for monitoring temperature sensors of Carel AC devices
    * 1551 f5_bigip_vserver: add performance data for connections and connection rate
    * 1554 mk_oracle: You can now monitor multiple ORACLE releases on the same host
    * 1518 raritan_pdu_inlet, raritan_pdu_inlet_summary: Modified existing check to give one item per phase and support setting levels....
            NOTE: Please refer to the migration notes!
    * 1592 AIX: New Plugin to monitor errpt in logwatch style...
    * 1565 mem.win: set default levels for page file to 80%/90%
    * 1608 zpool_status: Add an overall state check (thx to Craig Cook)...
    * 1594 ibm_svc_host: Can now be set to be always OK...
    * 1595 esx_vsphere_objects_count: New Check to Ouput the number of VMs
    * 1567 postfix_mailq: speedup in Linux agent for large mail queues...
    * 1611 mssql.vbs: Supporting SQL-Server 2014 now
    * 1568 f5_bigip_cluster_v11: new check for F5 cluster status for firmware version 11
    * 1450 checkpoint_connections, checkpoint_packets: new checks to monitor Checkpoint firewalls
    * 1569 check_mk_agent.openbsd: add sections for mem and lnx_if (memory and network interfaces)...
    * 1451 users: new check to monitor number of users logged in on a linux system...
    * 1615 qnap_disks: Added support for Fujitsu NAS QR802
    * 1616 drbd: Added support for Ahead/Behind cluster states (DRBD >= 8.3.10)
    * 1626 Renamed service descriptions of filesystem, process and logwatch checks...
    * 1627 megaraid_ldisks: Warn if current cache or write policy differs from logical drive default policy...
    * 1629 check_mk_agent.freebsd: several new features and improvements, now only use statgrab...
    * 1630 smart: update in plugin that also outputs information about disks attached to a MegaRAID controller...
    * 1631 juniper_bgp_state: check now detects and supports more differen device models...
    * 1645 Added basic kernel section to FreeBSD agent...
    * 1597 bluecat_dhcp, bluecat_dns: Checks can now be used in Check_MK Cluster Mode
    * 1599 check_mk_agent.aix: Simple run_cached Feature for plugins...
    * 1699 Windows agent: new option "file" for writing output into a file...
    * 1684 cisco_vpn_tunnel: Now supporting VPN 3000 Conncentrator devices
    * 1685 enterasys_*: Now supporting device C2G124-48 (Rev 05.02.18.0002)
    * 1694 cisco_wlc/cisco_wlc_clients: Added support for Cisco AIR-CT2504-K9
    * 1726 Move variable data of Linux/UNIX agents to /var/lib/check_mk_agent...
            NOTE: Please refer to the migration notes!
    * 1734 check_sql: Added support for DB2 (thanks to Troels Arvin)
    * 1757 Check SSH can now be configured  in WATO
    * 1478 FIX: kernel.util, statgrab_cpu: fix computation of utilization...
    * 1480 FIX: brocade_vdx_status: disable check on some devices that do not support it...
    * 1485 FIX: dell_om_disks, dell_om_esmlog, dell_om_mem, dell_om_processors, dell_om_sensors: detect more devices...
    * 1202 FIX: cisco_power, cisco_temp_perf: Both checks now using a new service description...
            NOTE: Please refer to the migration notes!
    * 1446 FIX: cisco_temp_perf: Check now finds missing sensors in case where also cisco_temp_sensor is being used....
    * 1203 FIX: veeam_client: Now supports multiple Backups for one host...
            NOTE: Please refer to the migration notes!
    * 1437 FIX: veeam_jobs: fixed incorrect state for BackupSync job...
    * 1511 FIX: oracle_jobs: avoid broken checks, make compatible with old version...
    * 1513 FIX: Handle broken SNMP bulk walk implementation of Mikrotik Router firmware RouterOS v6.22...
    * 1503 FIX: Fixed monitoring of multiple SAP instances with one mk_sap plugin...
    * 1515 FIX: cisco_secure: fix service description, fix OK state in case of no violation
    * 1449 FIX: nginx_status: agent plugin no longer honours "http(s)_proxy" env variables of root user
    * 1387 FIX: mk_oracle: Correctly deal with underscore in SID for Oracle 9.2-10.1...
    * 1532 FIX: mk_sap: Cleaning up old state information from sap.state file...
    * 1548 FIX: bluecat_ntp: do not inventorized devices where NTP information is missing
    * 1549 FIX: bluecat_threads: do not inventorize this check where information is missing...
    * 1536 FIX: fritz!Box special agent now deals with new URLs (firmware >= 6.0) correctly
    * 1550 FIX: zfs_arc_cache: do not inventorize of no cache information available...
    * 1572 FIX: Sample configs, plugins etc. for windows agent use windows linebreaks now...
    * 1575 FIX: vSphere Monitoring works with RedHat 5.x now...
    * 1584 FIX: winperf_if: Fixed checks of interfaces with equal names but one with index...
    * 1590 FIX: printer_supply_ricoh: Fixed broken check
    * 1591 FIX: netapp_volumes: The state mixed_raid_type is now treated as non-critical state
    * 1602 FIX: dell_om_esmlog: Fixed typo in plugin output
    * 1603 FIX: ad_replication: fixed typo in plugin output
    * 1604 FIX: mysql_slave: Dealing with situation where connection with master is lost
    * 1563 FIX: Reworked configuration of process monitoring...
            NOTE: Please refer to the migration notes!
    * 1593 FIX: IBM SVC Checks: The Service Descriptions not longer contain IBM SVC as prefix...
            NOTE: Please refer to the migration notes!
    * 1564 FIX: check_mk_agent.linux: fix situation where async plugin is not executed after crash...
    * 1609 FIX: zpool_status: fix problem when the zpool has a separate log or cache device...
    * 1566 FIX: 3ware_disks: consider VERIFYING state as OK now...
    * 1612 FIX: job: Fixed wrong reported start time for running jobs
    * 1596 FIX: etherbox: Fix for the inventory in case of not connected temperature sensors...
    * 1571 FIX: check_mk_agent.linux: fix output of lnx_if on Ubuntu 8.04 (on older kernels), repairs tcp_conn_stats...
    * 1622 FIX: megaraid_bbu: handle case isSOHGood and consider it as critical...
    * 1617 FIX: lnx_if: Deal with data provided by cluster host
    * 1618 FIX: ad_replication: Output of timeLastSuccess and timeLastFailure was inverted...
    * 1623 FIX: hp_proliant_mem: support for some yet unhandled status situations
    * 1640 FIX: check_jolokia_metrics_serv_req: Fixed wrong levels shown for upper thresholds
    * 1632 FIX: hr_fs: remove ugly "mounted on:" information appearing on Juniper devices
    * 1646 FIX: hyperv_vms: Plugin garbles following plugin output when no VMs exist...
    * 1647 FIX: agent_ipmi: Check_MK service gets critical now when ipmi-sensors command fails
    * 1453 FIX: drbd.stats: tried to send non-numeric write order parameter to rrd...
    * 1598 FIX: bluecat_dhcp: Check is not longer found in inventory if dhcp service is not activated
    * 1635 FIX: multipath: fix parsing output of multipath on RedHat6 with space in alias
    * 1652 FIX: kaspersky_av_quarantine: Fixed exception when a file was found in quarantine
    * 1653 FIX: megaraid_pdisks: Resulting states are now hard coded within the check...
    * 1654 FIX: statgrab_disk: Fixed scaling of values shown in PNP graphs...
    * 1655 FIX: AIX Agent: Fixed broken filesystem checks when having PowerHA installed...
    * 1656 FIX: cisco_vpn_tunnel: Refactored complete check, fixed threshold bugs...
    * 1677 FIX: f5_bigip_interfaces: Cleaned up check a bit
    * 1679 FIX: ups_bat_temp: Now skipping sensors which are reported to have 0 upsBatteryTemperature
    * 1681 FIX: cmciii_lcp_fans: Skipping non FAN units now; cleaned up check
    * 1682 FIX: cmciii_lcp_waterflow: Check can now deal with devices with a different setup
    * 1701 FIX: Correctly show absolute level for CPU load in case of warn/crit...
    * 1702 FIX: Fix check_notify_count: notification had been counted twice...
    * 1703 FIX: ups_test: Fix computation of time since last self test...
    * 1454 FIX: megaraid checks: megacli binaries in lowercase (Ubuntu..) are now also detected by the linux agent
    * 1455 FIX: hp_proliant_mem:  avoid a crash of the check when module_condition is empty
    * 1688 FIX: juniper_screenos_mem: Fixed wrong total memory computation
    * 1658 FIX: agent_vsphere: no longer crashes when decommissioned vms report no hardware information...
    * 1708 FIX: cups_queues: fix outputting of current printer jobs if printer daemon is CUPS...
    * 1710 FIX: omd_status: Fix totally missing section in Linux agent...
    * 1711 FIX: win_printers.ps1: ignore temporary printers created by RDP terminal sessions...
    * 1712 FIX: hyper_vms: fixed for snapshot VMs with (...) in their names...
    * 1713 FIX: check_fstab_mounts: now correctly ignores swap space...
    * 1716 FIX: windows_tasks: consider state SCHED_S_TASK_QUEUED (0x00041325) as OK now
    * 1721 FIX: dell_om_mem: Handle formerly unhandled situations with multiple errors...
    * 1695 FIX: brocade_vdx_status: Is now not bein inventorized anymore for devices not supporting the check
    * 1722 FIX: lnx_thermal: fix invalid zero temperature if mode file is missing
    * 1696 FIX: cisco_temp_sensor: Value reported of check was not always correct (precision was wrong)...
    * 1727 FIX: cisco_secure: Fixed inventory exception when port security is not enabled
    * 1728 FIX: cisco_temp_perf: Not inventorized anymore for hosts supporting cisco_temp_sensor
    * 1724 FIX: emc_datadomain_temps: convert to new standard check output, add PNP template
    * 1729 FIX: apc_symmetra_test: Cleaned up check, fixed exception when self test date is zero
    * 1730 FIX: apc_symmetra: Fixed exception when last diagnose date was not known
    * 1731 FIX: ipmi_sensors: Fixed agent part when ipmi-sensors call on first agent run...
    * 1732 FIX: dell_powerconnect_cpu: Fixed exception during inventory for incompatible devices
    * 1733 FIX: dell_powerconnect_psu: Skipping inventory of not supported System temp sesnor for M6220 devices...
    * 1747 FIX: zfsget: try to speed up agent code for Linux/Solaris/FreeBSD by using -t filesystem,volume...
    * 1659 FIX: windows agent: fixed output of 64 bit performance counters...
    * 1748 FIX: win_dhcp_pools: fix naming of WATO rules and informal WARN/CRIT levels in performance data
    * 1735 FIX: oracle_instance: Inventory function deals better with old bogus agent output
    * 1736 FIX: lparstat_aix: Trying to deal with more kind of lparstat output...
    * 1737 FIX: mk_sap: Working around garbled SAP state file when multiple instances were running parallel
    * 1738 FIX: oracle_instance: Be compatible to old oracle agent outputs
    * 1751 FIX: winperf_ts_sessions: try to fix invalid number of active and inactive sessions...
    * 1739 FIX: lnx_thermal: Be more compatible to thermal devices which report no "type"

    Multisite:
    * 1508 Allow input of plugin output and perfdata when faking check results...
    * 1493 Added config option "Default filter group" to set the initial network topology view filter...
    * 1497 Implemented password policy capabilities for local users...
    * 1499 SEC: Fixed XSS injections in different places...
    * 1069 SEC: Replaced insecure auth.secret mechanism...
            NOTE: Please refer to the migration notes!
    * 1500 SEC: Preventing livestatus injections in different places...
    * 1530 Dashboard: Host/service statistics dashlets now deal with the context...
    * 1558 Better visualize manually changed notification enable/disable
    * 1621 Sorting Check_MK* services always on top of services lists
    * 1636 Crash checks now have an icon for viewing and sending a crash dump...
    * 1700 Enable icon for link to host/service parameters per default now...
    * 1705 Better styling of dashboard designer
    * 1714 Add support for jsonp export (next to json and python)...
    * 1715 Output icon information in CSV/JSON/Python export of views...
    * 1164 FIX: Fixed links from servicegroup overviews to single servicegroups
    * 1166 FIX: Also prevting stylesheet update issues during version updates (just like for JS files)
    * 1481 FIX: Fix broken layout of Host-, Service- and Contactgroup filters
    * 1482 FIX: Fix exception when editing a visual of type single host group...
    * 1487 FIX: Fixed exception in Web GUI "Internal error:: name 'Filter' is not defined" in manual setups (using setup.py)...
    * 1488 FIX: Fixed wrong information showing up on "Host Group" and "Service Group" views...
    * 1433 FIX: Quicksearch: no longer shows an invalid search result when looking for multiple hosts...
    * 1494 FIX: Fixed error in NagVis Maps snapin when some users had no contact groups assigned
    * 1496 FIX: Fixed exception after editing a dashboard as user without permission to publish dashboards...
    * 1436 FIX: quicksearch: search with multiple patterns (h: / s:) no longer discards the host pattern...
    * 1438 FIX: quicksearch: fixed various non-working quicksearch filters...
    * 1501 FIX: Legacy view formats created with 2014-09 snapshots are now converted...
    * 1506 FIX: Fixed randomly hidden dashboard title...
    * 1527 FIX: Fixed views missing values of some filters (serviceregex, hostgroup filters, ...)...
    * 1528 FIX: Fixed actions in mobile GUI...
    * 1529 FIX: Mobile-GUI: Fixed "all host problems" view not showing all problems...
    * 1533 FIX: Fixed sorting of hosts with same name in "services of host" view
    * 1534 FIX: Fixed filtering views in distributed setup lead to empty views...
    * 1553 FIX: Fix deleting (acknowleding) of logfiles in logwatch...
    * 1537 FIX: Added transformation code for user dashboards created between 2014-08 and 2014-10...
    * 1538 FIX: Only allow switching sites on/off when permitted to...
    * 1539 FIX: Fixed refreshing of PNP graphs in dashboards...
    * 1543 FIX: Hosttag columns are now available right ater creating a tag...
    * 1544 FIX: Fixed exception in complain phase in view editor...
    * 1573 FIX: WATO Quickaccess snapin: Pending button is not overlapped by icons anymore
    * 1557 FIX: Fix sorting of hostnames that only differ in lower/uppercaseness
    * 1577 FIX: Fixed editing of views using the "Downtime for host/service" sorter or column...
    * 1578 FIX: Folding states of containers with umlauts in titles are now persisted...
    * 1580 FIX: Views: Hardcoded single context filters are not shown in filter form anymore...
    * 1581 FIX: Single context views with missing context show an error message now...
    * 1585 FIX: Dashboard: Fixed mass client CPU load consumption when making graph dashlets too small...
    * 1586 FIX: Dashboard: Toggling edit/non-edit is now reflected when reloading the page
    * 1605 FIX: Fixed perfometer of check check_mk-printer_supply_ricoh
    * 1607 FIX: check_http: Fixed broken links in escaped plugin output
    * 1614 FIX: Fixed wrong URL in webapi.py documentation
    * 1619 FIX: Renamed "Hostgroups" and "Servicegroups" views to "Host Groups" and "Service Groups"
    * 1638 FIX: Fixed styling small styling problems in wiki snapin
    * 1641 FIX: Quicksearch: Now able to search for services with backslashes in names
    * 1642 FIX: Quicksearch: Improved error handling on invalid search statements (invalid regexes)
    * 1651 FIX: Consolidated painters of service list views...
    * 1678 FIX: Fixed problem with garbled styles on user profile page after saving
    * 1680 FIX: Fixed various dashlet designer position/resizing issues...
    * 1683 FIX: Replaced a lot of old GIF images with better looking PNG images
    * 1687 FIX: Add visual to dashboard menu can now be closed with click anywhere on page
    * 1709 FIX: Fix exception when a non-Ascii character is part of the variable part of a view title
    * 1691 FIX: Fixed problem when watching BI aggregations with umlauts in titles or group name

    WATO:
    * 1170 Added buttons to move rules to top/bottom of the list to ruleset edit dialog
    * 1489 Added iCalendar import for generating timeperiods e.g. for holidays...
    * 1495 Most WATO tables can now be sorted (where useful)...
    * 1504 WATO makes host tag and group information available for NagVis...
    * 1535 Disabled services on service discovery page now link to the ruleset
    * 1587 SEC: Prevent logging of passwords during initial distributed site login...
    * 1560 Put host and service groups into one WATO menu item...
    * 1561 Remove Auditlog from the main WATO menu and put it into the activate Changes page
    * 1562 Move manual checks into a new WATO module...
    * 1697 Allow non-Ascii characters in topic of host tag groups
    * 1707 WATO rule editor: show title of tag group when rendering the conditions of a rule...
    * 1689 Creating WATO backends for each configured site now...
    * 1690 Pending changes can now be discarded...
    * 1693 Added search form to global settings page...
    * 1717 Split up LDAP configuration dialog into four boxes...
    * 1165 FIX: Fixed exception in service discovery of logwatch event console forwarding checks...
    * 1490 FIX: Timperiod excludes can now even be configured when creating a timeperiod...
    * 1491 FIX: Fixed bug in dynamic lists where removing an item was not always possible...
    * 1492 FIX: Fixed too long URL bug when deleting a timeperiod right after creating one
    * 1498 FIX: Fixed displaying of global settings titles / help texts...
    * 1502 FIX: Fixed removing elements from ListOf choices during complain phase
    * 1505 FIX: Snapshots are now bound to the used monitoring core...
    * 1540 FIX: Host diagnose page: Some tests were failing randomly
    * 1541 FIX: Fixed missing form fields for notification method when editing rbn default rule
    * 1542 FIX: Changed text of "debug_log" option to be clearer in distributed setups...
    * 1546 FIX: Fixed adding cluster nodes to new cluster in complain phase...
    * 1556 FIX: WATO inventory ignores already inventorized checks which does not exist anymore...
    * 1576 FIX: SNMP Community host attribute is now visible for IE<=8...
    * 1588 FIX: Renamed SNMP communities rule to SNMP credentials
    * 1589 FIX: Restructured SNMP credentials rule specification...
    * 1620 FIX: Fixed exception during host renaming when host has no perfdata
    * 1625 FIX: Safely handle characters that have a special meaning in regexes when creating service-specific rules...
    * 1637 FIX: Fixed exception in notification analysis when notifications have not NOTIFICATIONTYPE set
    * 1639 FIX: Interfaces with speed more than 10GBit/s can now be configured correctly
    * 1633 FIX: Fix problem that attributes of new WATO folders have not been saved...
    * 1634 FIX: Fix editing of cluster hosts in WATO: cluster-property no longer goes lost...
    * 1686 FIX: Host renaming also updates explicit negated hosts in rules

    Notifications:
    * 1512 Bulk notification can now be grouped according to custom macro values...
    * 1650 Enabled rule based notifications by default (for new installations)...
    * 1749 Allow title of notifiation script to be in third line if second line is encoding: utf-8...
    * 1660 notification plugin spectrum: now configurable via flexible notifications
    * 1168 FIX: HTML mails can now be configured to display graphs among each other...
    * 1514 FIX: Try harder to detect previous hard state in notification when using Nagios as core...
    * 1582 FIX: Fixed missing graphs in mails when sending notifications to non-contacts...
    * 1583 FIX: Can use contact groups without hosts/services assigned in RBN rules now...
    * 1606 FIX: Moved notify.log to var/log/notify.log in OMD environments...
    * 1570 FIX: Fix notification of check_http active checks with Nagios core...
    * 1704 FIX: Fix notification analyser in case there are non-Ascii characters in the notification context

    BI:
    * 1435 FIX: Saving BI aggregations: No longer reports 'Request-URI Too Large'...
    * 1559 FIX: Fix link from BI icon to BI views (aggregations affected by this host/service)
    * 1692 FIX: Aggregations with umlauts in title/topic can now be displayed in BI/Availability

    Reporting & Availability:
    * 1720 FIX: Remove bogus column H.Down if "Consider times where the host is down" is switch off...

    Event Console:
    * 1169 Added host state type filter to "recent event history" view
    * 1718 Show groups of regex match of events in details views of Event Console
    * 1719 Allow to allow both host name and IP address when checking for events in Event Console...
    * 1531 FIX: Fixed exception in event history view when displaying CHANGESTATE events
    * 1610 FIX: Hostname translation now also works for incoming SNMP traps
    * 1643 FIX: Improved error handling of exceptions when processing log lines
    * 1644 FIX: Fixed matching dynamic number of regex match groups...
    * 1698 FIX: Fix specifying explicit path to unix socket for check_mkeventd

    Livestatus:
    * 1613 FIX: Fixed invalid json format in Stats query with requested heaeders...

    HW/SW-Inventory:
    * 1479 liveproxyd: new function for collecting remote inventory data...
            NOTE: Please refer to the migration notes!
    * 1452 Solaris HW/SW-Inventory added...
    * 1547 FIX: win_cpuinfo: fix case where NumberOfCores is missing (Windows 2003)...
    * 1552 FIX: mk_inventory.ps1: fix garbled or missing entries by removing bogus binary zeroes...
    * 1752 FIX: win_exefiles: handle case gracefully where no size information is available
    * 1753 FIX: win_bios: handle case with colons in BIOS version

    inventory:
    * 1516 FIX: win_disks: fix exception in case of empty signature


1.2.5i6:
    Core & Setup:
    * 1008 Overall check timeout for Check_MK checks now defaults to CRIT state...
    * 1373 SEC: Do not ouput complete command line when datasource programs fail...
    * 1425 New section header option "encoding" for agent output...
    * 1129 FIX: Windows MSI-Installer: some systems created corrupted check_mk_agent.msi files...
    * 1426 FIX: windows agent: logwatch: no longer reports incorrect formatted texts (japanese characters)...
    * 1429 FIX: Disabled snmp checktypes are now sorted out before Check_MK contacts the snmp host...

    Checks & Agents:
    * 0185 knuerr_rms_humidity, knuerr_rms_temp: Two new Checks to Monitor the Temperature and the Humidity on Knürr RMS Devices
    * 1065 heartbeat_crm / heartbeat_crm.resources: Rewrote checks / formalized parameters...
    * 1068 livedump: Added optional check interval (detect staleness) / option to encrypt mails...
    * 1093 windows agent: performance counter can now be specified by name...
    * 0189 docsis_channels: Support for Frequency of Downstream Channels for Devices with DOCSIS MIB
    * 0190 docsis_channels_upstream: New check for monitoring upstream channels on cable modems with DOCSIS MIB
    * 0193 docsis_cm_status: New Check Status Check for Cable Modems with Docsis MIB.
    * 1070 printer_input/printer_output: New checks to monitor input/output sub-units of printers...
    * 0196 esx_vsphere_hostsystem: New subcheck for maintenance mode...
    * 0197 check_uniserv: New Check for Uniserv Data Management Services...
    * 0199 veeam_client: Check rewritten to get a nicer output
    * 0200 arris_cmts_cpu,arris_cmts_temp: New Checks for Arris CMTS Devices ( Temperature and CPU Utilization)
    * 0202 cisco_temp_sensor: It is now possible to configure this check in WATO....
    * 1172 New check sap.value_groups...
    * 1173 cisco_secure: Check creates now a summary instead one service by port...
            NOTE: Please refer to the migration notes!
    * 1174 rms200_temp: New Temperature check for RMS200 Devices
    * 1175 dell_idrac_disks: New Check for Harddisks using Dell iDrac
    * 0644 adva_fsp_if: instead of lower warning and critical levels check now supports lower and upper levels
            NOTE: Please refer to the migration notes!
    * 1006 printer_pages: add Perf-O-Meter and PNP template
    * 0646 brocade_fcport: the administrative states for which ports are inventorized can now be configured in WATO
    * 1010 chrony: new check for NTP synchronization via chrony on Linux...
    * 1011 ibm_svc_systemstats.disk_latency: introduce levels for alerting...
    * 1372 cisco_vss: new check for monitoring state of Cisco Virtual Switches
    * 0648 brocade_fcport: new speed calculation of isl_ports...
    * 0649 f5_bigip_pool: check now also prints the node names of down nodes
    * 1374 arc_raid_status: moved plugin into main Linux agent...
            NOTE: Please refer to the migration notes!
    * 1375 vxvm_enclosures, vxvm_multipath, vxvm_objstatus: joined into one agent plugin called vxvm...
    * 1376 dmraid: moved plugin code into normal Linux agent...
    * 1377 Renamed agent plugin resolve_hostname into dnsclient, make portable to all Unices...
    * 1146 nfsmounts: supported by AIX agent now...
    * 1103 windows agent: now able to omit context text of logfiles...
    * 1150 netstat: new check for monitoring TCP/UDP connections and Linux and AIX...
    * 0654 oracle_instance: now also monitors the log mode
    * 1176 winperf_msx_queues: The list of counters for inventory can now be configured host based using wato
    * 0656 brocade_fcport: inventory rule can now choose upon physical und operations states as well, state choices were also updated
    * 1177 Hivemanger: New agent to check hivemanager devices
    * 1383 oracle_asm_diskgroup: Account for offline disks and required mirror free space...
            NOTE: Please refer to the migration notes!
    * 1178 arris_cmts_mem: New check for Memory usage on arris cmts modules.
    * 1179 bluecat_dhcp: New Check for DHCP Service on bluecat adonis devices.
    * 1180 bluecat_dns, bluecat_dns_queries: New DNS Checks for Bluecat Adonis.
    * 1181 bluecat_ntp: New Check for NTP on bluecat adonis or proteus devices
    * 1105 wmic_if.ps1: Powershell version of the wmic_if.bat script...
    * 1182 bluecat_ha: New Check for HA Status on Bluecat Adonis devices
    * 1183 bluecat_commandserver: New Check for bluecat adonis devices
    * 1397 juniper_screenos_cpu, juniper_screenos_fan, juniper_screenos_mem, juniper_screenos_temp, juniper_screenos_vpn: new checks for Juniper ScreenOS Firewalls
    * 1106 mk_inventory.ps1: now uses the MK_CONFDIR environment variable from the agent (if available)...
    * 1107 windows agent: now sets additional environment variables...
    * 1108 printer_io.include: included tray description in check output
    * 0657 diskstat: cluster support added for single disk modes
    * 1111 vCenter monitoring: greatly improved performance (at least 40 times faster)...
    * 1112 esx_vsphere_hostsystem.mem_usage_cluster: allows to monitor total RAM usage of all nodes in a cluster...
    * 0658 brocade_info: new check to retrieve informational data about Brocade switches
    * 1385 oracle_instance: new WATO rules for archivelog, logging, login and uptime...
    * 1403 kernel.util: allow levels for the total CPU utilization...
            NOTE: Please refer to the migration notes!
    * 1117 agent_vsphere: now able to query license information from esx system...
    * 1118 bluecat_dns, bluecat_dhcp: no able to run as clustered checks...
    * 1409 Extended Check_MK-API: check function may return None...
    * 0659 domino_tasks: new check to monitor tasks on a lotus domino server via snmp
    * 1187 Hivemanager: Extended Check and Agent...
    * 1130 esx monitoring: agent_vsphere now retrieves additional data (used by HW-inventory)...
    * 1422 agent_vsphere: now able to configure where the power state of a vm or esx-host should be assigned...
    * 1442 ups_socomec_out_source: New check for checking the power source of out phases for Socomec UPSs
    * 0662 domino_mailqueues: new check to monitor mail queues in Lotus Domino
    * 1188 veeam_client: Check now also outputs ReadSize and TransferedSize...
    * 0663 domino_info: new check to extract informational data about a Lotus Domino Server
    * 0664 domino_users: new check to monitor the number of users on a Domino Notes server
    * 1447 domino_transactions: new check to monitor the number of transactions per minute on Lotus Domino servers
    * 1190 statgrab_cpu: Check can now handle parameters
    * 1191 Linux agent now also sends information about tmpfs...
    * 1193 ps: Manual Checks can now use RegEx for user matching...
    * 1194 Linux Agent now supports monitoring of cifs mounts
    * 1195 AIX Agent now also supports monitoring of cifs mounts
    * 1196 apache_status: Added timeout...
    * 1443 ups_socomec_outphase: New check for monitoring the out phases of Socomec UPSs
    * 1051 FIX: tcp_conn_stats: fix missing performance data...
    * 1142 FIX: winperf_ts_sessions: fix computation, check has never really worked
    * 1090 FIX: zfsget: fixed exception which happened on incomplete zfs entries
    * 0187 FIX: hp_proliant_power: Fixed Wato configuration
    * 0192 FIX: oracle_rman_backups: Not longer try to make a inventory for broken plugin outputs
    * 0194 FIX: raritan_pdu_inlet: Check now outputs the correct values...
            NOTE: Please refer to the migration notes!
    * 1071 FIX: oracle_rman_backups: Only inventorize ARCHIVELOG / DB FULL / DB INCR entries...
    * 1152 FIX: mk-job: The check now captures currently running jobs and their start time...
    * 0198 FIX: cisco_temp_sensor: Removed dicey detection for temperature value....
    * 0645 FIX: brocade_fcport: since in newer firmware (7.*) swFCPortSpeed is deprecated, we then calculate port speed from IF-MIB::ifHighSpeed
    * 1097 FIX: windows_agent: preventing missing agent sections on first query...
    * 1009 FIX: df: deal with space in file system type for PlayStation file system...
    * 1098 FIX: esx_vsphere_counters.diskio: Now reports unknown when counter data is missing
    * 1143 FIX: dell_powerconnect_temp: fix configuration via WATO...
    * 1144 FIX: blade_bx_temp, dell_chassis_temp, emerson_temp, ibm_svc_enclosurestats, ups_bat_temp: rename service description...
            NOTE: Please refer to the migration notes!
    * 1145 FIX: windows_tasks: handle case correctly where task is currently running...
    * 1378 FIX: mk_logwatch: remove exceeding \n when rewriting message and using \0...
    * 1147 FIX: upc_capacity, ups_socomec_capacity: Fix checking of battery left levels...
    * 1099 FIX: tsm_scratch: now returns the variable name instead the values during inventory...
    * 0650 FIX: f5_bigip_pool: limits to the number of active nodes are now correctly applied...
            NOTE: Please refer to the migration notes!
    * 1102 FIX: esx_vsphere_counters: no longer raise false alarms because of invalid data from ESX Host...
    * 1149 FIX: check_mk-ibm_svc_systemstats.diskio, check_mk-ibm_svc_systemstats.iops: fix exception in Perf-O-Meter
    * 0651 FIX: f5_bigip_interfaces: Fix invalid throughput values, detect newer F5 devices...
    * 1393 FIX: casa_cpu_temp, casa_cpu_util: Change service description to standard...
            NOTE: Please refer to the migration notes!
    * 1104 FIX: winperf_if: Improved matching of data from wmic_if.bat / wmic_if.ps1 scripts...
    * 1110 FIX: windows agent: fixed missing agent section problem if a cached script ran into a timeout...
    * 1113 FIX: oracle_rman: fixed exception when backup was currently running
    * 1114 FIX: bluecat_threads: no longer detected on wrong systems...
    * 1116 FIX: megaraid_ldisk: now longer raises an exception for adapters with 'No Virtual Drive Configured'
    * 1122 FIX: windows agent: unicode logfile monitoring: now able to detect incomplete written lines...
    * 1184 FIX: cisco_power: Fixed detection of item. In some cases the status information was part of the item...
            NOTE: Please refer to the migration notes!
    * 1078 FIX: Fix compensation for daylight safing time in prediction
    * 1126 FIX: bluecat_ntp: check no longer crashes on evaluating sysLeap values higher than 1...
    * 1127 FIX: bluecat_dhcp: fixed exception when data was available.. returns UNKNOWN when data is missing
    * 1128 FIX: bluecat_dns: now reports UNKNOWN if no snmp data is available
    * 1131 FIX: esx_vsphere_hostsystem.maintenance: fixed misspelling in service description...
            NOTE: Please refer to the migration notes!
    * 1161 FIX: fc_port: Fixed invalid values of counters, fixed wrong values in graphs...
    * 1192 FIX: veeam_jobs: Check now recognize sync jobs...
    * 1386 FIX: oracle_jobs: Bugfix for forever running jobs...
    * 1427 FIX: esx_vsphere_hostsystem.multipath: no longer crashes at invalid multipath types...

    Multisite:
    * 1066 New Dashboard Designer...
    * 1392 WATO Folder filter: show only the paths a user is allowed to see
    * 1398 Allow to spread times of next check when rescheduling...
    * 1405 Checkbox for settings downtimes on the hosts of the selected services...
    * 1410 Output log text of scheduled downtime log entries...
    * 1411 New builting views for the history of scheduled downtimes
    * 1185 mobile ui: Added a new view to see events from the Event Console
    * 1412 Speed up of displaying and sorting after WATO folder path
    * 1477 New screenshot mode for Multisite...
    * 1067 FIX: Fixed login problem in LDAP connector when no user filter specified...
    * 1094 FIX: sidebar snaping 'Tree of folders': fixed exception
    * 1154 FIX: Availability: Fixed unwanted redirect to edit annotation page after editing availability options...
    * 1401 FIX: Display options in views are now again persistent...
    * 1120 FIX: Multisite filters Host/Service Contactgroup: Fixed livestatus exception...
    * 1158 FIX: Moved filter logic to visuals module...
            NOTE: Please refer to the migration notes!
    * 1077 FIX: Fixed labelling of Y achsis in prediction graphs...
    * 1162 FIX: User profiles can not be edited on WATO remote sites anymore...

    WATO:
    * 1096 New WATO web service: manage hosts via a new HTTP API...
    * 1155 NagVis map edit/view permissions can now be set using roles/groups...
    * 1115 Renamed rule: Hosts using SNMP v2c -> Legacy SNMP devices using SNMP v2c...
    * 1404 Make title/help of custom user attributes localizable...
    * 1159 Remote BI Aggregations can now be configured to be checked as single services...
    * 1163 Service discovery: Added direct link to check parameter ruleset of services...
    * 1428 Web-API: now able to add cluster hosts...
    * 1064 FIX: Fixed rare issue with WATO communication in distributed setups (different OS versions)...
    * 1089 FIX: Snapshot restore: fixed exception during exception handling......
    * 1091 FIX: logwatch patterns: allow unicode text in pattern comment
    * 1092 FIX: logwatch: now able to enter unicode text into the "Pattern (Regex)" field
    * 0191 FIX: Added swp files to the ignore list for the WATO git feature...
    * 1153 FIX: Changed custom user attributes can now be used immediately...
    * 0201 FIX: Fixed error message in Rulelist of RBN...
    * 1100 FIX: WATO backup domains: fixed bug were excluded files still got deleted on snapshot restore...
    * 1101 FIX: WATO check parameter: renamed 'Nominal Voltages' to 'Voltage Levels..'
    * 1396 FIX: Fix default setting of Enable sounds in views...
    * 1109 FIX: WATO active checks: passwords no longer shown as plain text....
    * 1119 FIX: WATO create rule: No longer raises an incorrect permission warning when creating a new rule...
    * 1121 FIX: Rule based notifications formular: No longer raises Request-Uri-Too-Large errors...
    * 1160 FIX: Fixed wrong named column in mkeventd rules
    * 1430 FIX: Clone group: Now displays correct alias name of cloned group...

    Notifications:
    * 1151 Add variables (HOST/SERVICE)ACK(AUTHOR/COMMENT) to notification context...
    * 1394 HTML notifications have a new content field for debugging variables...
    * 1400 Added example notification script for Pushover to doc/treasures/notifications...
    * 1123 Rule based notifications: New condition "Match Service Groups"
    * 1186 RBN: It's now possible to Filter for contactgroups...
    * 1189 sms notification: also send information about Downtimes, Acknowledgments and Fallping now
    * 1424 mknotifyd: now able to check if its still listening for telegrams...
    * 1156 FIX: Graphs in HTML mails are now sent again where they where missing...
    * 1157 FIX: Fixed SMS plugin on at least debian (distrs which have no sendsms/smssend)...
    * 1407 FIX: Fix exception in rule based notification on non-Ascii characters in log message
    * 1408 FIX: mknotifyd now really reads all configuration files below mknotifyd.d...

    BI:
    * 1406 Assume PEND in count_ok aggregations if all nodes are PEND...

    Event Console:
    * 1148 Allow execution of actions when cancelling events...
    * 1395 Event Console can now create notifications via Check_MK RBN...
    * 1007 FIX: check_mkevents: fix case where events contain binary zeroes
    * 1399 FIX: Fix left-over tac processes when showing Event Console history...
    * 1402 FIX: Fixed cased where counting events did not reach required count...
    * 1124 FIX: WATO EC configuration: no longer raises an exception when user has restricted WATO access...
    * 1125 FIX: EC actions are now saved when an EC rule has "Send monitoring notification" set...

    HW/SW-Inventory:
    * 0643 windows inventory: OS now contains the install date, reg_uninstall now contains the path...
            NOTE: Please refer to the migration notes!
    * 0652 windows software inventory gives some more details about OS and installed software...
            NOTE: Please refer to the migration notes!
    * 0653 script to extract HW/SW-Inventory data in CSV format...
    * 0660 mk_inventory-ps1: new uses the Install Location as path for win_reg_uninstall
    * 0661 HW/SW-Inventory: install date of software packages no longer in unix timestamps but date format...
            NOTE: Please refer to the migration notes!
    * 1413 HW/SW-Inventory implementation step one finished...
    * 0655 FIX: win_cpuinfo and mk_inventory.ps1 agent: unit of CPU speed fixed, fixes for long output lines in agent
    * 1379 FIX: Fixed filter "Host has inventory data"...
    * 1423 FIX: Host HW-inventory: now longer generates an exception on displaying the BIOS date

    check:
    * 1384 oracle_jobs: new WATO rules, changed service name to SID.OWNER.NAME...
            NOTE: Please refer to the migration notes!


1.2.5i5:
    Core & Setup:
    * 1012 Fix quoting of backslashes in custom checks with nagios core...
            NOTE: Please refer to the migration notes!
    * 1038 Massive speedup of cmk --snmptranslate
    * 1035 FIX: Do not fail on errors in *.mk files anymore - except in interactive mode...
    * 0174 FIX: Fixed appending of --keepalive-fd parameters to checkhelpers...
    * 1053 FIX: Fixed events check always being reporting OK state...
    * 1045 FIX: Gracefully restart check_mk helpers in case of memory leak...
    * 0633 FIX: diskstat: fixed performance data of old legacy disk IO read/write data...

    Checks & Agents:
    * 0168 f5_bigip_pool: Added Wato configuration...
    * 0995 raritan_pdu_outletcount: new check for outlet count of Raritan PX-2000 family PDUs
    * 0169 websphere_mq_channels,ebsphere_mq_queues: New Checks to monitor IBM Websphere MQ Queues and Channels...
    * 1034 Always provide also 64 bit version of Windows agent
    * 0170 hp_proliant_power: New check to monitor the Power Meter on Prolaint Servers and iLO Boards
    * 0172 zfsget: Check is now usable in cluster_mode...
    * 1039 aix_diskiod: new check for disk IO on AIX
    * 0997 New checks and a special agent for ALLNET IP Sensoric devices...
    * 0175 logwatch.groups: New logwatch subcheck who can be used to group logfiles together....
    * 1041 aix_memory: new check for RAM and SWAP on AIX
    * 0998 ibm_imm_health: Trying to recognice newer versions of IBM IMM now too
    * 0628 raritan_pdu_inlet: now also monitors the three phases of the inlet
    * 1073 sni_octopuse_cpu: added PNP graph definition and Perf-O-Meter
    * 0178 mssql_tablespaces: It is now possible to define thresholds
    * 0999 allnet_ip_sensoric.pressure: New Check for Pressure Sensors in ALLNET IP Sensoric devices
    * 1082 windows agent: now also available as msi installer...
    * 0179 check_dns: It is now possible to use the local dns server in wato configuration...
    * 1058 livedump-mail-fetch: Now supporting either quoted-printable or non encoded mails...
    * 0180 sap: It is now possible to add multiple sap instances to the sap.cfg file...
    * 0181 citrix_sessions, citrix_serverload: New checks for Citrix Load (a Score calculated by citrix) and the number of sessions
    * 0637 jolokia_metrics.gc, jolokia_metrics.tp, jolokia_info: two new subchecks for the jolokia_metrics checks and better error handling for jolokia_info...
    * 1000 qlogic_sanbox.temp: New Check for temperature sensors in QLogic SANbox Fibre Channel Switches
    * 1001 qlogic_sanbox.psu: New Check for power supplies in QLogic SANbox Fibre Channel Switches
    * 0182 MegaCli: Agent now also supports the 64bit version (Thanks to Philipp Lemke)
    * 1132 qlogic_fcport: New Check for Fibre Channel Ports in QLogic SANbox FC Switches
    * 1133 qlogic_sanbox_fabric_element: New Check for Fabric Elements in QLogic SANbox Fibre Channel Switches
    * 1134 bintec_sensors.fan: New Check for Fan Speed of Bintec Routers
    * 1135 bintec_sensors.voltage, bintec_sensors.temp: New Checks for Voltage and Temperature Sensors of Bintec Routers
    * 1048 mem.win: support predictive levels...
    * 1136 bintec_brrp_status: New Check for BRRP States on Bintec Routers
    * 0640 jolokia_metrics.gc, jolokia_metrics.tp: now come with its own pnp templates
    * 1088 included check_mk_agent windows msi installer...
    * 0183 sentry_pdu: New check to monitor plugs of sentry PDUs
    * 0184 knuerr_sensors: New Check to monitor Sensors on a Knürr RMS Device
    * 0994 FIX: agent plugin smart: fixed syntax error
    * 0989 FIX: logwatch.ec: Fix forwarding multiple messages via syslog/TCP...
    * 0943 FIX: if.include: fixed incorrect traffic percentage values in the check output of if checks...
    * 0944 FIX: oracle_tablespaces: fixed calculation of space left and number of remaining increments...
    * 1032 FIX: check_traceroute: Fix option Use DNS, worked vice versa
    * 0171 FIX: hp_blade_psu: Fixed pnp template...
    * 0996 FIX: apc_symmetra_test: Handle unknown date of last self test as intended...
    * 0173 FIX: hitachi_hnas_volume: Fixed bug when snmp outputs empty lines
    * 1037 FIX: bintec_info: support bintec RXL12500
    * 0948 FIX: mk_inventory.ps1: increased caching time to 14400, fixed incorrect default cachefile path
    * 0827 FIX: lnx_thermal: Not checking active trip points (e.g. cooling device triggers) anymore
    * 1043 FIX: printer_supply: fix value error in default parameters...
    * 0626 FIX: veeam_jobs: agent now supports output lines longer than 80 chars
    * 1072 FIX: printer_supply: fix colors of Perf-O-Meter on HP OfficeJet...
    * 0950 FIX: check_mkevents: now able to resolve the hostname of the remote hosts...
    * 0177 FIX: esx_vsphere_hostsystem.multipath: Fixed return state in case of paths in standby...
    * 1054 FIX: mysql_slave: Only monitor the age of the slave when it is running
    * 1075 FIX: if, if64: Fixed PNP template in order to correctly scale Y axis
    * 0631 FIX: fc_port: several fixes for the perfometer to display the right values...
    * 0632 FIX: brocade_fcport: fix perfometer output of out bandwidth when averaging is switched on
    * 1055 FIX: mysql_slave: Fixed detecting CRIT states when IO/SQL slaves are not running
    * 0634 FIX: Max Bandwidth for PNP-Graphs of Interface checks corrected...
    * 0635 FIX: fc_port: the check no longer inventorizes ports with administrative state of 'unknown' or 'offline'
    * 0636 FIX: fc_port: do not inventorize if brocade fibre channel mib is also supported on the device...
    * 1083 FIX: ad_replication.bat: does not return data if the server is no DC
    * 0638 FIX: windows_updates: agent plugin now always sends section header, even if no update information provided...
    * 1084 FIX: ps: now able to handle bigger process groups without constant MKCounterWrapped Exceptions...
    * 1087 FIX: Active checks: Non-ascii check commands now converted into utf-8...
    * 1049 FIX: ups_capacity: Fix exception when running on battery...
    * 0639 FIX: jolokia_metrics: fix for problem when catalina uses the standalone engine
    * 1050 FIX: websphere_mq_queues: make compatible with old agent, fix not-found case

    Multisite:
    * 1013 Sort host names naturally, e.g. foobar11 comes after foobar2...
    * 1033 New Mutisite filter for the number of services a host has...
    * 0949 quicksearch: now able to search for multiple hosts at once...
    * 1052 SEC: index start URL can not be used to redirect to absolute URLs anymore...
    * 1085 quicksearch: multiple hostname matches now lead to the searchhost view instead of the hosts view...
    * 1047 Virtual Host Tree: Allow to use topic as tree level...
    * 1062 SEC: Fixed several XSS issues on different pages...
    * 1063 SEC: Fixed several XSS issues on different pages...
    * 0945 FIX: Sidebar snapin "Problem hosts": Now excludes hosts and services in downtime
    * 1036 FIX: doc/treasures/downtime: fix --url option, better error output
    * 1074 FIX: Fix Virtual Host Tree snapin...
    * 1059 FIX: LDAP: Using configured user filter during login to prevent temporary created users...
    * 1060 FIX: Fixed exception during first login of a user when saving of access times is enabled...

    WATO:
    * 0825 WATO: Hover menu of user online state shows the last seen date/time now
    * 1057 WATO folder permissions are only exported to NagVis when configured...
    * 1086 check_http: now able to enter non-ascii signs in "Send HTTP POST data" rule...
    * 0990 FIX: Fix HTTP error handling in bulk inventory...
    * 1004 FIX: Fix exception when saving rules, caused by empty item
    * 0947 FIX: WATO snapshots: fixed missing files on restoring nagvis backup domains
    * 0826 FIX: Fixed problem where user access times were not updated correctly
    * 1044 FIX: Remove icon for service parameters in WATO service list for missing services...
    * 1056 FIX: Fixed selection of hosts for bulk actions

    Notifications:
    * 1042 Rule based notifications: allow matching on host groups...
    * 0828 FIX: Mails sent with mail/asciimail plugin now really set the from address
    * 1061 FIX: SMS notifications: correctly handling spaces in phone numbers...

    Reporting & Availability:
    * 0991 FIX: Availability: optionally show time stamps as UNIX epoch time...
    * 1076 FIX: Fix wrong percentual host availability > 100% when excluding downtimes...

    Event Console:
    * 1040 FIX: Avoid sporadic errors when checking event state in Event Console...

    Livestatus:
    * 0988 FIX: livedump: Fix exception in case no contact groups are defined for a service
    * 0951 FIX: table servicegroups: fixed service visibility when using group_authorization AUTH_STRICT...

    HW/SW-Inventory:
    * 0625 hw/sw inventory now reads the kernel version and architecture for linux and windows
    * 0627 lnx_video, win_video: added inventory function and agent for linux video cards, modified windows inventory function
    * 0629 improvements to windows sw/hw inventory (encoding, more details for sw inventory)
    * 0630 win_disks: hardware inventory for physical disks in windows
    * 1046 Added AIX support for HW/SW-Inventory...
    * 0167 FIX: mk_inventory.linux: Changed field separator from pipe to tab...
    * 1005 FIX: Fix exception when using pretty-print output format
    * 0946 FIX: hw/sw inventory: fixed display bug for byte fields with the value 0...
    * 0641 FIX: windows inventory: moved encoding from checks to windows agent plugin


1.2.5i4:
    Core & Setup:
    * 0940 SEC: Fixed various core SIGSEGV when using malformed livestatus queries...

    Checks & Agents:
    * 0812 nginx_status: New check for monitoring status information of the Nginx web server...
    * 0986 citrix_licenses: new check for monitoring Citrix licenses
    * 0814 Agent versions can now be checked with "at least version X" parameters...
    * 0815 mysql_slave: New check for monitoring MySQL slave sync state
    * 0617 adva_fsp_if: new check to monitor interfaces of the ADVA FSP 3000 scalable optical transport solution
    * 0618 adva_fsp_current: new check for the power supply units of the ADVA FSP 3000 scalable optical transport solution
    * 0619 adva_fsp_temp: new check to monitor temperature and temperature trends on ADVA scalable optical transport solutions
    * 0993 raritan_pdu_inlet: now delivers performance data
    * 0624 fc_port: new check for fibre channel devices supporting the FCMGMT MIB
    * 1003 ibm_svc_enclosure: support new firmware, also check fan modules
    * 0616 FIX: brocade.fan, brocade.power, brocade.temp: will now only discover services which are not marked as absent
    * 0992 FIX: zfs_arc_cache: returns OK even if values of arc meta are missing...
    * 0936 FIX: agent_ibmsvc: improved error messages on using wrong credentials
    * 0621 FIX: zfsget: better filesystem selection and calculation of sizes...
    * 0819 FIX: Fixed keepalive termination in case of exceptions during checking...
    * 0622 FIX: cisco_temp_sensor: fix to also work with newer IOS versions
    * 0623 FIX: fsc_fans: upper levels for fan RPMs are now optional also for the check
    * 0823 FIX: mk_sap: Fixed some wrong calculated values (decimal numbers)...

    Multisite:
    * 0982 SEC: Fix two XSS weaknesses according to CVSS 8.5 AV:N/AC:M/Au:S/C:C/I:C/A:C...
    * 0983 SEC: Fix security issue in code of row selections (checkboxes) (CVSS 4.9 AV:N/AC:M/Au:S/C:N/I:P/A:P)...
    * 0934 FIX: Logwatch messages with class unknown ( 'u' ) now displayed as WARN...
    * 0166 FIX: mobile gui: Fixed colors of command list...
    * 0820 FIX: Fixed wrong NagVis links in "custom links" snapin
    * 0938 FIX: logwatch: fixed incorrect display of warning messages
    * 0939 FIX: Fixed multisite exception caused by missing explanation text for a AUTODELETE event action
    * 0822 FIX: Sorting columns in view dashlets is now working again
    * 0941 FIX: esx_vsphere_hostsystem.cpu_usage: pnpgraph now displays AVERAGE instead of MAX values in all timeframes...
    * 0942 FIX: check_mk-winperf.cpuusage.php: now displays AVERAGE values instead of MAX...

    WATO:
    * 0984 Fix code injection for logged in users via automation url...
            NOTE: Please refer to the migration notes!
    * 0987 New button for updating DNS cache...
    * 0824 SEC: Valuespecs: Fixed several possible HTML injections in valuespecs...
    * 0813 FIX: LDAP: Improved slightly missleading logging of LDAP sync actions...
    * 0935 FIX: CPU utilization: increased maximum value to 10000...
    * 0821 FIX: Reducing size of auth.php (needed for authorisation in NagVis) in large environments...

    Notifications:
    * 1002 FIX: Fix crash when debugging notifications with non-Ascii characters...

    Reporting & Availability:
    * 0985 Availability: display phases of freqent state changes as "chaos"...

    Event Console:
    * 0816 States of events can now be set by patterns...

    HW/SW-Inventory:
    * 0620 new version of Check_MKs hardware and software inventory including a much extended windows agent and inventory functions
    * 0818 FIX: Fixed exception in HW/SW inventory search dialog...


1.2.5i3:
    Core & Setup:
    * 0884 New options --oid and --extraoid for cmk --snmpwalk...
    * 0785 FIX: Availability: fixed memory leak in table statehist...
    * 0903 FIX: availability: fixed bug causing the availability feature not considering timeperiod transitions
    * 0888 FIX: Fix SNMP inventory check in simulation mode

    Checks & Agents:
    * 0149 cisco_secure: New check for Port Security on Cisco swichtes
    * 0751 New localcheck for Linux that makes sure that filesystems in /etc/fstab are mounted...
    * 0783 enterasys_lsnat: new check monitoring the current LSNAT bindings
    * 0601 printer_alerts: check can now display a textual representation of the alert code...
            NOTE: Please refer to the migration notes!
    * 0799 ibm_svc_systemstats.cpu_util: New check for CPU Utilization of an IBM SVC / V7000 device in total
    * 0800 ibm_svc_nodestats.cache, ibm_svc_systemstats.cache: New checks for Cache Usage of IBM SVC / V7000 devices
    * 0150 printer_suply: New option to upturn toner levels...
    * 0801 ibm_svc_eventlog: New Check for Messages in Event log of IBM SVC / V7000 devices
    * 0151 enterasys_cpu_util: Changed check to not longer summarize all modules...
            NOTE: Please refer to the migration notes!
    * 0802 ibm_svc_nodestats.iops, ibm_svc_systemstats.iops: new checks for IO operations/sec on IBM SVC / V7000 devices
    * 0602 cmciii.humidity: new check for Rittals CMC III humidity sensors
    * 0829 oracle_tablespaces: improved formatting of levels text in check output...
    * 0757 Linux multipath check can now use the alias instead of the UUID as item...
    * 0879 windows_tasks: output last and next run time
    * 0881 rmon_stats: now needs to be activated via a rule in order to be inventorized...
            NOTE: Please refer to the migration notes!
    * 0804 ibm_svc_portfc: New check for status of FC Ports in IBM SVC / Storwize V3700 / V7000 devices
    * 0805 ibm_svc_enclosure: New Check for Enclosures, Canisters and PSUs in IBM SVC / Storwize V3700 / V7000 devices
    * 0806 ibm_svc_enclosurestats.temp: New Check for temperature in enclosures of IBM SVC / Storwize V3700 / V7000 devices
    * 0807 ibm_svc_enclosurestats.power: New check for power consumption of enclosures of IBM SVC / Storwize V3700 / V7000 devices
    * 0808 brocade_mlx*: Checks now also work correctly with Brocade ADX / FGS / ICX devices
    * 0892 wagner_titanus_topsense: new info check and overall status check for Wagner Titanus Top Sens devices
    * 0893 wagner_titanus_topsense.alarm: New check for Alarms Triggered on Wagner Titanus Top Sens devices
    * 0894 wagner_titanus_topsense.smoke: New check for Smoke Detectors in Wagner Titanus Top Sens devices
    * 0895 wagner_titanus_topsense.chamber_deviation: New Check for Chamber Deviation from Calibration Point in Wagner Titanus Top Sens devices
    * 0152 fsc_fans: Added support for Wato configuration and upper limits
    * 0896 wagner_titanus_topsense.airflow_deviation: New Check for Airflow Deviation in Wagner Titanus Top Sens devices
    * 0897 wagner_titanus_topsense.temp: New Check for Temperature measured by Wagner Titanus Top Sens devices
    * 0898 ibm_svc_nodestats.disk_latency, ibm_svc_systemstats.disk_latency: New Checks for Disk Latency in IBM SVC / Storwize V3700 / V7000 devices
    * 0156 akcp_daisy_temp: New Check for akcp daisyTemp sensor chains...
    * 0899 enterasys_temp: New Check for temperature sensor in Enterasys Switches
    * 0901 ibm_svc_portfc: more devices recognized...
    * 0952 ibm_svc_array: New check for Status of RAID Arrays in IBM SVC / Storwize devices.
    * 0911 esx_vsphere_hostsystem.multipath: now able to configure paths minimum count...
    * 0159 brocade: Added support for brocade fdx switches
    * 0160 brocade_vdx_status: New check to monitor the operational state of vdx switches.
    * 0916 if: now able to configure minimum bandwidth limits
    * 0917 df checks: now able to show time left until disk full as perfometer and pnpgraph...
    * 0954 juniper_bgp_state: New Check for BGP status at Juniper Routers
    * 0955 zfs_arc_cache, zfs_arc_cache.l2: New Checks for Hit Ratios and Sizes of ZFS arc Cache
    * 0162 if_brocade: New if64 Check version for Brocade VDX Switches...
            NOTE: Please refer to the migration notes!
    * 0956 fast_lta_headunit.status, fast_lta_headunit.replication: New checks for FAST LTA Storage Systems
    * 0957 fast_lta_silent_cubes.capacity: New check for Total Capacity over all Silent Cubes on FAST LTA Storage Systems
    * 0975 esx_vsphere_vm.guest_tools: renamed check (formerly esx_vsphere_vm.guestTools)...
            NOTE: Please refer to the migration notes!
    * 0920 blade_bays: now also detects if blade server is switched off
    * 0977 check_traceroute: new active check for checking presence and absence of routes...
    * 0959 libelle_business_shadow.info, libelle_business_shadow.process, libelle_business_shadow.status: New Checks for Libelle Business Shadow
    * 0960 libelle_business_shadow.archive_dir: New check for the Archive Dir of Libelle Business Shadow...
    * 0978 Fix security issue with mk-job on Linux...
            NOTE: Please refer to the migration notes!
    * 0925 ps: improved/fixed calculation of CPU utilization (linux)...
    * 0926 windows agent: local / plugin scripts now get the REMOTE_HOST as environment variable
    * 0163 kaspersky_av_quarantine,kaspersky_av_tasks,kaspersky_av_updates: New checks for kaspersky anti virus on linux
    * 0164 symantec_av_progstate,symantec_av_quarantine, symantec_av_updates: New checks for Symantec Anti Virus on Linux
    * 0615 apc_symmetra: check now also monitors the battery replacement status
    * 0927 windows agent: now able to evaluate logfiles written in unicode (2 bytes per character)...
    * 0165 ups checks now supports also GE devices (Thanks to Andy Taylor)...
    * 0928 runas: new plugin script to include and execute mrpe, local and plugin scripts as different user...
    * 0929 windows agent: now able to include and execute additional local and plugin scripts as different user...
    * 0812 nginx_status: New check for monitoring status information of the Nginx web server...
    * 0961 fast_lta_volumes: new check of capacity of volumes in FAST LTA Storage Systems...
    * 0777 FIX: special agent emcvnx: did not work with security file authentication...
    * 0786 FIX: zfsget: fixed compatibility with older Solaris agents...
    * 0809 FIX: brocade_fcport: Fixed recently introduced problem with port speed detection
    * 0787 FIX: df: fixed problems on some filesystem checks when legacy check parameters where used...
    * 0803 FIX: agent_ibmsvc: raw data for System Info Check and License Check now in correct format...
    * 0788 FIX: oracle_tablespaces: now able to bear None values as warn/crit levels...
    * 0789 FIX: oracle_tablespaces: fixed bug when using dynamic filesystem levels...
    * 0603 FIX: cmciii checks: more general scan function plus perf-o-meters for humidity and temperature checks
    * 0604 FIX: windows_updates: now handles situations with forced reboot and no limits correctly
    * 0605 FIX: enterasys_cpu_util enterasys_lsnat: syntax fixes
    * 0889 FIX: logwatch: fix case where rule wouldn't be applied...
    * 0882 FIX: check_bi_local.py: fix crash in case of non-ascii characters...
    * 0606 FIX: apache_status: now also sends an accept header to make it work with mod_security enables servers
    * 0832 FIX: solaris_mem: fixed invalid calculation of total swap...
    * 0810 FIX: fritz.link: Not inventorizing "unconfigured" interfaces anymore
    * 0154 FIX: zfsget: Fixed inventory of filesystems
    * 0155 FIX: mssql_counters: harded check agains odd agent output
    * 0907 FIX: windows agent: register_service: fixed ImagePath registry entry...
    * 0608 FIX: oracle_asm_diskgroup: check now also handles older oracle version 11.1.0
    * 0157 FIX: apc_symmetra_test: Fixed case of unkown last test date
    * 0910 FIX: brocade.power: fixed an error where the check reports an UNKNOWN on power supply failure...
    * 0158 FIX: dell_om_disks: Handle hotspares more correctly
    * 0161 FIX: cisco_fru_power: Exluded not existing devices from the inventory
    * 0969 FIX: blade_health: correctly output error message in non-OK state
    * 0611 FIX: nfsexports.solaris: fix in determination of path prefix
    * 0953 FIX: brocade_mlx_temp: special treatment for devices sometimes not delivering temperature by SNMP
    * 0958 FIX: df.include: failed for checks with grouping patterns...
    * 0924 FIX: windows agent: now able to execute python scripts again
    * 0614 FIX: cmciii.temp, cmciii.humidity: fixed bugs to get performance data back
    * 0932 FIX: prediction: fixed bug where predicted levels were not recalculated

    Multisite:
    * 0779 Hostgroups (Summary): Empty hostgroups are no longer shown (can be re-enabled by filter)
    * 0887 Add new column painter "Host Notifications Enabled"...
    * 0963 New snapin with virtual host trees...
    * 0914 Improved transaction handling to speedup the Web-GUI...
    * 0905 FIX: Multisite context buttons: links in context buttons are no longer called twice...
    * 0906 FIX: Improved transaction handling in Web GUI...
    * 0909 FIX: Table checkboxes: Fixed bug where selected checkboxes got ignored...
    * 0811 FIX: Fixed handling of exceptions occuring before login in debug mode
    * 0912 FIX: Multisite Views: Fixed bug where custom views could not get deleted
    * 0921 FIX: dashboards: fixed bug not updating header timestamp...
    * 0923 FIX: json export: fixed bug not stripping html tags from output
    * 0931 FIX: pnp-template ps.perf: fixed display bug of cpu averaging

    WATO:
    * 0784 Improved security of WATO bulk inventory by using transaction ids
    * 0880 Added support for 389 Directory Server to LDAP connector
    * 0607 online help text for host creation in WATO now also explains hostname caching
    * 0908 Check event state: New option "Less Verbose Output"...
    * 0965 Cumulative permissions and contact groups for WATO folders...
    * 0973 Renaming of hosts via WATO...
    * 0976 Show preview of active and custom checks in WATO services table...
    * 0930 WATO snapshots: disabled upload of legacy snaphots and snapshots with invalid checksums...
    * 0781 FIX: host diag page: fixed problem with update of diagnose subwindows...
    * 0904 FIX: Fixed exception in host parameter overview...
    * 0971 FIX: Fix missing authentication of PHP addons in D-WATO when activation mode is reload...
    * 0972 FIX: Do not loose site specific global settings anymore when chaning a site's configuration...
    * 0933 FIX: WATO snapshots: excluded some superfluous files from nagvis backup domaim...

    Notifications:
    * 0754 Allow users to disable their notifications completely...
    * 0755 Added variables LASTHOSTUP_REL and LASTSERVICEOK_REL to notification context...
    * 0883 Added Date / Time to HTML notification email
    * 0900 notify_multitech.py: new treasures script for notifying via MultiTech SMS Gateway...
    * 0968 Notification scripts are now configurable via WATO...
    * 0974 New notification plugin for ASCII emails...
    * 0752 FIX: FIX: compute correct state transitions for notifications...
    * 0753 FIX: FIX: correctly show original state in HTML notification mails...
    * 0609 FIX: mail notification script now uses 6 digit hex codes for colors to be better compatible with web based mail browsers
    * 0964 FIX: Fix hanging shutdown of CMC on RedHat 5.X...
    * 0918 FIX: notification: fixed exception when sending notifications as sms / ascii mail...

    Reporting & Availability:
    * 0756 Allow availability of multisite BI aggregates at once...
    * 0966 CSV export for availability works now also for BI aggregates
    * 0967 BI Availability timewarp: new buttons for moving back and forth
    * 0962 FIX: Fix CSV-Export in availability table
    * 0890 FIX: Fix availability computation for hosts...
    * 0891 FIX: Fix HTML encoding of tootip in inline timeline of availability

    Event Console:
    * 0885 New option for writing all messages into a syslog-like logfile...
    * 0902 FIX: event console view: fixed exception on rendering host tags for unknown hosts...

    Livestatus:
    * 0747 FIX: livestatus table hostsbygroup: fixed bug with group_authorization strict...
    * 0831 FIX: table statehist: no longer crashes on TIMEPERIOD TRANSITION entries with an invalid syntax...

    Livestatus-Proxy:
    * 0970 FIX: liveproxyd: handle situations with more then 1024 open files...
    * 0613 FIX: liveproxyd: fewer log messages in case a site is unreachable

    HW/SW-Inventory:
    * 0913 lnx_distro: Now able to detect SuSE distributions...
    * 0610 mk_inventory: windows inventory check now included, install date added to data
    * 0886 FIX: Fix exception on non-UTF-8 encoded characters in software list
    * 0922 FIX: dmidecode: fixed exceptions on missing/unknown data


1.2.5i2:
    Checks & Agents:
    * 0147 enterasys_fans: New Check to monitor fans of enterasys swichtes
    * 0773 ibm_svc_system: new check for System Info of IBM SVC / V7000 devices
    * 0774 ibm_svc_nodestats.diskio: new check for disk troughput per node on IBM SVC / V7000 devices
    * 0775 ibm_svc_systemstats.diskio: new check for disk throughput in IBM SVC / V7000 devices in total
    * 0764 lnx_quota: Added new check to monitor Linux File System Quota...
    * 0776 ibm_svc_nodestats.cpu_util: new check for CPU Utilization per Node on IBM SVC / V7000 devices
    * 0600 nfsexports.solaris: new agent plugin for monitoring nfs exports on solaris systems...
    * 0743 mem, fortigate_memory, solaris_mem: display total SWAP info in check output
    * 0745 drbd: Roles and diskstates are now configurable via WATO...
    * 0740 FIX: winperf_if: now able to handle bandwidth > 4GBit...

    Multisite:
    * 0765 NagVis-Maps-Snapin: Now visualizes downtime / acknowledgment states of maps...
    * 0766 FIX: Changed transid implemtation to work as CSRF protection (Fixes CVE-2014-2330)...

    WATO:
    * 0767 FIX: Signing and verification of WATO snapshot (addresses CVE-2014-2330)...

    BI:
    * 0741 FIX: BI editor: fixed display bug in "Create nodes based on a service search"...

    Livestatus:
    * 0742 FIX: table statehist: now able to cancel a running query if limit is reached...


1.2.5i1:
    Core & Setup:
    * 0386 Added all active checks to check_mk -L output...
    * 0452 Speedup generation of configuration...
    * 0124 Support multiline plugin output for Check_MK Checks...
    * 0675 Activate inline SNMP per default (if available)...
    * 0695 Remove obsolete option -u, --cleanup-autochecks...
            NOTE: Please refer to the migration notes!
    * 0087 FIX: Fixed possible locking issue when using datasource program with long output...
    * 0313 FIX: Avoid duplicate reading of configuration file on --create-rrd...
    * 0379 FIX: check_mk -c: Now also rewrites the location of conf.d directory
    * 0354 FIX: Catch exception when check plugins do not return a state...
    * 0398 FIX: Tolerate debug output in check plugins when using CMC...
    * 0314 FIX: Fix CMC not executing any Check_MK checks after config reload...
    * 0401 FIX: Fix rule precedence in WATO-configured manual checks...
    * 0402 FIX: Fix exception in case of missing agent sections of cluster-aware checks...
    * 0426 FIX: Fixed processing of cached agent plugins / local scripts...
    * 0451 FIX: Ignore missing check types when creating configuration for Nagios
    * 0259 FIX: Fixed htpasswd permission problem in check_mk standalone installation...
    * 0453 FIX: Fix ugly Python exception in host diagnosis page in case of SNMP error...
    * 0696 FIX: Remove garbled output of cmk -v in state of CMC
    * 0682 FIX: Allow overriding of active and custom checks by more specific rule...
    * 0267 FIX: Fixed auth.serials permission problem in check_mk standalone installation...
    * 0282 FIX: TIMEPERIOD TRANSITION messages no longer cut at 64 bytes...
    * 0730 FIX: cmc: fixed bug displaying logentries after a logfile rotation...
    * 0140 FIX: Fixed unwanted handling of hostname as regex...
    * 0739 FIX: Availablity: Prevent crash if the notification period is missing...

    Checks & Agents:
    * 0306 esx_vsphere_counters: added missing ramdisk levels sfcbtickets
    * 0073 moxa_iologik_register: new check to monitor moxa e2000 series registers
    * 0105 apc_humidity: New Check for humidity levels on APC Devices
    * 0106 3ware_units: The verifying state is now handled as ok...
    * 0086 timemachine: new check checking the age of latest backup by timemachine on MAC OS
    * 0074 raritan_pdu_plugs: new check for Raritan PX-2000 family PDUs...
    * 0107 stulz_alerts, stulz_powerstate, stulz_temp, stulz_humidity: New Checks for Stulz clima devices
    * 0075 raritan_pdu_inlet: new check to monitor inlet sensors of the Raritan PX-2000 PDUs
    * 0315 hitachi_hnas_quorumdevice, hitachi_hnas_pnode, hitachi_hnas_vnode: New checks for Hitachi HNAS devices
    * 0316 hitachi_hnas_cpu: New check for CPU utilization of Hitachi HNAS devices
    * 0373 wut_webtherm: Supporting several other devices now
    * 0377 check_http: Certificate Age mode now supports SNI...
    * 0317 emc_isilon: New checks for EMC Isilon Storage System
    * 0395 cmctc.temp: also detect older CMC devices
    * 0396 cmciii_access cmciii_io cmciii_psm_current cmciii_psm_plugs: Support other firmeware versions as well...
    * 0111 kemp_loadmaster_ha, kemp_loadmaster_realserver, kemp_loadmaster_services: New Checks for Kemp Loadbalancer
    * 0318 hitachi_hnas_fan: New check for fans in Hitachi HNAS systems
    * 0319 hitachi_hnas_psu, hitachi_hnas_psu: New checks for Hitachi HNAS storage systems
    * 0320 hitachi_hnas_fpga: new check for Hitachi HNAS storage systems
    * 0321 brocade_mlx: enhancing checks (BR-MLX modules, more OK states)...
    * 0323 emcvnx_hwstatus, emcvnx_hba, emcvnx_disks: new checks for EMC VNX storage systems
    * 0254 agent_vsphere: Make handling of spaces in hostnames of ESX configurable...
    * 0077 cmciii.psm_current, cmciii_psm_plugs, cmciii_io, cmciii.access, cmciii.temp, cmciii.can_current, cmciii.sensor, cmciii.state: new sub checks included in one new check cmcmiii superseding and improving several previous checks of the Rittal CMCIII device...
            NOTE: Please refer to the migration notes!
    * 0078 job: check now monitors the time since last start of the job, limits can be configured in WATO
    * 0079 f5_bigip_conns: new check to monitor number of current connections
    * 0324 hitachi_hnas_cifs: new check for the number of users using a CIFS share
    * 0455 hitachi_hnas_span: new check for Spans (Storage Pools) in Hitachi HNAS storage systems
    * 0445 mem.win: Allow time-averaging of values before applying levels...
    * 0446 mem.used, solaris_mem: Introduce optional averaging of used memory...
    * 0566 services.summary: new check to monitor stopped services of mode autostart in windows
    * 0568 f5_big_ip_conns: check now supports predictive monitoring and both connections types are merged in one check
    * 0257 windows_agent: now reports extended process information (obsoletes psperf.bat plugin)...
    * 0457 hitachi_hnas_volume: New check for Usage and Status of Volumes in Hitachi HNAS storage systems
    * 0450 mem.used: Add information about shared memory (on Linux hosts)
    * 0458 hitachi_hnas_fc_if: New check for FibreChannel Interfaces in Hitachi HNAS storage systems
    * 0459 emcvnx_info: New info check providing Model, Revision and Serial Number of EMC VNX storage systems
    * 0461 emcvnx_raidgroups.list_luns: New check for EMC VNX storage system...
    * 0462 emcvnx_raidgroups.list_disks: New check for EMC VNX storage system...
    * 0463 emcvnx_raidgroups.capacity, emcvnx_raidgroups.capacity_contiguous: New Checks for EMC VNX Storage systems...
    * 0570 fileinfo.groups: file groups now allow exclude patterns as well
    * 0464 stulz_pump: new check for the status of pumps of Stulz clima units
    * 0125 unitrends_backup:Unitrends Backup...
    * 0126 mikrotik_signal: Check for mikrotik wifi bridges
    * 0127 hp_proliant_raid: Check for proliant RAID status.
    * 0571 cmciii_lcp_fans: now monitors the lower limit for the rpm
    * 0572 cmciii_lcp_waterflow: lower and upper limits to the flow are now monitored
    * 0573 cmciii_lcp_airin, cmciii_lcp_airout, cmciii_lcp_waterin, cmciii_lcp_waterout: checks now observe limits to the temperatures
    * 0128 unitrends_replication: Check for monitoring  Replicaion staus on Unitrend systems
    * 0265 mpre_include: run additional mrpe configs within user context...
    * 0266 windows_agent: now supports mrpe include files...
    * 0574 if64: check now supports clustering...
    * 0576 fileinfo.groups: new feature to include current date in file pattern
    * 0130 Support of new Firmware version of various Fujitsu Sotarge Systems
    * 0698 emc_isilon.nodehealth: new check for EMC Isilon Storage systems: NodeHealth
    * 0699 emc_isilon_iops: New check for Disk Operations per Second (IOPS) in EMC Isilon Storage
    * 0132 New checks fjdarye101_disks fjdarye101_rluns: Fujitsu Storage Systems with 2013 Firmware
    * 0697 check_dns: allow to specify multiple expected answers
    * 0700 arcserve_backup: new check for status of backups in an Arcserve Backup Server
    * 0580 emc_datadomain_fans, emc_datadomain_nvbat, emc_datadomain_power, emc_datadomain_temps: new hardware checks for EMC Datadomain
    * 0691 Solaris agent: include lofs in list of monitored filesystem types
    * 0694 wut_webtherm: Support new versions of WUT-Thermometer...
    * 0135 apc_inputs: New Check for APC Input Contacts
    * 0701 emc_isilon_diskstatus: new check for Status of Disks in EMC Isilon Storage Systems
    * 0581 emc_datadomain_disks emc_datadomain_fs:  new checks to monitor disks and filesystems of EMC Datadomain
    * 0718 logwatch.ec: Optionally monitor the list of forwarded logfiles...
    * 0556 esx_vsphere_counters.diskio: now also shows disk latency
    * 0583 stulz_pump: now monitors the pumps rpm in precent of maximum and gathers performance data
    * 0560 check_mk_agent.solaris: report statgrab_mem section if solaris_mem section is missing...
    * 0702 Rule for checking agents for wanted version...
    * 0586 rmon_stats: new snmp check to gather network traffic statistics on RMON enabled network interfaces
    * 0704 windows_os_bonding: new check for bonding interfaces on windows...
    * 0562 esx_vsphere_vm.guest_tools: new check to monitor guest tools status...
    * 0674 brocade_fcport: Now supporting interface speed of 16 Gbit (just discovered in the wild)
    * 0138 Removed caching function in Windows Update agent plugin...
            NOTE: Please refer to the migration notes!
    * 0564 esx_vsphere_vm.datastores: displays the datastores of the VM...
    * 0731 mk_postgres: improved support for versions postgres < 9.2...
    * 0588 dell_poweredge_amperage.current, dell_poweredge_amperage.power, dell_poweredge_cpu, dell_poweredge_status, dell_poweredge_temp: new checks for the Dell PowerEdge Blade Server
    * 0589 brocade_tm: new check monitoring traffic manager statistics for interfaces of brocade devices
    * 0591 dell_poweredge_mem: new check to monitor memory modules of Dell PowerEdge Servers
    * 0592 dell_poweredge_pci: new check for pci devices on dell PowerEdge Servers
    * 0141 ups_socomec_capacity: Battery Capacity Check for Socomec UPS Devices.
    * 0705 arcserve_backup: improved documentation (check manpage and comments in the agent plugin)
    * 0143 ups_socomec_in_voltage, ups_socomec_out_voltage: Socomec UPS Devices, Input and Output Voltages...
    * 0732 df: now able to monitor inodes...
    * 0716 Add Linux caching agent also to normal agent RPM...
    * 0594 dell_poweredge_netdev: new check to monitor the status of network devices on Dells Poweredge Servers
    * 0733 mem, solaris_mem: now able to configure amount of free memory...
    * 0706 EMC VNX: special agent can alternatively authenticate via security files...
    * 0734 esx_vsphere_vm.running_on: shows the esx host of the VM
    * 0144 enterasys_cpu_util enterasys_powersupply: New Checks for CPU Utilization and Power Supplies on enterasys switches
    * 0595 dell_chassis_power, dell_chassis_powersupplies: new checks for Dell Poweredge Chassis Ppower consumption...
    * 0596 dell_chassis_status, dell_chassis_temp, dell_chassis_kvm, dell_chassis_io, dell_chassis_fans: new checks to monitor the overall status of various sections of the Dell Poweredge Chassis via CMC
    * 0597 dell_chassis_slots: new check to monitor the status of the blade slots of the Dell Poweredge Blade Servers
    * 0145 apc_symmetra: Changed naming of Batterie Temperature to System Temerature...
            NOTE: Please refer to the migration notes!
    * 0146 innovaphone_priports_l1, innovaphone_priports_l2: New Checks for Innovaphone PRI Ports
    * 0707 ibm_svc_host: New check: Status of hosts an IBM SVC / V7000 presents volumes to
    * 0598 kentix_temp, kentix_humidity: new checks for Kentix MultiSensor-Rack
    * 0768 ibm_svc_license: New check for Licensing Status on IBM SVC / V7000 devices
    * 0778 New Special Agent for innovaphone gateways...
    * 0769 juniper_trpz_cpu_util, juniper_trpz_flash, juniper_trpz_info, juniper_trpz_power: new Checks for juniper trapeze switches
    * 0770 innovaphone_licenses: New check to monitor licenses on innovaphone devices"
    * 0771 juniper_trpz_aps: Show the number of connected access points on juniper wlan controllers
    * 0772 added special agent for IBM SVC / V7000 storage systems...
    * 0147 enterasys_fans: New Check to monitor fans of enterasys swichtes
    * 0759 check_notify_count: New active check to monitor the number of notifications sent to contacts...
    * 0760 The windows agent contains meta information about version, manufacturer etc....
    * 0103 FIX: services: Fixed bug with service inventory defined in main.mk...
    * 0299 FIX: borcade_mlx_fan: Prettified output, handling "other" state now
    * 0300 FIX: cisco_fru_power: Trying not to inventorize not plugged in FRUs...
    * 0305 FIX: apache_status: Fixed exception when agent reports HTML code as apache-status data...
    * 0104 FIX: mssql: Server instances with underline in name are now supported....
    * 0240 FIX: Virtualmachine names with space no longer have missing piggyback data...
    * 0310 FIX: apache_status: Improved handling of unexpeted data sent by agents...
    * 0088 FIX: esx_vsphere_datastores: fixed error with reported capacity of 0 bytes...
    * 0243 FIX: cisco_qos: no longer crashes when the qos policy name is not set...
    * 0326 FIX: hr_fs printer_supply: Improved translation of wrong encoded chars...
    * 0059 FIX: agent_vpshere: new option for supporting ESX 4.1...
    * 0334 FIX: cisco_fantray: Fixed error on Cisco devices which do not support this check...
    * 0355 FIX: heartbeat_crm: Now handling "Failed actions:" output in agent...
    * 0357 FIX: megaraid_bbu: Fixed expected state checking...
    * 0358 FIX: df: now ignores filesystems with a reported size of '-'...
    * 0360 FIX: multipath: Inventory handles non loaded kernel module now...
    * 0339 FIX: blade_bays blade_blades blade_blowers blade_health blade_mediatray blade_powerfan blade_powermod: fix scan function...
    * 0340 FIX: blade_health: fix check, it was totally broken...
    * 0363 FIX: mysql_capacity: Did use wrong calculated warn / crit thresholds...
    * 0364 FIX: brocade_mlx*: Several cleanups, fixed bug in brocade_mlx_fan where only the first worst state was shown in output
    * 0365 FIX: RPMs: Cleaning up xinetd checkmk.rpmnew file after updating package...
    * 0366 FIX: heartbeat_crm: Agent code is now compatible to pacemaker 1.1.9...
    * 0367 FIX: Now using /dev/null instead of closing stdin in linux agent...
    * 0342 FIX: postgres_stat_database: make agent compatible with PostgreSQL 8.4.x...
    * 0343 FIX: postgres_sessions: make agent plugin compatible with PostgreSQL 9.2...
    * 0369 FIX: cups_queues: Fixed bug checking the last queue reported by agent...
    * 0370 FIX: brocade_mlx_module*: Improved output of checks
    * 0372 FIX: megaraid_ldisks: Ignoring adapters without configured logical disks...
    * 0345 FIX: Linux agent: fix detaching of background plugins...
    * 0378 FIX: agent_vsphere.pysphere: Trying to deal with permissions only on some guests/hosts
    * 0245 FIX: Inline SNMP no longer throws an exception when using SNMPv3 credentials...
    * 0380 FIX: jolokia_metrics.mem: PNP-Template now handles non existant max values...
    * 0381 FIX: win_printers: Fixed creation of duplicate services...
    * 0347 FIX: smart.stats: Remove duplicate disks...
    * 0349 FIX: winperf.cpuusage: update man page: this check is deprecated
    * 0383 FIX: solaris_mem: Is now compatible to more systems...
    * 0109 FIX: cisco_fantray: Prevent inventory for not available fans
    * 0110 FIX: cisco_fru_power:  Prevent inventory for not available FRUs
    * 0350 FIX: nfsmounts: correctly handle mount points with spaces...
    * 0387 FIX: df*: Negative filesystem space levels get a more clear text in check output...
    * 0351 FIX: local: Catch invalid state codes and map to 3 (UNKNOWN)...
    * 0397 FIX: mrpe: tolerate performance variable names with spaces...
    * 0399 FIX: check_ftp: cleanup configuration via WATO, remove Hostname field...
    * 0435 FIX: esx_vsphere_sensors: Fix garbled output in case of placeholder VMs...
    * 0251 FIX: agent_vsphere / check_mk agent: fixed outdated systemtime of check_mk agent...
    * 0439 FIX: postfix_mailq: Linux agent better detects Postfix installation...
    * 0440 FIX: heartbeat_crm: Inventory more gracefully handles case where agent output is invalid...
    * 0113 FIX: blade_blades: Now only make inventory for blades that are powered on...
    * 0441 FIX: megaraid_bbu: Fix several false alarms and cases where inventory failed
    * 0442 FIX: dell_om_disks: Treat global hot spare disks as OK, instead of WARN...
    * 0443 FIX: brocade_fcport: cope with firmware that does not provide speed information...
    * 0322 FIX: timemachine: Check now also works if there are spaces in the name of the backup volume or the hostname
    * 0253 FIX: windows agent: fixed crash on processing eventlog records...
    * 0403 FIX: mem.used: Prefer statgrab on FreeBSD for supporting more than 4GB...
    * 0404 FIX: cups_queues: fix exception in case of alternative time format...
    * 0444 FIX: timemachine: do not inventorize check when timemachine is not used
    * 0116 FIX: cisco_vpn_tunnel: Fixed typo that lead to an exception
    * 0118 FIX: stulz_humidity: Fixed coloring in pnp template...
    * 0119 FIX: stulz_humidity: Fixed lower thresholds...
    * 0565 FIX: windows_updates: fix for some cases when forced_reboot is not set
    * 0255 FIX: windows_agent: now able to handle the removal of local/plugin scripts during runtime...
    * 0447 FIX: fortigate_memory: Fix inventory, do not add check if no info available...
    * 0567 FIX: apc_symmetra: transformation from old tuple to new dict format fixed and improved
    * 0432 FIX: stulz_humidity: Fixed syntax error...
    * 0120 FIX: stulz_humidity, apc_humidity: Fixed bug while processing check params...
    * 0460 FIX: endless waiting for printer queues fixed...
    * 0260 FIX: Fixed incorrect formatting of checks with long output...
    * 0261 FIX: df_netapp32 / df_netapp: Fixed bug with negative size in check output...
    * 0262 FIX: ps: Now able to skip disabled "Process Inventory" rules...
    * 0264 FIX: printer_supply_ricoh: now reports correct filling levels...
    * 0575 FIX: cmciii_lcp_airin, cmciii_lcp_airout, cmciii_lcp_waterin, cmciii_lcp_waterout: improved handling of warning state...
    * 0272 FIX: if checks: port type 56 (fibrechannel) is no longer inventorized per default...
    * 0577 FIX: fileinfo.groups: new date pattern is now available for inventory check as well
    * 0688 FIX: winperf_msx_queues: Support output of Exchange 2013...
    * 0578 FIX: zypper: check is always registered as soon as mk_zypper plugin detects zypper tool...
    * 0689 FIX: postgres_sessions: fix empty agent section in case of 0 sessions...
    * 0579 FIX: veeam_client: fix for case when no StopTime section in agent output
    * 0692 FIX: fileinfo: Avoid duplicate entries in Solaris agent...
    * 0693 FIX: hpux_lvm: avoid problem when alternative vgdisplay is installed...
    * 0708 FIX: ntp.time, ntp: avoid DNS lookups in NTP queries and avoid timeouts...
    * 0277 FIX: solaris agent: ntp now able to work with ntpd and xntpd...
    * 0279 FIX: check_mk_agent.solaris: removed proc section from statgrab...
    * 0281 FIX: statgrab_net.ctr: only inventorize interfaces with actual traffic...
    * 0582 FIX: cisco_sys_mem: check now has a man page and a new WATO integration
    * 0667 FIX: oracle_asm_diskgroup: Now really uses the generic filesystem levels...
    * 0555 FIX: snmp_uptime: no longer fails if uptime is < 1 seconds
    * 0136 FIX: cisco_fru_power: Prevent inventory of not exsisting devices
    * 0557 FIX: check_mk_agent.solaris: removed section statgrab mem...
    * 0673 FIX: zfsget: Fixed broken check - was not compatible to current agent output of "df"
    * 0719 FIX: postfix_mailq: fix Linux agent in case of ssmtp being installed
    * 0584 FIX: agent_vsphere: special agent now handles non-standard https port correctly...
    * 0585 FIX: check_mk_agent.linux: more efficient handling of cups printer queues...
    * 0703 FIX: brocade_mlx: omit inventory of cpu and memory on more states...
    * 0137 FIX: Fixed printer_pages...
    * 0587 FIX: if64: problems resolved when running as a clustered service...
    * 0563 FIX: windows agent: now able to process perl scripts...
    * 0729 FIX: esx_vsphere_hostsystem: fixed incorrect status label (not state)...
    * 0142 FIX: winperf_if: treat unknown packets no longer as error packets
    * 0593 FIX: zypper: agent plugin and check now lead to UNKNOWN result in case of repo problems
    * 0758 FIX: check_sql: Fixed monitoring of stored procedures with oracle
    * 0599 FIX: esx_vsphere_datastores: provisioning levels in WATO are no longer limited to 101%
    * 0737 FIX: megaraid_ldisks: now able to handle "No Virtual Drive Configured" states...
    * 0763 FIX: hpux_if: Fixed exception during parsing of provided data on some systems...

    Multisite:
    * 0371 Added log class filter to hostsvcevents view
    * 0352 Avoid Livestatus connections on pages that do not need them...
    * 0390 Added an icon selector to the view editor...
    * 0391 Added sorter / filter for host/service service levels...
    * 0247 New mkp package for web applications: iNag / nagstatus / nagios status.dat...
    * 0429 Implemented role permissions for dashboards...
    * 0430 It is now possible to define custom time ranges in PNP graph search...
    * 0449 Show all custom variables of hosts and services in the detail views...
    * 0665 Added mail notificaton method to custom user notification dialog...
    * 0123 New time range filter for Downtimes and Comments...
    * 0683 New column painter for the last time a service was OK...
    * 0561 quicksearch: now able to search with multiple filters...
    * 0748 Also custom views now have permissions...
    * 0302 FIX: Fixed highlight of choosen elements in foldertee/views snapin in Chrome/IE
    * 0239 FIX: Fixed incorrect html formatting when displaying host or service comments...
    * 0307 FIX: Increased performance of multisite GUI with a large userbase...
    * 0312 FIX: Hiding views related to not existing datasources, like the EC now...
    * 0325 FIX: Removed CSV export icon from availability views...
    * 0327 FIX: Most forms did now work with "Profile Requests" enabled...
    * 0333 FIX: Fixed too long page title during performing several actions...
    * 0356 FIX: Fixed exception caused by utf8 chars in tooltip text...
    * 0368 FIX: Generating selection id is hopefully now compatible to more systems...
    * 0374 FIX: Fixed syntax error in exception handler of LDAP search code...
    * 0375 FIX: LDAP: Now handling user-ids with umlauts...
    * 0246 FIX: brocade_fcport: fixed error in pnp-template...
    * 0393 FIX: LDAP: Enabled paged LDAP search by default now with a page size of 1000...
    * 0394 FIX: LDAP: Auth expiration plugin now checks users for being disabled (in AD)...
    * 0436 FIX: Fix broken Site status switching via sidebar snapin...
    * 0420 FIX: LDAP: Roles/Groups are now synced even if case of DNs do not match...
    * 0421 FIX: UserDB: Fixed lost passwords when changing users in large user databases...
    * 0423 FIX: Users are not logged out anymore during changing their own passwords...
    * 0424 FIX: Improved error handling in case of incorrect auth config in distributed WATO environments
    * 0425 FIX: Fix login loop bug in distributed environments with different auth secrets
    * 0117 FIX: Availability button is now visible for users without the right to edit views
    * 0431 FIX: LDAP: Fixed group syncrhonisation when nested group sync is enabled
    * 0122 FIX: Multisite view editor not longer throwing a exception when loading views from other users
    * 0569 FIX: recurring updates of serial numbers of disabled ldap users fixed...
    * 0676 FIX: Move view "Stale services" to Problems folder
    * 0270 FIX: Multisite host tag filter: Now uses exact match...
    * 0273 FIX: Fixed exceptions when modifying / cloning views...
    * 0274 FIX: Fixed exception when view title or description was missing
    * 0278 FIX: Fixed bookmark icon images for non-english user languages...
    * 0670 FIX: LDAP: Fixed sync when non lower case attributes are configured...
    * 0671 FIX: LDAP: Disable logging of password changes received from LDAP
    * 0558 FIX: availability: fixed exception on specific filter settings...
    * 0712 FIX: Fix multiple groups with same tag when grouping hosts after a tag...
    * 0738 FIX: csv_export: now able to handle umlauts in download filenames...
    * 0762 FIX: Fixed availability filters not opening in IE7

    WATO:
    * 0308 Multisite can now set rotation view permissions for NagVis...
    * 0329 Removed Distributed WATO peer mode...
            NOTE: Please refer to the migration notes!
    * 0244 New features for WATO page Backup & Restore...
    * 0382 Active HTTP check now supports multiline regexp matching...
    * 0112 Explicit mapping of clustered services can now be done with WATO...
    * 0437 Convert WATO rule for debug_log into simple Checkbox...
    * 0428 Changed user profiles (e.g. pw changes) are now replicated in distributed setups...
    * 0114 User Custom Attributes can now be exported to the core...
    * 0448 New button in WATO service list for displaying check parameters...
    * 0454 Add output of traceroute to host diagnostic page
    * 0677 Make title of tags and tag groups localizable...
    * 0685 Distributed WATO now disabled WATO on slave sites per default...
    * 0687 New summary pages with all settings of a host or service...
    * 0275 WATO "Notify Users" feature: Improved confirmation info...
    * 0134 New option to use expect string in response heads for check_http in wato...
    * 0717 Sort permissions of views, dashboards, commands and snapins alphabetically
    * 0761 New bulk host import mode in WATO...
    * 0057 FIX: Fix exception in WATO host editor on custom tag without topic...
    * 0241 FIX: Improved sorting of WATO folders in dropdown menu...
    * 0019 FIX: Fixed wording in WATO rule for MSSQL check
    * 0242 FIX: Parameters for clustered services can now be configured on the cluster host...
    * 0309 FIX: Trying to prevent read/write conflicts with a large user base...
    * 0311 FIX: Fixed "Inventory failed" message when trying an inventory on clusters via WATO...
    * 0330 FIX: Improved performance of WATO slave push with a large user base...
    * 0331 FIX: LDAP diagnostic LOG can now have the $OMD_SITE$ macro configured via WATO...
    * 0332 FIX: Own host tag groups without topics resulted in two groups "Host tags" in the rule editor
    * 0361 FIX: The page linked by "new rule" can now be bookmarked again
    * 0341 FIX: Avoid rare exception in WATO when deleting a host...
    * 0376 FIX: LDAP: Default configuration of attributes is reflected within WATO now
    * 0346 FIX: Fix folder visibility in WATO for unpriviledged users...
    * 0385 FIX: Better error handling for invalid service regex in rule conditions...
    * 0389 FIX: Showing LDAP settings on site specific global settings page now...
    * 0400 FIX: WATO BI editor now supports percentages for count_ok...
    * 0392 FIX: LDAP: Improved error messages of LDAP configuration test...
    * 0415 FIX: LDAP: The LDAP Settings dialog is now disabled when the LDAP Connector is disabled
    * 0416 FIX: When doing user sync on user page rendering, contact group memberships are shown correctly now...
    * 0417 FIX: LDAP: Fixed "Sync-Plugin: Roles" test with OpenLDAP
    * 0248 FIX: Backup & Restore: Snapshot comments now support unicode character...
    * 0418 FIX: LDAP: Fixed broken role sync plugin with OpenLDAP...
    * 0419 FIX: LDAP: The default user profile roles are only assigned to users without roles...
    * 0249 FIX: Backup & Restore: fixed bug when uploading legacy snapshots...
    * 0250 FIX: Fixed error on creating very large WATO snapshots...
    * 0422 FIX: Fixed numbers shown in log entries of bulk inventory...
    * 0252 FIX: ESX vSphere configuration: Fixed non-working configuration parameters...
    * 0456 FIX: Column was too short...
    * 0256 FIX: wato snapshots: snapshot restore no longer fails with older python versions...
    * 0433 FIX: Creating WATO lock during automations (like e.g. master to slave syncs)...
    * 0434 FIX: Fixed wrong count of failed hosts in bulk inventory mode...
    * 0678 FIX: Move two last global settings of Event Console to proper places
    * 0268 FIX: wato inventory: fixed missing services...
    * 0686 FIX: Fix replication with WATO if EC is enabled on master and disabled on slave
    * 0129 FIX: Fixed permission bug in "Edit user profile" dialog....
    * 0269 FIX: brocade_fcport: fixed problem on displaying check_parameters in WATO...
    * 0271 FIX: Fixed sorting in duallist element (two lists with interchangable elements)...
    * 0131 FIX: Error rates for network interfaces can now be set smaller then 0.1 when using Wato....
    * 0690 FIX: Fix language jumping to German when saving user profiles
    * 0666 FIX: Minimum port for the mknotifyd is now 1024 (never use well known ports)...
    * 0559 FIX: WATO snapshots: improved validation of (uploaded) snapshots...
    * 0709 FIX: Fix NoneType has not attribute userdb_automatic_sync bug in D-WATO
    * 0728 FIX: mem.win: fixed bug in WATO configuration rule...
    * 0139 FIX: ldap sync: syncing if rules against ldap is not longer case sensitiv
    * 0736 FIX: WATO backup and restore: improved error handling...

    Notifications:
    * 0362 sms: now searching PATH for sendsms and smssend commands...
    * 0684 New notification variables NOTIFY_LASTSERVICEOK and NOTIFY_LASTHOSTUP...
    * 0711 New rules based notifications...
    * 0713 New bulk notifications...
    * 0108 FIX: Prevent service notification on host alerts...
    * 0058 FIX: Fix email notifications containing non-ASCII characters in some situtations...
    * 0133 FIX: Fixed mkeventd notification plugin...
    * 0720 FIX: Fix timeperiod computation with CMC and flexible notifications...

    BI:
    * 0721 Use hard states in BI aggregates...
    * 0714 BI aggregations now also honor scheduled downtimes...
    * 0715 BI aggregates now acknowledgement information...
    * 0669 FIX: Fixed regex matching in BI when using character groups [...]...

    Reporting & Availability:
    * 0018 New option for displaying a legend for the colors used in the timeline...
    * 0405 Add CSV export to availability views...
    * 0338 FIX: Introduce time limit on availability queries...
    * 0681 FIX: Display correct year for availability range for last month in january
    * 0750 FIX: Availability: fix exception when summary is on and some elements have never been OK

    Event Console:
    * 0301 Handling messages of special syslog format correctly...
    * 0388 Moved Event Console related settings to own settings page...
    * 0710 Create a history entry for events that failed their target count...
    * 0749 Allow to restrict visibility of events by their host contacts...
    * 0303 FIX: Old log entries were shown in event history first...
    * 0304 FIX: Escaping several unwanted chars from incoming log messages...
    * 0089 FIX: CSV export of event console was broken...
    * 0359 FIX: Fixed exception in event simulator when one match group did not match
    * 0384 FIX: Trying to prevent problem when restarting mkeventd...
    * 0427 FIX: Fixed exception when handling connections from event unix socket...
    * 0679 FIX: Allow non-Ascii characters in generated events
    * 0680 FIX: Do not allow spaces in host names in event simulator...
    * 0672 FIX: Service item of "Check event state in event console" checks can now be configured...
    * 0590 FIX: mkeventd: fixed encoding of unicode characters in the snmptrap receiver...

    Livestatus:
    * 0337 New header for limiting the execution time of a query...
    * 0276 nagios4 livestatus support...
    * 0335 FIX: Parse state of downtime notification log entries correctly...
    * 0336 FIX: Limit the number of lines read from a single logfile...
    * 0344 FIX: Fix semantics of columns num_services_hard_*...

    Livestatus-Proxy:
    * 0263 FIX: livestatus log table: fixed missing logentries of archived logfiles...


1.2.3i7:
    Core & Setup:
    * 0011 Introduce optional lower limit for predicted levels...
    * 0217 FIX: More verbose error output for SNMP errors on the command line...
    * 0288 FIX: Error messages of datasource programs (e.g. VSphere Agent) are now visible within WATO...
    * 0010 FIX: Fix computation of hour-of-the-day and day-of-month prediction...
    * 0292 FIX: Inline SNMP: Check_MK check helpers are closing UDP sockets now...

    Checks & Agents:
    * 0060 cisco_fantray: new check for monitoring fan trays of Cisco Nexus switches
    * 0061 cisco_cpu: check now recognizes new object cpmCPUTotal5minRev...
    * 0063 veeam_client: new check to monitor status of veeam clients with special agent plugin...
    * 0064 veeam_jobs: new check to monitor the backup jobs of the veeam backup tool...
    * 0047 fritz.conn fritz.config fritz.uptime fritz.wan_if fritz.link: New checks for monitoring Fritz!Box devices...
    * 0027 esx_vsphere_sensors: it is now possible override the state of sensors...
    * 0090 apc_ats_status: New Check for monitoring APC Automatic Transfer Switches
    * 0080 Added new checks for Brocade NetIron MLX switching / routing devices...
    * 0091 apc_ats_output: new check for output measurements on APC ATS devices
    * 0068 check_sql: support for mssql databases included
    * 0208 fileinfo.groups: Added minimum/maximum file size parameters...
    * 0093 check_http: Default service description prefix can be avoided...
    * 0004 df: dynamic filesystem levels now reorder levels automatically...
    * 0069 veeam_client: limits for time since last backup introduced
    * 0214 Logwatch: context lines can now be disabled using nocontext=1...
    * 0038 casa_cpu_mem casa_cpu_temp casa_cpu_util casa_fan casa_power: New checks for casa Cable Modem Termination Systems...
    * 0097 arc_raid_status: New check for Areca RAID controllers
    * 0070 cmciii_lcp_airin cmciii_lcp_airout cmciii_lcp_fans cmciii_lcp_waterflow cmciii_lcp_waterin cmciii_lcp_waterout: new checks for the Rittal CMC-III LCP device
    * 0098 apc_inrow_airflow, apc_inrow_fanspeed, apc_inrow_temp: New checks for APC inrow devices
    * 0099 apc_mod_pdu_modules: New check for APC Modular Power Distribution Unit
    * 0072 cmciii_pu_access cmciii_pu_canbus cmciii_pu_io cmciii_pu_temp: New checks for the Rittal CMC-III PU Unit
    * 0100 juniper_cpu: New check for CPU utilization on Juniper switches
    * 0236 windows_agent: each script can now be configured to run sync / async...
    * 0101 liebert_chiller_status: New check for Liebert Chiller devices
    * 0083 brocade_mlx: Temperature sensors of one module now in one common check...
    * 0008 df: Solaris agent now also supports samfs
    * 0084 brocade_mlx: single checks now instead of sub checks...
    * 0291 winperf_ts_sessions: New check to monitor Microsoft Terminal Server sessions...
    * 0102 modbus_value: New check and Agent to modbus devices...
    * 0013 Solaris Agent: implement cached async plugins and local checks...
    * 0238 vsphere monitoring: new option to skip placeholder vms in agent output...
    * 0016 Linux+Windows agent: allow spooling plugin outputs via files...
    * 0017 local: New state type P for state computation based on perfdata...
    * 0085 brocade_mlx: now handles more different module states...
    * 0024 FIX: cisco_wlc: removed check configuration parameter ap_model...
    * 0003 FIX: ps: Remove exceeding [ and ] in service description when using process inventory...
    * 0037 FIX: checkman browser (cmk -m) was not working properly in network subtree...
    * 0283 FIX: Interface Checks: ignore invalid error counts while interface is down...
    * 0081 FIX: Fixed corruption in SNMP walks created with cmk --snmpwalk...
    * 0286 FIX: esx_vsphrere_counters.ramdisk: Better handling for non existant ramdisks...
    * 0290 FIX: winperf_processor mem.win: Handling no/empty agent responses correctly now...
    * 0293 FIX: esx_vsphere_counters_ramdisk_sizes: Handles ram disk "ibmscratch" by default now
    * 0012 FIX: Solaris Agent: fixed broken fileinfo section...
    * 0297 FIX: mk-job is now also usable on CentOS 5+...
    * 0298 FIX: win_dhcp_pools: Fixed wrong percentage calculation
    * 0237 FIX: tsm_sessions: fixed invalid check output during backups...

    Multisite:
    * 0001 New filters for selecting several host/service-groups at once...
    * 0050 New concept of favorite hosts and services plus matching filters and views...
    * 0211 GUI Notify: Added notify method "popup" to really create popup windows...
    * 0215 Added option to make HTML escape in plugin outputs configurable...
    * 0071 livedump: new option to include contact_groups instead of contacts when dumping configuration
    * 0043 FIX: LDAP: Improved error reporting during synchronisation...
    * 0044 FIX: LDAP: Fixed error with empty groups during non nested group sync...
    * 0045 FIX: LDAP: Fixed error when synchronizing non nested groups to roles...
    * 0046 FIX: Fixed editing contactgroup assignments of hosts or folders with "-" in names...
    * 0049 FIX: Fixed useless I/O during page processing...
    * 0203 FIX: Changed sidebar reload interval to be more random...
    * 0204 FIX: Reduced I/O on logins with access time recording or failed login counts...
    * 0206 FIX: Fixed logwatch permission check when using liveproxy for normal users...
    * 0210 FIX: LDAP: Fixed problem syncing contactgroups of a user with umlauts in CN
    * 0035 FIX: Convert HTTP(S) links in plugin output into clickable icon...
    * 0006 FIX: Checkboxes for hosts/services were missing on modified views...
    * 0284 FIX: Context help toggled on/off randomly...
    * 0285 FIX: Fixed bookmarking of absolute URLs or PNP/NagVis URLs in sidebar snapin...
    * 0296 FIX: Fixed moving of snapins while in scrolled sidebar...

    WATO:
    * 0053 New rule for configuring the display_name of a service...
    * 0216 Supporting float values as SNMP timeout value now...
    * 0082 Improved online help for LDAP connections...
    * 0009 Automatically schedule inventory check after service config change...
    * 0294 Added "services" button to host diagnose page
    * 0048 FIX: Tests on host diagnose page are executed parallel now...
    * 0033 FIX: Fixed problem when saving settings in WATOs host diagnostic page...
    * 0205 FIX: NagVis related permissions of roles can be edited again...
    * 0207 FIX: Explicit communities were not saved in all cases...
    * 0094 FIX: Hide SNMPv3 credentials in WATO...
    * 0212 FIX: Fixed broken site edit page in case a TCP socket has been configured...
    * 0095 FIX: Fixed problem with portnumber in Wato Distributed Monitoring dialog
    * 0213 FIX: LDAP: Various small improvements for handling the LDAP user connector...
    * 0039 FIX: Fixed exception on displaying WATO helptexts in the global settings...
    * 0219 FIX: Fixed display problems in WATO folders with long contact group names
    * 0220 FIX: Added HTML escaping to several global settings attributes...
    * 0234 FIX: Improved handling of interface inventory states / types...
    * 0289 FIX: Renamed "Hosts & Folders" page to "Hosts"
    * 0295 FIX: Fixed problem with new created tag groups with "/" in title...

    Notifications:
    * 0005 Added notification script for sending SMS via mobilant.com...
    * 0032 FIX: Fixed problem when forwarding notification mails in windows...
    * 0218 FIX: Fixed rendering of HTML mails for Outlook (at least 2013)...

    BI:
    * 0287 FIX: Fixed assuming states of services with backslashes in descriptions...

    Reporting & Availability:
    * 0051 Option for showing timeline directly in availability table...
    * 0052 Visual colorization of availability according to levels...
    * 0054 New labelling options for availability table...
    * 0055 Allow grouping by host, host group or service group...
    * 0056 New concept of service periods in availability reporting...
    * 0002 You can now annotate events in the availability reporting...
    * 0014 FIX: Fix styling of tables: always use complete width...
    * 0015 FIX: Fixed summary computation in availability when grouping is used...

    Event Console:
    * 0026 FIX: snmptd_mkevent.py: fixed crash on startup
    * 0036 FIX: Fixed bug where multsite commands did not work properly...

    Livestatus:
    * 0067 livedump: new option to mark the mode at the beginning of the dump and documentation fixes...
    * 0023 FIX: Fixed incorrect starttime of table statehist entries...
    * 0034 FIX: Availability no longer showes incorrect entries when only one logfile exists...
    * 0233 FIX: Fixed missing entries in log file and availability view...


1.2.3i6:
    Core & Setup:
    * 0041 FIX: setup.py now handles non existing wwwuser gracefully...

    Checks & Agents:
    * 0040 Add agent plugin to test local hostname resolving...
    * 0020 FIX: Inventory problem with inventory_processes parameter...

    Multisite:
    * 0000 Improved performance of LDAP sync by refactoring the group sync code

    WATO:
    * 0042 FIX: Removed debug outputs from service inventory...


1.2.3i5:
    Core:
    * Automatically remove duplicate checks when monitoring with Agent+SNMP
       at the same time. TCP based ones have precedence.
    * inventory check of SNMP devices now does scan per default (configurable)
    * FIX: inventory check now honors settings for exit code
    * FIX: avoid exception nodes of cluster have different agent type
    * FIX: continue inventory, if one check does not support it
    * FIX: fix configuration of explicit SNMP community, allow unicode
    * FIX: avoid invalid cache of 2nd and up hosts in bulk inventory
    * FIX: fixed error handling in SNMP scan, inventory check fails now
           if SNMP agent is not responding
    * FIX: Ignore snmp_check_interval cache in interactive situations (e.g.  -nv)
    * FIX: check_mk config generation: on computing the checks parameters
           there is no longer a small chance that existing rules get modified

    Event Console:
    * check_mkevents now available as C binary: check_mkevents_c
    * FIX: use default values for unset variables in actions

    Multisite:
    * Speed-O-Meter: now measure only service checks. Host checks
      are omitted, since they do not really matter and make the
      results less useful when using CMC.
    * Added host aliases filter to some views (host/service search)
    * It is now possible to enforce checkboxes in views upon view loading
      (needs to be confgured per view via the view editor)
    * Wiki Sidebar Snapin: showing navigation and quicksearch. OMD only.
    * Sidebar can now be folded. Simply click somewhere at the left 10 pixels.
    * Foldable sections now have an animated triangle icon that shows the folding state
    * Added new snapin "Folders", which interacts with the views snapin when
      both are enabled. You can use it to open views in a specific folder context
    * LDAP: Added option to make group and role sync plugin handle nested
            groups (only in Active Directory at the moment). Enabling this
	    feature might increase the sync time a lot - use only when really needed.
    * FIX: Fixed encoding problem in webservice column output
    * FIX: Fix output format python for several numeric columns
    * FIX: Fixed searching hosts by aliases/adresses
    * FIX: Remove duplicate entries from Quicksearch
    * FIX: Avoid timed browser reload after execution of exections
    * FIX: Hosttag filter now works in service related views
    * FIX: Added code to prevent injection of bogus varnames
           (This might break code which uses some uncommon chars for varnames)
    * FIX: Fixed computation of perfometer values, which did not care about
           the snmp_check_interval. Simplyfied computation of perfometer values
    * FIX: LDAP: Custom user attributes can now be synced again

    BI:
    * FIX: Fix exception when showing BI tree in reporting time warp
    * FIX: Fixed blue triangle link: would show more aggregations,
       if one name was the prefix of another

    Notifications:
    * Blacklisting for services in the felixble notification system
    * FIX: mail with graph plugin: set explicit session.save_path for php
           Fixes instances where the php command couldn't fetch any graphs

    Checks & Agents:
    * diskstat: removed (ever incorrect) latency computation for Linux
    * statgrab_load: support predictive levels, add perf-o-meter
    * ucd_cpu_load: support predictive levels
    * hpux_cpu, blade_bx_load: support predictive levels, add perf-o-meter,
       make WATO-configable
    * check_sql: Database port can now be explicitly set
    * steelhead_perrs: New check for Rivergate Gateways
    * alcatel_power: Check for power supplies on Alcatel switches
    * qnap_disks: New check for Hardisks in Qnap devices
    * Dell Open Manage: SNNP Checks for Physical Disks, CPU and Memory
    * check_tcp: Now able to set custom service description
    * Apache ActiveMQ: New Special Agent and Check to query ActiveMQ Queues
    * check_ftp: can now be configured via Wato
    * windows_tasks: New check to  monitor the Windows Task Scheduler
    * sensatronics_temp: New check for Sensatronic E4 Temperatur Sensor
    * akcp_sensor_drycontact: New Check for AKCP drycontact Sensors
    * esx_vsphere_vm.heartbeat: Heartbeat status alert level now configurable
    * ps:  new configuration option: handle_count (windows only)
    * FIX: Windows agent: gracefully handle garbled logstate.txt
    * FIX: esx_vsphere_counters: added missing ramdisk type upgradescratch
    * FIX: esx_vsphere_hostsystem: fixed bug in handling of params
    * FIX: local: tolerate invalid output lines
    * FIX: hp_proliant: Correct handling of missing snmp data
    * FIX: logwatch.ec: No longer forwards "I" lines to event console
    * FIX: check_dns: default to querying the DNS server on the localhost itself
    * FIX: ps: do not output perfdata of CPU averaging (use ps.perf for that)
    * FIX: nfsexports: also support systems with rpcbind instead of portmap
    * FIX: ups_in_freq: corrected spelling of service description
    * FIX: ups_bat_temp: renamed service description to "Temperature Battery",
           in order to make it consistent with the other temperature checks
    * FIX: hp_blade_blades: Fixed crash on inventory when receiving
           unexpected snmp data
    * FIX: apache_status: If ReqPerSec and BytesPerSec are not reported by
           the agent, no PNP graphs for them are drawn.
           (This is the case if ExtendedStatus set to Off in Apache config)
    * FIX: oracle_jobs: fixed issues with incorrect column count in check output
    * FIX: if/if64/...: layout fix in PNP template for packets


    WATO:
    * You can now have site-specific global settings when using
      distributed WATO (available in the "Distributed Monitoring")
    * bulk inventory: display percentage in progress bar
    * New option for full SNMP scan in bulk inventory
    * bulk operations now also available when checkboxes are off
    * LDAP: Added test to validate the configured role sync groups
    * LDAP: The sync hooks during activate changes can now be enabled/disabled
      by configuration (Global Settings)
    * Disabled replication type "peer" in site editor.
    * Added "permanently ignore" button to inventory services dialog which
      links directly to the disabled services view
    * Added diagnose page linked from host edit dialog. This can be used to test
      connection capabilities of hosts
    * The rule "Process inventory" now offers the same configuration options
      as its manual check equivalent "State and count of processes"
    * New configuration option handle_count (windows only) in the rules
      "Process inventory" and "State and count of processes"
    * FIX: correct display of number of hosts in bulk inventory
    * FIX: nailed down ".siteid" exception when added new site
    * FIX: fixed setting for locking mode from 'ait' to 'wait'
    * FIX: avoid removal of tags from rules when not yet acknowledged
    * FIX: avoid need for apache restart when adding new service levels
    * FIX: fix encoding problem on GIT integration

    Livestatus:
    * Removed "livecheck". It never was really stable. Nagios4 has something
      similar built in. And also the Check_MK Micro Core.
    * table statehist: no longer computes an unmonitored state for hosts and
                       services on certain instances.
                       (showed up as no hosts/services in the multisite gui)
    * table statehist: fixed SIGSEGV chance on larger queries

1.2.3i4:
    Core:
    * Create inventory check also for hosts without services, if they
          have *no* ping tag.

    WATO:
    * Bulk inventory: speed up by use of cache files and doing stuff in
          groups of e.g. 10 hosts at once
    * Multisite connection: new button for cloning a connection

    Checks & Agents:
    * Linux agent RPM: remove dependency to package "time". That package
         is just needed for the binary mk-job, which is useful but not
         neccessary.

    Multisite:
    * FIX: fix broken single-site setups due to new caching

1.2.3i3:
    Core:
    * FIX: fixed typo in core startup message "logging initial states"
    * FIX: livestatus table statehist: fixed rubbish entries whenever
           logfile instances got unloaded

    Livestatus:
    * FIX: check_mk snmp checks with a custom check interval no longer
           have an incorrect staleness value

    Notifications:
    * mkeventd: new notification plugin for forwarding notifications
       to the Event Console. See inline docu in share/check_mk/notification/mkeventd
       for documentation.
    * FIX: cleanup environment from notifications (needed for CMC)

    Checks & Agents:
    * Windows agent: increased maximum plugin output buffer size to 2MB
    * check_icmp: New WATO rule for custom PING checks
    * agent_vsphere: now able to handle < > & ' " in login credentials
    * if/if64 and friends: add 95% percentiles to graphs
    * services: inventory now also matches against display names of services
    * esx_vsphere_hostsystem.multipath: now able to set warn/crit levels
    * cpu_netapp: added Perf-O-Meter and PNP template
    * cisco_cpu: added Perf-O-Meter and PNP template
    * apc_symmetra: add input voltage to informational output
    * agent_vsphere: new debug option --tracefile
    * FIX: windows_agent: fixed bug in cleanup of open thread handles
    * FIX: cups default printer is now monitored again in linux agent
    * FIX: host notification email in html format: fixed formating error
           (typo in tag)
    * FIX: netapp_volumes: better output when volume is missing
    * FIX: winperf_phydisk: handle case where not performance counters are available
    * FIX: check_mk_agent.linux: limit Livestatus check to 3 seconds
    * FIX: esx_vsphere_vm: fixed exception when memory info for vm is missing
    * FIX: esx_vsphere_hostsystem: Fixed typo in check output
    * FIX: psperf.bat/ps: Plugin output processing no longer crashes when
           the ps service is clustered

    Multisite:
    * Filtering in views by Hostalias is possible now too
       (however the filter is not displayed in any standard view - user needs
       to enable it by customizing the needed views himself)
    * FIX: add missing service icons to view "All Services with this descr..."
    * FIX: ldap attribute plugins: fixed crash when parameters are None
    * FIX: avoid duplicate output of log message in log tables
    * FIX: fixed problem with ldap userid encoding
    * FIX: removed state-based colors from all Perf-O-Meters
    * FIX: brocade_fcport pnp-template: fixed incorrect display of average values
    * FIX: all log views are now correctly sorted from new to old

    Livestatus-Proxy:
    * Implement caching of non-status requests (together with Multisite)
    * FIX: fix exception when printing error message
    * FIX: honor wait time (now called cooling period) after failed TCP connection
    * FIX: fix hanging if client cannot accept large chunks (seen on RH6.4)

    WATO:
    * Rule "State and count of processes": New configuration options:
           virtual and resident memory levels
    * Added title of tests to LDAP diagnose table
    * Bulk inventory: new checkbox to only include hosts that have a failed
        inventory check.
    * Bulk inventory: yet another checkbox for skipping hosts where the
        Check_MK service is currently critical
    * New rule: Multipath Count (used by esx_vsphere_hostsystem.multipath)
    * FIX: The rule "State and count of processes" is no longer available
           in "Parameters for inventorized check". This rule was solely
           intented for "Manual checks" configuration
    * FIX: Trying to prevent auth.php errors while file is being updated

1.2.3i2:
    Core:
    * New option -B for just generating the configuration
    * Introduced persistent host address lookup cache to prevent issues
      loading an unchanged configuration after a single address is not resolvable anymore
    * Assigning a service to a cluster host no longer requires a reinventory
    * Setting a check_type or service to ignore no longer requires a reinventory
      Note: If the ignore rule is removed the services will reappear
    * Config creation: The ignore services rule now also applies to custom, active
                       and legacy checks
    * Predictive monitoring: correctly handle spaces in variable names (thanks
       to Karl Golland)
    * New man page browser for console (cmk -m)
    * New option explicit_snmp_communities to override rule based SNMP settings
    * Preparations for significant SNMP monitoring performance improvement
      (It's named Inline SNMP, which is available as special feature via subscriptions)
    * Allow to specify custom host check via WATO (arbitrary command line)
    * Implement DNS caching. This can be disabled with use_dns_cache = False

    Livestatus:
    * new service column staleness: indicator for outdated service checks
    * new host    column staleness: indicator for outdated host checks

    Checks & Agents:
    * esx_hostystem multipath: criticize standby paths only if not equal to active paths
    * mk_logwatch: fixed bug when rewriting logwatch messages
    * check_mk: Re-inventory is no longer required when a service is ignored via rule
    * check_mk: Now possible to assign services to clusters without the need to
                reinventorize
    * lnx_if: Fixed crash on missing "Address" field
    * viprinet_router: Now able to set required target state via rule
    * windows_agent: Now available as 64 bit version
    * agent_vsphere: fix problem where sensors were missing when
      you queried multiple host systems via vCenter
    * cached checks: no longer output cached data if the age of the
                     cache file is twice the maximum cache age
    * windows agent: no longer tries to execute directories
    * fileinfo: no longer inventorize missing files(reported by windows agent)
    * New checks for Brocade fans, temperature and power supplies
    * cluster hosts: removed agent version output from Check_MK service (this
      was misleading for different agent versions on multiple nodes)
    * job check: better handling of unexpected agent output
    * lnx_thermal: Added check for linux thermal sensors (e.g. acpi)
    * hwg_temp: Make WATO-Rule "Room Temperature" match, add man page, graph
                and Perf-O-Meter
    * ps.perf: Support Windows with new plugin "psperf.bat". wmicchecks.bat
               is obsolete now.
    * Special Agent vSphere: support ESX 4.1 (thanks to Mirko Witt)
    * esx_vsphere_object: make check state configurable
    * mk_logwatch: support continuation lines with 'A'. Please refer to docu.
    * mk_oracle: Added plugin for solaris
    * win_netstat: New check for Windows for checking the existance of a UDP/TCP
        connection or listener
    * ps/ps.perf: allow to set levels on CPU util, optional averaging of CPU
    * diskstat: Agent is now also processing data of mmcblk devices
    * qmail: Added check for mailqueue
    * cisco_locif: removed obsolete and already disabled check completely
    * fc_brocade_port: removed obsolete check
    * fc_brocade_port_detailed: removed obsolete check
    * tsm_stgpool: removed orphaned check
    * vmware_state: removed ancient, now orphaned check. Use vsphere_agent instead.
    * vms_{df,md,netif,sys}: remove orphaned checks that are not needed by the current agent
    * tsm: Added new TSM checks with a simple windows agent plugin
    * windows_agent: now starts local/plugin scripts in separate threads/processes
                     new script parameters cache_age, retry_count, timeout
                     new script caching options "off", "async", "sync"
    * windows_agent: increased maximum local/plugin script output length to 512kB
                     (output buffer now grows dynamically)
    * jolokia_metrics: fixed incorrect plugin output for high warn/crit levels
    * jolokia_metrics.uptime: Added pnp template
    * hyperv: Added a check for checking state changes.
    * df / esx_vsphere_datastore: now able to set absolute levels and levels depending
                                  on total disk space of used and free space
    * cisco_wlc: New check for monitoring cisco wireless lan access points
    * cisco_wlc_clients: New check for the nummber of clients in a wlc wifi
    * df: Negative integer levels for MB left on a device
    * win_printers: Monitoring of printer queue on a windows printserver
    * cisco_qos: Updated to be able to mintor IOS XR 4.2.1 (on a ASR9K device)
    * New active check, check_form_submit, to submit HTML forms and check the resulting page
    * mk-job: /var/lib/check_mk_agent/job directory is now created with mode 1777 so
              mk-job can be used by unprivileged users too
    * ADD: etherbox: new check for etherbox (messpc) sensors.
           currently supported: temperature, humidity, switch contact and smoke sensors
    * cisco_wlc_client: now supports low/high warn and crit levels
    * cisco_wlc: now supports configuration options for missing AP
    * agent_vsphere: completely rewritten, now considerably faster
                     vCenter is still queried by old version
    * windows_agent: windows eventlog informational/audit logs now reported with O prefix
    * mk_logwatch: ignored loglines now reported with an "." prefix (if required)
    * apache_status: Nopw also supports multithreaded mpm
    * windows_agent: now able to suppress context messages in windows eventlogs
    * agent_vsphere: completely rewritten, now considerably faster
                     vCenter is still queried by old version
    * windows_agent: windows eventlog informational/audit logs now reported with O prefix
    * mk_logwatch: ignored loglines now reported with an "." prefix (if required)
    * check_mk-if.pnp: fixed bug with pnp template on esx hosts without perfdata
    * jolokia checks (JVM): uptime, threads, sessions, requests, queue
      now configurable via WATO
    * vSphere checks: secret is not shown to the user via WATO anymore
    * WATO rule to check state of physical switch (currently used by etherbox check)
    * cisco_wlc: Allows to configure handling of missing AP
    * logwatch.ec: show logfiles from that we forwarded messages
    * FIX: blade_blades: Fixed output of "(UNKNOWN)" even if state is OK
    * FIX: apache_status: fix exception if parameter is None
    * FIX: hr_mem: handle virtual memory correct on some devices
    * FIX: apache_status agent plugin: now also works, if prog name contains slashes
    * FIX: check_dns: parameter -A does not get an additional string
    * FIX: cisco_qos: Catch policies without post/drop byte information
    * FIX: cisco_qos: Catch policies without individual bandwidth limits
    * FIX: windows_agent: fixed bug on merging plugin output buffers
    * FIX: esx_vsphere_datastores: Fix incomplete performance data and Perf-O-Meter
    * FIX: cleaned up fileinfo.groups pattern handling, manual configuration
      is now possible using WATO
    * FIX: check_mk-ipmi.php: PNP template now displays correct units as delivered
           by the check plugin
    * FIX: check_disk_smb: Remove $ from share when creating service description.
           Otherwise Nagios will not accept the service description.
    * FIX: mrpe: gracefully handle invalid exit code of plugin

    Notifications:
    * notify.py: Matching service level: Use the hosts service level if a
                 service has no service level set
    * notify.py: fixed bug with local notification spooling
    * HTML notifications: Now adding optional links to host- and service names
      when second argument notification script is configured to the base url of the
      monitoring installation (e.g. http://<host>/<site>/ in case of OMD setups)
    * HTML notifications: Added time of state change

    Multisite:
    * Finally good handling of F5 / browser reloads -> no page switching to
      start page anymore (at least in modern browsers)
    * User accounts can now be locked after a specified amount of auth
      failures (lock_on_logon_failures can be set to a number of tries)
    * Column Perf-O-Meter is now sortable: it sorts after the *first*
      performance value. This might not always be the one you like, but
      its far better than nothing.
    * logwatch: Logwatch icon no longer uses notes_url
    * Inventory screen: Host inventory also displays its clustered services
    * Rules: Renamed "Ignored services" to "Disabled services"
             Renamed "Ignored checks" to "Disabled checks"
    * Sorter Host IP address: fixed sorting, no longer uses str compare on ip
    * Views: New: Draw rule editor icon in multisite views (default off)
             Can be activated in global settings
    * New global multisite options: Adhoc downtime with duration and comment
                                    Display current date in dashboard
    * LDAP: Using asynchronous searches / added optional support for paginated
      searches (Can be enabled in connection settings)
    * LDAP: It is now possible to provide multiple failover servers, which are
      tried when the primary ldap server fails
    * LDAP: Supporting posixGroup with memberUid as member attribute
    * LDAP: Added filter_group option to user configuration to make the
    synchonized users filterable by group memberships in directories without
    memberof attributes
    * LDAP: Moved configuration to dedicated page which also provides some
      testing mechanisms for the configuration
    * Added option to enable browser scrollbar to the multisite sidebar (only
      via "sidebar_show_scrollbar = True" in multisite.mk
    * Added option to disable automatic userdb synchronizations in multisite
    * Implemented search forms for most data tables
    * New icons in view footers: export as CSV, export as JSON
    * Availability: new columns for shortest, longest, average and count
    * Editing localized strings (like the title) is now optional when cloning
      views or editing cloned views. If not edited, the views inherit the
      localized strings from their ancestors
    * Added simple problems Dashboard
    * New filter and column painter for current notification number (escalations)
    * Added new painters for displaying host tags (list of tags, single tag
    groups). All those painters are sortable. Also added new filters for tags.
    * Added painters, icon and filters for visualizing staleness information
    * Improved filtering of the foldertree snapin by user permissions (when a user is
      only permitted on one child folder, the upper folder is removed from the
      hierarchy)
    * "Unchecked Services" view now uses the staleness of services for filtering
    * Globe dashlets make use of the parameter "id" to make it possible to
      provide unique ids in the render HTML code to the dashlets
    * Multisite can now track wether or not a user is online, this need to be
      enabled e.g. via Global Settings in WATO (Save last access times of
      users)
    * Added popup message notification system to make it possible to notify
      multisite users about various things. It is linked on WATO Users page at
      the moment. An image will appear for a user in the sidebar footer with
      the number of pending messages when there are pending messages for a user.
      To make the sidebar check for new messages on a regular base, you need
      to configure the interval of sidebar popup notification updates e.g. via
      WATO Global Settings.
    * Event views: changed default horizon from 31 to 7 days
    * New option for painting timestamp: as Unix Epoch time
    * New filters: Host state type and Service state type
    * FIX: better error message in case of exception in SNMP handling
    * FIX: Inventory screen: Now shows custom checks
    * FIX: Fixed locking problem of multisite pages related to user loading/saving
    * FIX: Fixed wrong default settings of view filters in localized multisite
    * FIX: line wrapping of logwatch entries
    * FIX: Fixed button dragging bug when opening the view editor
           (at least in Firefox)

    WATO:
    * Allow to configure check-/retry_interval in second precision
    * Custom user attributes can now be managed using WATO
    * Allow GIT to be used for change tracking (enable via global option)
    * Hosts/Folders: SNMP communities can now be configured via the host
      and folders hierarchy. Those settings override the rule base config.
    * Require unique alias names in between the following elements:
      Host/Service/Contact Groups, Timeperiods and Roles
    * Removed "do not connect" option from site socket editor. Use the
      checkbox "Disable" to disable the site for multisite.
    * Converted table of Event Console Rules to new implementation, make it sortable
    * FIX: do validation of check items in rule editor
    * FIX: More consistent handling of folderpath select in rule editor
    * FIX: Now correctly handling depends_on_tags on page rendering for
           inherited values
    * FIX: Changed several forms from GET to POST to prevent "Request-URI too
           large" error messages during submitting forms
    * FIX: automation snmp scan now adhere rules for shoddy snmp devices
           which have no sys description
    * FIX: Cisco ruleset "Cisco WLC WiFi client connections" has been generalized to
           "WLC WiFi client connections"
    * FIX: Snapshot handling is a little more robust agains manually created
           files in snapshot directory now
    * FIX: Slightly more transparent handling of syntax errors when loading rules.mk

    Notifications:
    * Flexible Notification can now filter service levels
    * FIX: check_tcp corrected order of parameters in definition

    Event Console:
    * New global setting "force message archiving", converts the EC into
      a kind of syslog archive
    * New built-in snmptrap server to directly receive snmp traps
    * FIX: fix layout of filter for history action type
    * FIX: better detect non-IP-number hosts in hostname translation

1.2.3i1:
    Core:
    * Agents can send data for other hosts "piggyback". This is being
      used by the vSphere and SAP plugins
    * New variable host_check_commands, that allows the definition of
      an alternative host check command (without manually defining one)
    * New variable snmp_check_interval which can be used to customize
      the check intervals of SNMP based checks
    * setup: Added missing vars rrd_path and rrdcached_sock
    * new variable check_mk_exit_status: allows to make Check_MK service OK,
      even if host in not reachable.
    * set always_cleanup_autochecks to True per default now
    * check_mk: new option --snmptranslate

    Multisite:
    * New availability view for arbitrary host/service collections
    * New option auth_by_http_header to use the value of a HTTP header
      variable for authentication (Useful in reverse proxy environments)
    * New permission that is needed for seeing views that other users
      have defined (per default this is contained in all roles)
    * New path back to the view after command exection with all
      checkboxes cleared
    * Added plugins to config module to make registration of default values
      possible for addons like mkeventd - reset to default values works now
      correctly even for multisite related settings
    * perfometer: Bit values now using base of 1000
    * Added PNP tempate for check_disk_smb
    * Dashboards can now be configured to be reloaded on resizing
      (automatically adds width/height url parameters)
    * LDAP authentification: New config option "Do not use persistent
                             connections to ldap server"
    * Hosttags and auxiliary tags can now be grouped in topics
    * Fixed output of time in view if server time differs from user time

    Event Console:
    * New rule feature: automatically delete event after actions
    * New filter for maximum service level (minimum already existed)
    * New global setting: hostname translation (allows e.g. to drop domain name)
    * New rule match: only apply rule within specified time period

    Checks & Agents:
    * solaris_mem: New check for memory and swap for Solaris agent
    * agent_vsphere: New VMWare ESX monitoring that uses pySphere and the VMWare
      API in order to get data very efficiently. Read (upcoming) documentation
      for details.
    * new special agent agent_random for creating random monitoring data
    * New checks: windows_intel_bonding / windows_broadcom_bonding
    * Implemented SAP monitoring based on the agent plugin mk_sap. This
      must be run on a linux host. It connects via RFC calls to SAP R/3
      systems to retrieve monitoring information for this or other machines.
    * sap.dialog: Monitors SAP dialog statistics like the response time
    * sap.value: Simply processes information provided by SAP to Nagios
    * openvpn_clients: new check for OpenVPN connections
    * if64_tplink: special new check for TP Link switches with broken SNMP output
    * job: Monitoring states and performance indicators of any jobs on linux systems
    * oracle_asm_diskgroups: Added missing agent plugin + asmcmd wrapper script
    * oracle_jobs: New check to monitor oracle database job execution
    * oracle_rman_backups: New check to monitor state of ORACLE RMAN backups
    * jar_signature: New check to monitor wether or not a jar is signed and
      certificate is not expired
    * cisco_qos: adhere qos-bandwidth policies
    * check_disk_smb: WATO formalization for active check check_disk_smb
    * if.include: new configurable parameters for assumed input and output speed
    * cisco_qos: new param unit:    switches between bit/byte display
                 new param average: average the values over the given minute
                 new params post/drop can be configured via int and float
                 fixed incorrect worst state if different parameters exceed limit
    * logwatch.ec: Added optional spooling to the check to prevent dataloss
      when processing of current lines needs more time than max execution time
    * mounts: ignore multiple occurrances of the same device
    * Linux agent: allow cached local/plugins checks (see docu)
    * mem.include: Linux memory check now includes size of page tables. This
      can be important e.g. on ORACLE systems with a lot of memory
    * windows_agent: Now buffers output before writing it to the socket
                     Results in less tcp packages per call
    * smart.stats: rewrote check. Please reinventorize. Error counters are now
      snapshotted during inventory.
    * smart.temp: add WATO configuration
    * windows_agent: check_mk.ini: new option "port" - specifies agent port
    * winperf_processor: introduce averaging, support predictive levels
    * cpu_util.include: fixed bug when params are set to None
    * predictive levels: fixed bug when existing predictive levels get new options
    * windows_plugin mssql.vbs: No longer queries stopped mssql instances
    * cisco_hsrp: fixed problem when HSRP groups had same ip address
    * winperf_if: hell has frozen over: a new check for network adapters on Windows
    * windows agent: new config section plugins, now able to set timeouts for specific plugins
                     new global config option: timeout_plugins_total
    * lnx_if in Linux agent: force deterministical order of network devices
    * Linux agent: remove obsolete old <<<netif>>> and <<<netctr>>> sections
    * logwatch, logwatch.ec: detect error in agent configuration
    * Linux agent: cups_queues: do not monitor non-local queues (thanks to Olaf Morgenstern)
    * AIX agent: call lparstat with argument 1 1, this give more accurate data
    * Check_MK check: enable extended performance data per default now
    * viprinet checks: New checks for firmware version/update, memory usage, power supply status,
                       router mode, serialnumber and temperature sensors
    * uptime, snmp_uptime, esx_vsphere_counters.uptime: allow to set lower and upper levels
    * winperf_processor: Now displays (and scales) to number of cpus in pnpgraph
    * mk_postgres plugin: replace select * with list of explicit columns (fix for PG 9.1)
    * lnx_if: show MAC address for interfaces (needs also agent update)
    * winperf_tcp_conn: New check. Displays number of established tcpv4 connections in windows
                        Uses WATO Rule "TCP connection stats (Windows)"
    * windows_agent: fixed timeouts for powershell scripts in local/plugins
    * logwatch: Agent can now use logwatch.d/ to split config to multipe files
    * logwatch: Agent can now rewrite Messages
    * apache_status: New rule: set levels for number of remaining open slots
    * mrpe: handle long plugin output correctly, including performance data
    * cisco_qos: parameters now configurable via WATO

    Notifications:
    * notify.py: unique spoolfiles name no longer created with uuid
    * Warn user if only_services does never match

    Livestatus:
    * Table statehist: Improved detection of vanished hosts and services.
                       Now able to detect and remove nonsense check plugin output
    * FIX: able to handle equal comment_id between host and service
    * livestatus.log: show utf-8 decoding problems only with debug logging >=2
    * livestatus: fixed incorrect output formatting of comments_with_info column

    BI:
    * Integrated availability computing, including nifty time warp feature

    WATO:
    * Configuration of datasource programs via dedicated rules
    * New editor for Business Intelligence rules
    * Rule Editor: Now able to show infeffective rules
    * Valuespec: CascadingDropdown now able to process choice values from functions
    * Removed global option logwatch_forward_to_ec, moved this to the
      logwatch_ec ruleset. With this option the forwarding can now be enabled
      for each logfile on a host
    * Configuration of an alternative host check command
    * Inventory: Display link symbol for ps ruleset
    * New rule for notification_options of hosts and services
    * FIX: Rulesets: correct display of rules within subfolders
    * Remove Notification Command user settings, please use flexible notifications instead


1.2.2p3:
    Core:
    * FIX: get_average(): Gracefully handle time anomlies of target systems
    * FIX: notifications: /var/lib/check_mk/notify directory is now created
           correctly during setup from tgz file. (Without it notifications
           did not get sent out.)
    * FIX: add missing $DESTDIR to auth.serials in setup.sh

    Checks & Agents:
    * FIX: winperf_processor: fix case where CPU percent is exactly 100%
    * FIX: blade_powerfan: fix mixup of default levels 50/40 -> 40/50
    * FIX: Cleaned up graph rendering of Check_MK services
    * FIX: zypper: deal with output from SLES 10
    * FIX: zpool_status: Ignoring "No known data errors" text
    * FIX: dmi_sysinfo: Handling ":" in value correctly
    * FIX: check_http: Fixed syntax error when monitoring certificates
    * FIX: check_dns: parameter -A does not get an additional string
    * FIX: diskstat: Fixed wrong values for IO/s computation on linux hosts
    * FIX: blade_healts: Fixed wrong index checking resulting in exceptions
    * FIX: notifications: /var/lib/check_mk/notify directory is now created
           correctly during setup from tgz file. (Without it notifications
           did not get sent out.)

    Multisite:
    * FIX: LDAP: Disabling use of referrals in active directory configuration
    * FIX: Fixed missing roles in auth.php (in some cases) which resulted in
           non visible pnp graphs and missing nagvis permissions
    * FIX: Fixed label color of black toner perfometers when fuel is low
    * FIX: Fixed wrong default settings of view filters in localized multisite
    * FIX: Fixed exception when enabling sounds for views relying on
           e.g. alert statistics source
    * FIX: Folder Tree Snapin: make folder filter also work for remote
           folders that do not exist locally
    * FIX: correctly display sub-minute check/retry intervals
    * FIX: fix logic of some numeric sorters
    * FIX: Improved user provided variable validation in view code
    * FIX: Escaping html code in plugin output painters

    WATO:
    * FIX: fix layout of Auxiliary tags table
    * FIX: avoid exception when called first time and first page ist host tags
    * FIX: fix validation of time-of-day input field (24:00)
    * FIX: automation users can now be deleted again (bug was introduced in 1.2.2p1)
    * FIX: fix logwatch pattern analyzer message "The host xyz is not
           managed by WATO." after direct access via snapin
    * FIX: Fixed first toggle of flags in global settings when default is set to True
    * FIX: fix exception and loss of hosts in a folder when deleting all site connections
           of a distributed WATO setup
    * FIX: avoid Python exception for invalid parameters even in debug mode
    * FIX: check_ldap: Removed duplicate "-H" definition
    * FIX: Fixed some output encoding problem in snapshot restore / deletion code
    * FIX: Improved user provided variable validation in snapshot handling code
    * FIX: Improved user provided variable validation in inventory dialog

    Event Console:
    * FIX: apply rewriting of application/hostname also when cancelling events
    * FIX: check_mkevents now uses case insensitive host name matching

    Livestatus:
    * FIX: fixed incorrect output formatting of comments_with_info column
    * FIX: statehist table: fixed memory leak

1.2.2p2:
    Core:
    * FIX: livecheck: fixed handling of one-line plugin outputs and missing \n
           (Thanks to Florent Peterschmitt)

    Checks & Agents:
    * FIX: jolokia_info: ignore ERROR instances
    * FIX: apache_status: use (also) apache_status.cfg instead of apache_status.conf
    * FIX: f5_bigip_vserver: fix wrong OID (13 instead of 1), thanks to Miro Ramza
    * FIX: f5_bigip_psu: handle more than first power supply, thanks to Miro Ramza
    * FIX: ipmi_sensors: ignore sensors in state [NA] (not available)
    * FIX: aix_lvm: handle agents that output an extra header line
    * FIX: zfsget: do not assume that devices begin with /, but mountpoints
    * FIX: ipmi_sensors: handle two cases for DELL correctly (thanks to Sebastian Talmon)
    * FIX: check_dns: enable performance data
    * FIX: free_ipmi: fix name of sensor cache file if hostname contains domain part
    * FIX: ad_replication plugin: Fixed typo (Thanks to Dennis Honke)

    Multisite:
    * List of views: Output the alias of a datasource instead of internal name
    * FIX: fix column editor for join columns if "SERVICE:" is l10n'ed
    * FIX: fix invalid request in livestatus query after reconnect

    WATO:
    * FIX: convert editing of global setting to POST. This avoid URL-too-long
      when defining lots of Event Console actions
    * FIX: LDAP configuration: allow DNs without DC=

    Event Console:
    * FIX: fix icon in events check if host specification is by IP address
    * Renamed "Delete Event" to "Archive Event" to clearify the meaning

    Notifications:
    * FIX: contacts with notifications disabled no longer receive
           custom notifications, unless forced

1.2.2p1:
    Core:
    * FIX: correctly quote ! and \ in active checks for Nagios
    * FIX: Performing regular inventory checks at configured interval even
           when the service is in problem state
    * Check_MK core now supports umlauts in host-/service- and contactgroup names

    Checks & Agents:
    * FIX: vsphere_agent: fix problems whith ! and \ in username or password
    * FIX: check_mk_agent.aix: fix shebang: was python, must be ksh
    * FIX: cisco_qos: Be compatible to newer IOS-XE versions (Thanks to Ken Smith)
    * FIX: mk_jolokia: Handling spaces in application server instances correctly

    Multisite:
    * FIX: do not remove directories of non-exisant users anymore. This lead to
           a deletion of users' settings in case of an external authentication
           (like mod_ldap).
    * FIX: Fixed handling of dashboards without title in sidebar view snapin
    * FIX: titles and services got lost when moving join-columns in views
    * FIX: Fixed exception during initial page rendering in python 2.6 in special cases
           (Internal error: putenv() argument 2 must be string, not list)

    Livestatus:
    * livestatus.log: show utf-8 decoding problems only with debug logging >=2

    Notifications:
    * FIX: HTML mails: Handle the case where plugin argument is not set
    * FIX: HTML mails: remove undefinded placeholders like $GRAPH_CODE$

    WATO:
    * Improved handling of valuespec validations in WATO rule editor. Displaying a
      warning message when going to throw away the current settings.
    * FIX: fix bug where certain settings where not saved on IE. This was mainly
           on IE7, but also IE8,9,10 in IE7 mode (which is often active). Affected
           was e.g. the nodes of a cluster or the list of services for service
           inventory

1.2.2:
    Core:
    * Added $HOSTURL$ and $SERVICEURL$ to notification macros which contain an
      URL to the host/service details views with /check_mk/... as base.

    Checks & Agents:
    * FIX: blade_bx_load: remove invalid WATO group
    * FIX: lnx_bonding: handle also 802.3ad type bonds

    Notifications:
    * FIX: Removing GRAPH_CODE in html mails when not available
    * Using plugin argument 1 for path to pnp4nagios index php to render graphs
    * Little speedup of check_mk --notify

    Multisite:
    * FIX: Fixed umlaut handling in reloaded snapins

    WATO:
    * FIX: Fix several cases where WATO rule analyser did not hilite all matching rules
    * Added tcp port parameter to SSL certificate check (Thanks to Marcel Schulte)

    Event Console:
    * FIX: Syslog server is now able to parse RFC 5424 syslog messages

1.2.2b7:
    Checks & Agents:
    * FIX: postfix_mailq: fix labels in WATO rule, set correct default levels


1.2.2b6:
    Core:
    * FIX: setup: detect check_icmp also on 64-Bit CentOS
           (thanks to あきら)
    * FIX: setup.sh: create auth.serials, fix permissions of htpasswd
    * FIX: livecheck: now able to handle check output up to 16kB

    Checks & Agents:
    * FIX: apc_symmetra_power: resurrect garble PNP template for
    * FIX: check_mk_agent.freebsd: remove garble from output
           (Thanks to Mathias Decker)
    * FIX: check_mk-mssql_counters.locks: fix computation, was altogether wrong
    * FIX: check_mk-mssql_counters.transactions: fix computation also
    * check_http: now support the option -L (urlizing the result)
    * Added mem section to Mac OSX agent (Thanks to Brad Davis)
    * FIX: mssql.vbs (agent plugin) now sets auth options for each instance
    * FIX: jolokia_metrics.mem: error when missing max values
    * Make levels for SMART temperature editable via WATO

    Multisite:
    * FIX: fix localization in non-OMD environment
           (thanks to あきら)
    * FIX: hopefully fix computation of Speed-O-Meter
    * Add $SERVICEOUTPUT$ and $HOSTOUTPUT$ to allowed macros for
      custom notes
    * FIX: Writing one clean message to webserver error_log when write fails
    * FIX: Escaping html entities when displaying comment fields
    * FIX: Monitored on site attribute always has valid default value

    Notifications:
    * FIX: fix event type for recoveries
    * FIX: fix custom notifications on older nagios versions
    * FIX: handle case where type HOST/SERVICE not correctly detected

    Livestatus:
    * FIX: memory leak when removing downtime / comment

    WATO:
    * FIX: Removed "No roles assigned" text in case of unlocked role attribute
           in user management dialog
    * FIX: Fix output of rule search: chapters appeared twice sometimes

    Event Console:
    * FIX: check_mkevents: fix usage help if called with illegal options
    * check_mkevents now allows specification of a UNIX socket
      This is needed in non-OMD environments
    * setup.py now tries to setup Event Console even in non-OMD world

1.2.2b5:
    Core:
    * Checks can now omit the typical "OK - " or "WARN -". This text
      will be added automatically if missing.
    * FIX: livecheck: fixed compilation bug
    * FIX: check_mk: convert service description unicode into utf-8
    * FIX: avoid simultanous activation of changes by means of a lock

    Checks & Agents:
    * FIX: jolokia_metrics.mem - now able to handle negative/missing max values
    * ADD: tcp_conn_stats: now additionally uses /proc/net/tcp6
    * ADD: wmic_processs: cpucores now being considered when calculating
           user/kernel percentages. (thanks to William Baum)
    * FIX: UPS checks support Eaton Evolution
    * FIX: windows agent plugin: mssql now exits after 10 seconds

    Notifications:
    * FIX: fixed crash on host notification when contact had explicit services set

    Livestatus:
    * FIX: possible crash with VERY long downtime comments

    WATO:
    * FIX: Fix hiliting of errors in Nagios output
    * FIX: localisation error

    Multisite:
    * FIX: Avoid duplicate "Services" button in host detail views
    * FIX: fix rescheduling icon for services with non-ASCII characters
    * New filter for IP address of a host
    * Quicksearch: allow searching for complete IP addresses and IP
      address prefixes
    * Add logentry class filter to view 'Host- and Service events'

    BI:
    * FIX: fix exception with expansion level being 'None'
    * FIX: speedup for single host tables joined by hostname (BI-Boxes)
    * FIX: avoid closing BI subtree while tree is being loaded

    Event Console:
    * FIX: make hostname matching field optional. Otherwise a .* was
           neccessary for the rule in order to match
    * FIX: event_simulator now also uses case insensitive matches

1.2.2b4:
    Core:
    * FIX: Fix output of cmk -D: datasource programs were missing
    * FIX: allow unicode encoded extra_service_conf
    * FIX: no default PING service if custom checks are defined
    * FIX: check_mk_base: fixed rounding error in get_bytes_human_readable
    * FIX: check_mk: improved support of utf-8 characters in extra_service_conf
    * FIX: livestatus: table statehist now able to check AuthUser permissions
    * New configuration variable contactgroup_members

    Checks & Agents:
    * FIX: smart - not trying to parse unhandled lines to prevent errors
    * FIX: winperf_processor - fixed wrong calculations of usage
    * FIX: WATO configuration of filesystem trends: it's hours, not days!
    * FIX: mysql: fixed crash on computing IO information
    * FIX: diskstat: fix local variable 'ios_per_sec' referenced before assignment
    * FIX: multipath: ignore warning messages in agent due to invalid multipath.conf
    * FIX: megaraid_bbu: deal with broken output ("Adpater"), found in Open-E
    * FIX: megaraid_pdisk: deal with special output of Open-E
    * FIX: jolokia_metrics.mem: renamed parameter totalheap to total
    * FIX: megaraid_bbu: deal with broken output ("Adpater")
    * FIX: check_ldap: added missing host address (check didn't work at all)
    * FIX: check_ldap: added missing version option -2, -3, -3 -T (TLS)
    * FIX: mssql: Agent plugin now supports MSSQL Server 2012
    * FIX: hr_mem: fix max value in performance data (thanks to Michaël COQUARD)
    * FIX: f5_bigip_psu: fix inventory function (returned list instead of tuple)
    * FIX: mysql.connections: avoid crash on legacy agent output
    * FIX: tcp_conn_stats: use /proc/net/tcp instead of netstat -tn. This
           should avoid massive performance problems on system with many
           connections
    * Linux agent: limit netstat to 10 seconds
    * ps: Allow %1, %2, .. instead of %s in process_inventory. That allows
      reordering of matched groups
    * FIX: f5_bigip_psu - fixed inventory function
    * FIX: printer_supply - fixed inventory function for some kind of OKI printers

    Multisite:
    * FIX: Fixed problem with error during localization scanning
    * FIX: Fixed wrong localization right after a user changed its language
    * FIX: Improved handling of error messages in bulk inventory
    * FIX: fixed focus bug in transform valuespec class
    * FIX: stop doing snapin refreshes after they have been removed
    * FIX: sidebar snapins which refresh do not register for restart detection anymore
    * FIX: fix user database corruption in case of a race condition
    * FIX: added checks wether or not a contactgroup can be deleted
    * FIX: Avoid deadlock due to lock on contacts.mk in some situations
    * Changed sidebar snapin reload to a global interval (option:
      sidebar_update_interval), defaults to 30 seconds
    * Sidebar snapins are now bulk updated with one HTTP request each interval

    BI:
    * FIX: fixed invalid links to hosts and services in BI tree view
    * FIX: fix exception in top/down and bottom/up views
    * FIX: fix styling of top/down and bottom/up views (borders, padding)
    * FIX: fix style of mouse pointer over BI boxes
    * FIX: list of BI aggregates was incomplete in some cases
    * FIX: single host aggregations didn't work for aggregations += [...]
    * FIX: top-down and bottom-up was broken in case of "only problems"
    * FIX: BI see_all permission is now working again
    * Do not handle PENDING as "problem" anymore
    * Make titles of non-leaf tree nodes klickable

    WATO:
    * FIX: flexible notification valuespec is now localizable
    * FIX: Alias values of host/service/contact groups need to be set and unique
           within the group
    * FIX: Fixed exception when editing contactgroups without alias
    * FIX: Fix localization of rule options
    * FIX: ValueSpec OptionalDropDown: fix visibility if default is "other"
    * Suggest use default value for filesystem levels that make sense
    * Valuespec: CascadingDropdown now able to process choice values from functions
    * Freshness checking for classical passive Nagios checks (custom_checks)

1.2.2b3:
    Checks & Agents:
    * FIX: Fixed date parsing code ignoring the seconds value in several checks
           (ad_replication, cups_queues, heartbeat_crm, mssql_backup, smbios_sel)
    * FIX: Fixed pnp template for apc_symmetra check when using multiple rrds

    Multisite:
    * FIX: Removed uuid module dependency to be compatible to python < 2.5
    * FIX: remove Javascript debug popup from multi-string input fields
    * FIX: list of strings (e.g. host list in rule editor) didn't work anymore

1.2.2b2:
    Checks & Agents:
    * Added dynamic thresholds to the oracle_tablespace check depending on the
      size of the tablespaces.

    BI:
    * FIX: fix exception in BI-Boxes views of host groups
    * FIX: fix problem where BI-Boxes were invisible if not previously unfolded

    Event Console:
    * FIX: support non-Ascii characters in matching expressions. Note:
           you need to edit and save each affected rule once in order
           to make the fix work.
    * FIX: Fixed exception when logging actions exectuted by mkeventd
    * FIX: etc/init.d/mkeventd flush did not work when mkeventd was stopped

    Multisite:
    * FIX: Fixed several minor IE7 related layout bugs
    * FIX: title of pages was truncated and now isn't anymore
    * Cleanup form for executing commands on hosts/services

    WATO:
    * FIX: Fixed layout of rulelist table in IE*
    * FIX: Fixed adding explicit host names to rules in IE7
    * Add: Improved navigation convenience when plugin output contains [running on ... ]

1.2.2b1:
    Core:
    * cmk --notify: added notification script to generate HTML mails including
      the performance graphs of hosts and services
    * cmk --notify: added the macros NOTIFY_LASTHOSTSTATECHANGE, NOTIFY_HOSTSTATEID,
      NOTIFY_LASTSERVICESTATECHANGE, NOTIFY_SERVICESTATEID, NOTIFY_NOTIFICATIONCOMMENT,
      NOTIFY_NOTIFICATIONAUTHOR, NOTIFY_NOTIFICATIONAUTHORNAME, NOTIFY_NOTIFICATIONAUTHORALIAS
    * FIX: more robust deletion of precompiled files to ensure the correct
      creation of the files (Thanks to Guido Günther)
    * FIX: Inventory for cluster nodes who are part of multiple clusters
    * cmk --notify: added plugin for sms notification
    * FIX: precompiled checks: correct handling of sys.exit() call when using python2.4
    * cmk --notify: improved logging on wrong notification type
    * RPM: Added check_mk-agent-scriptless package (Same as normal agent rpm,
      but without RPM post scripts)

